2005-06-16 21:34  rr9

	* lib/edit/object.txt: Reduced the price for "Raal's Tome of
	Destruction". (Timo Pietila)

2005-05-22 20:56  rr9

	* lib/edit/object.txt: The symbol for the Shield of Deflection was
	a light blue [ instead of a ) like all other shields. (Hugo
	Kornelis)

2005-05-14 11:30  rr9

	* lib/script/object.lua, src/use-obj.c: The "recharge item"
	artifact activation can now be canceled at the "Recharge which
	item" prompt without draining the artifact's charge. (Hugo
	Kornelis)

2005-05-14 11:21  rr9

	* lib/script/object.lua, src/use-obj.c: The object description for
	the 'cure wounds' activation reads "activates for cure wounds
	(4d7)", but it actually cures 4d8 points of damage.  The
	description has been fixed. (Hugo Kornelis)

2005-05-14 11:17  rr9

	* lib/script/object.lua: The 'star ball' activation fired one ball
	more when scripting was enabled.  (Hugo Kornelis)

2005-05-08 11:39  rr9

	* src/spells1.c: Cleaned up the handling of experience draining
	when the player has Hold Life.	The fixed part of the exp drain by
	nether breaths is now also reduced by Hold Life. (Hugo Kornelis)

2005-05-08 11:21  rr9

	* src/spells2.c: The experience loss as a result of one of the One
	Ring's activations is now 1/4 of both max and current experience
	instead of the unintended reduction of max exp by 3/16 of the
	current experience. (Hugo Kornelis)

2005-05-05 16:55  rr9

	* compile.txt, src/Angband.r, src/Angband.xml: Updated the compile
	instructions of the OS X version and changed the version number of
	the Mac specific files.

2005-05-04 21:05  rr9

	* src/main-crb.c: Fixed a crash bug under Mac OS X Tiger (10.4)
	caused by freeing a reference that should not be released. [Note:
	Apple's API reference can not always be trusted.] (reported by
	Harry Erwin)

2005-04-03 15:01  rr9

	* changes.txt: Fixed another typo.

2005-04-03 14:46  rr9

	* changes.txt, configure.in: Fixed a typo and updated the version
	number for 'make dist'.

2005-04-03 13:46  rr9

	* changes.txt, readme.txt, lib/file/news.txt, src/Makefile.osx,
	src/defines.h: Started preparations for the "3.0.6 alpha 1"
	release.

2005-04-03 11:41  rr9

	* src/xtra2.c: Scroll the map when the player is 1/4th of the
	visible grids away from the edge of the map display.

2005-03-30 18:24  rr9

	* src/main-crb.c: - Don't save the preferences on exit if the game
	hasn't been initialized properly to prevent corruption of the
	preference file in case of an error at startup.  - Skip loading the
	preference file if it is broken.  (problem reported by Matt Stone)

2005-03-13 15:38  rr9

	* lib/edit/object.txt: Corrected the item description for scrolls
	of recharging. (reported by Hugo Kornelis)

2005-03-13 15:32  rr9

	* src/object2.c: Rollback of the broken armour price change.

2005-03-13 15:20  rr9

	* src/object2.c: Calculate the price bonus/malus for AC on armour
	relative to the AC of the base item.

2005-03-13 14:02  rr9

	* compile.txt: - Updated the links to the Angband FTP server.  -
	Added compile instructions for building the OS X version with gcc.

2005-03-13 14:00  rr9

	* src/Makefile.osx: Added an extra 'install-sound' makefile target
	to allow the game to build without sounds. (reported by Peter
	Mcilroy)

2005-03-05 12:03  rr9

	* lib/script/object.lua, lib/xtra/sound/sound.cfg, src/cmd1.c,
	src/cmd2.c, src/cmd3.c, src/cmd5.c, src/cmd6.c, src/defines.h,
	src/dungeon.c, src/l-ui.pkg, src/main-ami.c, src/main-crb.c,
	src/main-dos.c, src/main-mac.c, src/main-ros.c, src/main-win.c,
	src/melee1.c, src/melee2.c, src/object2.c, src/spells1.c,
	src/spells2.c, src/store.c, src/use-obj.c, src/variable.c,
	src/xtra2.c: Added Craig Oliver's Sound FX Patch version 1.1 that
	adds about 120 new sound events to the game.  (see also
	http://www.chambrook.org/angband/soundfx.php)

2005-02-23 20:41  rr9

	* lib/pref/font-lfb.prf, lib/pref/font.prf, lib/pref/graf-lfb.prf,
	lib/pref/graf.prf, src/Makefile.std, src/main-lfb.c, src/main.c,
	src/main.h: Added Alexander Ulyanov's Linux framebuffer display
	module from:
	http://posband.earthsea.org/misc/angband-lfb-20050220.tar.gz

2005-02-08 14:33  rr9

	* src/birth.c: Allow the game to be compiled with the
	ALLOW_AUTOROLLER #define turned off.

2005-02-08 13:35  rr9

	* src/: externs.h, obj-info.c, script.c, x-spell.c: Removed a few
	compiler warnings.

2005-02-07 13:03  rr9

	* src/main-x11.c: Removed the restriction of bigtile mode to the
	main window in the X11 version.

2005-02-06 16:36  rr9

	* src/main-xaw.c: Cleaned up the term resize code.

2005-02-06 16:33  rr9

	* src/main-crb.c: Fixed some errors and typos in comments.

2005-02-06 16:29  rr9

	* src/cave.c: Don't use the symbol from the pile dummy object when
	hallucinating.

2005-02-06 15:24  rr9

	* src/: cave.c, xtra2.c: Added support for bigtile mode to the
	extra map windows.

2005-02-06 14:26  rr9

	* src/cave.c: Use actual monster and object symbols instead of a
	list of hardcoded symbols when hallucinating.

2005-02-05 19:41  rr9

	* src/: Makefile.osx, main-crb.c: The Mac OS X application bundle
	now includes all the necessary files from the lib folder.  The
	separate lib folder in the distribution is no longer necessary. 
	This means that the OS X version can now be installed by simply
	dragging the application icon to the target directory.

2005-01-26 18:29  rr9

	* src/: Angband.icns, Angband.r, Angband.xml, Data.icns, Edit.icns,
	Save.icns: Added the extra files for compiling the Mac OS X
	version, except for the tile graphics and the sound resources.
	(Pelpel)

2005-01-26 14:14  rr9

	* lib/pref/font-x11.prf: Make X Windows frontends show floors as
	centered dots, walls as blocks, and treasures as diamonds.
	(Alexander Ulyanov)

2005-01-16 15:41  rr9

	* src/main-xaw.c: Fixed a bug in the Xaw frontend, which made
	Angband crash if the main window geometry was specified as an X
	resource. (Alexander Ulyanov)

2005-01-16 15:30  rr9

	* src/config.h: Enable cursor visibility in the "gcu" front-end on
	Linux systems.	(Alexander Ulyanov)

2005-01-15 11:53  rr9

	* src/main-vcs.c: Enabled bigscreen support for the virtual console
	(vcs) front-end.  (Alexander Ulyanov)

2005-01-15 11:32  rr9

	* src/main-vcs.c: The virtual console (vcs) front-end does now
	implement cursor visibility.  (Alexander Ulyanov)

2005-01-15 11:25  rr9

	* src/main-vcs.c: Allow the use of the 'vcs' display module on
	systems with devfs-style '/dev/vc/*' terminals.

2005-01-06 17:24  rr9

	* src/init2.c: Don't try to write zero-length blocks when saving
	the lib/data/*.raw files.  (suggested by Juha Niemimaki)

2004-12-12 16:24  rr9

	* src/wizard2.c: Update the list of visible monsters after using
	the 'delete nearby monsters' function in debug mode.

2004-12-12 16:23  rr9

	* src/use-obj.c, lib/script/object.lua: Allow the ammo-branding
	activation of 'Cubragol' to be aborted without using up the charge.
	(Diego Gonzalez and Jeff Greene)

2004-12-12 16:08  rr9

	* src/: cmd4.c, spells2.c: Refresh the list fo visible monsters
	after (Mass) Banishment, Earthquake, and Destruction spells, as
	well as when pressing Ctrl-R. (Tomas "Twilight")

2004-12-08 22:20  rr9

	* src/object2.c: Cursed speed rings should not increase the level
	feeling. (Anssi Ramela and Jeff Greene)

2004-11-30 18:26  rr9

	* src/use-obj.c: The charges of rods of perception weren't handled
	correctly when compiling with scripting turned off. (reported by
	"Twilight" and Jeff Greene)

2004-11-30 18:22  rr9

	* lib/pref/flvr-dvg.prf: Updated tile assignments for the 32x32
	tiles. (Ivan Jekic) The corresponding bitmaps have been updated as
	well.  They can be found at:
	http://www.thangorodrim.net/graf-32x32-306.zip

2004-11-13 19:48  rr9

	* compile.txt: Added compile instructions for MinGW/MSYS on
	Windows. (Tuomas Härkönen)

2004-11-13 18:40  rr9

	* lib/edit/artifact.txt: Renamed the artifact short wword
	'Gilettar' to 'Dagmor' since that name is mentioned for the sword
	of Beren in Tolkien's notes. (suggested by Tyler Witter)

2004-11-13 17:03  rr9

	* lib/pref/graf-dvg.prf: Added new and updated tile assignments for
	the 32x32 tiles, including the special tiles for identified
	scrolls. (Ivan Jekic) The corresponding bitmaps have been updated
	as well.  They can be found at:
	http://www.thangorodrim.net/graf-32x32-306.zip

2004-11-07 17:42  rr9

	* lib/pref/graf-dvg.prf: - Assigned 32x32 tiles for mattocks,
	mithril ammo, and for the Palantir of Westernesse.  - Assigned an
	empty tile to the "darkness" terrain feature to fix a bug in the
	Windows version.  Several tiles could be printed over each other
	since the empty "darkness" terrain tile underneath them was
	invalid.

2004-11-01 13:54  rr9

	* lib/pref/graf-dvg.prf: Added new tiles for Rrow, Raven, and
	Crebain, as well as Kobold archer and shaman. (Ivan Jekic and David
	Gervais) See lib/xtra/graf/readme.txt for the tile download.

2004-10-31 16:49  rr9

	* lib/edit/object.txt, lib/pref/graf-dvg.prf, src/defines.h,
	src/object2.c: Identified scrolls can now look different from
	unidentified ones.  This allows the use of the individual scroll
	tiles created by David Gervais.  The 'enchant to hit' and 'enchant
	to dam' scrolls in the 32x32 tileset have already been assigned as
	an example.  The other tiles will follow soon.

2004-10-31 12:27  rr9

	* lib/: pref/graf-dvg.prf, xtra/graf/readme.txt: Added new 32x32
	tiles by David Gervais and the corresponding *.prf file by Ivan
	Jekic: + Added 3 new bear tiles that now perfectly match the game
	monsters.  + Added 2 new zombie tiles for Ghoul & Ghast monsters. 
	+ Corrected the duplicates: 32x32.bmp set had the same graphic
	tiles for   both Ogre Shaman & Snaga. I have added the missing
	Snaga tile.

2004-10-30 08:07  rr9

	* src/cave.c: Fixed a stupid bug that could cause the scatter()
	function to waste time by looking outside of the dungeon. (Ivan
	Tuckwell and Dr. Andrew White)

2004-10-30 00:11  rr9

	* lib/pref/graf-dvg.prf: Added missing tile assignments for the
	32x32 tiles. (Ivan Jekic)

2004-10-20 14:28  rr9

	* src/main-xxx.c: Fixed an outdated variable declaration in the
	main-xxx.c template.

2004-09-25 18:11  rr9

	* src/main-x11.c: Removed an unused variable.

2004-09-25 18:10  rr9

	* src/files.c: Display the player's speed in the character dump and
	on the info page.

2004-08-29 12:34  rr9

	* src/spells2.c: Wands and staves are no longer destroyed when a
	recharge attempt backfires.  Instead all the charges are drained.

2004-08-18 20:27  rr9

	* src/xtra2.c: Fixed a typo that caused the screen to be off-center
	when the panel changed horizontally.

2004-06-23 17:08  rr9

	* lib/help/general.txt: Updated the "about Angband" part of the
	help a bit.

2004-06-23 12:35  rr9

	* src/: Makefile.osx, externs.h, init2.c, main-crb.c, main.c: -
	Allow the OS X version to be started from a read-only medium, for
	example   from a disk image or a central installation under
	'Applications'.    All user-specific files like savefiles, scores,
	char-dumps, and saved	 preferences are stored in
	'Library/Preferences/Angband/' and its sub-    folders inside the
	user's home directory.	- Include the sounds per default in the OS
	X version.

2004-06-22 21:31  rr9

	* src/: config.h, init2.c, main.c: Allow all user created files to
	be saved in subdirectories under ~/.angband/Angband/ when
	PRIVATE_USER_PATH is defined.

2004-06-22 19:50  rr9

	* src/xtra1.c: - Removed an unused variable.  - Made the 'width'
	argument of prt_oppose_elements() more useful.

2004-06-13 20:01  rr9

	* src/: defines.h, xtra1.c, xtra2.c: Added a display of the
	temporary resists to the status line.  The resists are only
	displayed if there is enough room after the dungeon level (when
	using a main or status term with at least 85 cols).  The verbosity
	of the output (between "Acid Elec Fire Cold Pois" and "AEFCP")
	depends on the term width.

2004-06-13 18:50  rr9

	* src/xtra1.c: The status info for blindness used the wrong
	coordinates.

2004-06-13 18:35  rr9

	* src/xtra1.c: Fixed a typo in a comment.

2004-06-13 18:28  rr9

	* src/main-x11.c: - Made the tile size independent of the font size
	in the X11 version.  - Store various window settings like the
	window size between sessions.

2004-06-13 13:29  rr9

	* src/: defines.h, l-ui.pkg, tables.c, xtra1.c: - Added a new
	window type that displays the info from the status line.  - Added
	the display of cut and stun status to the compact player view.

2004-06-12 21:02  rr9

	* src/: defines.h, l-ui.pkg, tables.c, xtra1.c: Added a new
	subwindow type "Display player (compact)" that displays the
	left-hand-side of the main term (player stats, hitpoints, gold,
	...) in a separate window.

2004-06-12 16:18  rr9

	* src/defines.h, src/l-ui.pkg, src/tables.c, lib/help/option.txt: -
	Removed the unused "Display snap-shot" window flag.  - Documented
	the new "Display map view" window flag.

2004-06-09 19:19  rr9

	* src/xtra2.c: Allow changing the panel on map sub-windows.

2004-06-09 19:12  rr9

	* configure.in: Don't add a hardcoded 'games' subdirectory to the
	installation path on multi-user machines.

2004-06-06 23:30  rr9

	* src/xtra2.c: - Cleanup up the panel handling code.  - Scrolling
	while targetting is now done in half-screen steps.  - Panel changes
	are now always triggered 3 grids away from the screen edge.

2004-06-06 21:56  rr9

	* src/xtra2.c: Adjust the point of view for the map windows when
	targetting monsters.

2004-06-06 21:43  rr9

	* src/xtra2.c: Don't mix variable declarations and code, since old
	C compilers don't like that.

2004-06-06 21:25  rr9

	* lib/help/option.txt, src/defines.h, src/tables.c, src/xtra2.c:
	Turned the "scroll map while targetting" option permanently on.

2004-06-06 21:13  rr9

	* src/cave.c: Only Term_activate() should change the Term variable.

2004-06-06 21:12  rr9

	* src/: externs.h, xtra2.c: - Targetting outside the outer walls of
	the town is no longer possible.  - Started to clean up the panel
	handling code.

2004-06-06 20:50  rr9

	* src/util.c: Display and hide the cursor in any extra map windows
	just like in the main window.

2004-06-06 20:10  rr9

	* src/xtra2.c: Map views in extra windows can now scroll while
	targetting.

2004-06-06 15:46  rr9

	* src/main-crb.c: The OS X version would crash when changing the
	sound or graphics options before a character was created or loaded.
	(reported by Patrick Hughes)

2004-05-31 17:37  rr9

	* src/: cmd2.c, spells1.c: Don't skip visual spell, throw, and fire
	effects if the affected grid is outside the main window.  The grid
	might be visible in a map window.

2004-05-31 17:26  rr9

	* src/: cave.c, cmd3.c, defines.h, dungeon.c, files.c, generate.c,
	l-player.pkg, spells2.c, types.h, wizard2.c, xtra2.c: Replaced the
	'wx' and 'wy' main term viewport coordinates with window specific
	offsets.

2004-05-31 15:57  rr9

	* src/cave.c: Removed unused variables.

2004-05-31 15:39  rr9

	* TODO: Updated the ToDo list with some entries for the map
	subwindows.

2004-05-31 15:32  rr9

	* src/: cave.c, cmd2.c, cmd4.c, defines.h, dungeon.c, monster2.c,
	object2.c, spells1.c, spells2.c, store.c, tables.c, xtra1.c,
	xtra2.c, z-term.c, z-term.h: Added a new type of subwindow for
	displaying the dungeon area around the player.	Panel changes in
	the subwindow happen at 3 tiles from the edge of the window.  Spell
	effects and thrown/fired objects are displayed just like in the
	main window.

2004-05-30 17:32  rr9

	* src/main-gtk.c: Cleanup up the source code indentation.

2004-05-30 13:55  rr9

	* src/main-crb.c: Cleaned up the source code of the OS X front end.

2004-05-23 21:13  rr9

	* build_win: Create the directory for the Windows help file.

2004-05-23 19:24  rr9

	* angband.iss, build_dos, build_win, configure.in,
	lib/file/news.txt, src/defines.h: Changed the version number and
	included the Windows help file in the build process.

2004-05-23 19:22  rr9

	* changes.txt: Updated the changelog.

2004-05-23 19:22  rr9

	* compile.txt: Fixed a small error in the compile guide.

2004-05-23 19:08  rr9

	* Angband-Info.plist: Removed a file that got accidently added and
	commited.

2004-05-23 18:51  rr9

	* Angband-Info.plist, src/Makefile.osx: Added a 'dist' target to
	the OS X makefile that creates a *.dmg disk image file.

2004-05-22 19:32  rr9

	* lib/xtra/help/: angband.cnt, angband.hpj, angband.rtf: Added a
	Microsoft Help Workshop project for creating a Windows help file. 
	The content is based on a help file provided by Jordan Hobbs.

2004-05-22 18:30  rr9

	* src/main-win.c: Updated the Windows helpfile code to allow normal
	Win32 helpfiles to be opened.

2004-05-22 12:57  rr9

	* src/lua/lobject.c: Removed an unnecessary use of floating point
	code.

2004-05-20 09:43  rr9

	* src/main-crb.c: 
	Don't display a warning about missing preferences in the OS X
	version.  The first thing a new player sees after starting Angband
	should not be a "scary" message.

2004-05-18 22:41  rr9

	* src/: dungeon.c, script.c, script.h: Removed two basically unused
	Lua script hooks that were in the inner game loop and those called
	very often.  This should speed up resting and running on low end
	machines.

2004-05-16 20:25  rr9

	* angband.iss, build_dos, build_ext_dos, build_win, compile.txt,
	configure.in, readme.txt, lib/edit/artifact.txt,
	lib/edit/cost_adj.txt, lib/edit/ego_item.txt, lib/edit/flavor.txt,
	lib/edit/limits.txt, lib/edit/monster.txt, lib/edit/object.txt,
	lib/edit/p_class.txt, lib/edit/p_hist.txt, lib/edit/p_race.txt,
	lib/edit/shop_own.txt, lib/edit/terrain.txt, lib/edit/vault.txt,
	lib/file/news.txt, src/defines.h: Changed the version number to
	3.0.5 beta 1.

2004-05-16 20:02  rr9

	* changes.txt: Updated the changelog for the release of the Angband
	3.0.5 beta 1 version.

2004-05-16 19:48  rr9

	* build_linux, build_src: Removed outdated build scripts.

2004-05-16 19:45  rr9

	* angband.sln, angband.vcproj, build_ext_win, tolua.vcproj: Added
	project files for building Angband with MS Visual C++ 7.1 (.net). 
	(Tasha Jessup)

2004-05-15 18:22  rr9

	* src/main-crb.c: The window resize control was sometimes
	overwritten with a black tile in the OS X version.  A workaround is
	to treat the lower right corner as icky.

2004-05-14 22:03  rr9

	* src/lua/tolua_map.c: We don't need the math functions from the
	<math.h> include file.

2004-05-13 19:48  rr9

	* src/lua/lundump.h: Replaced a floating point constant with an
	integer value.	This constant might have been the cause for a
	report that Angband doesn't run on an ancient machine without
	floating point coprocessor anymore.

2004-05-13 19:26  rr9

	* lib/edit/vault.txt: The minor vault "Interlock" had switched
	height and width definitions, causing it to be created in a chaotic
	state. (Werner Baer)

2004-05-01 15:03  rr9

	* src/melee2.c: Removed two unused variables.

2004-05-01 11:02  rr9

	* src/x-spell.c: - Spells that prompt the user for an item
	(identify, enchantment,   recharging) or an monster letter
	(banishment) no longer use mana if   canceled.	- The order of mage
	spells in the books in the non-Lua version is now the	same as in
	the Lua version.

2004-05-01 10:57  rr9

	* src/: cmd5.c, defines.h: The number of spells per book is now a
	#define instead of a 'magic number'.

2004-05-01 10:30  rr9

	* lib/script/spell.lua: Spells that prompt the user for an item
	(identify, enchantment, recharging) or an monster letter
	(banishment) no longer use mana if canceled.

2004-05-01 10:17  rr9

	* src/lua/llimits.h: Removed the unused floating point part of an
	union.

2004-04-30 23:11  rr9

	* src/dungeon.c: Give energy to monsters and the player at the end
	of the game turn instead of at the start.  This prevents various
	odd effects when loading a saved game. (reported by Phil)

2004-04-25 21:05  rr9

	* lib/edit/object.txt: Made rods of detection invulnerable to
	electric attacks.

2004-04-25 18:02  rr9

	* src/melee2.c: Summoned creatures appear near the caster now
	instead of near the player.

2004-04-25 17:31  rr9

	* src/: birth.c, cmd4.c, dungeon.c, files.c, main-ros.c: - Replaced
	various calls to the insecure sprintf() and strcpy() functions with
	more secure versions.  - Replaced hardcoded buffer sizes in calls
	to strftime().

2004-04-25 17:03  rr9

	* src/z-form.c: - Make calling vstrnfmt() with an empty buffer quit
	Angband instead of   trying to treat the buffer as "infinite".	-
	Removed a wrongly placed comment.

2004-04-18 16:29  rr9

	* src/birth.c: Removed unreachable code.

2004-04-18 11:43  rr9

	* src/use-obj.c: The activation descriptions for rings were missing
	with Lua scripting turned off. (Jeff Greene)

2004-03-27 20:02  rr9

	* src/melee1.c: The SHATTER (earthquake) attack of monsters can
	cause the player to be pushed into another position.  Processing of
	the remaining blows of the monster should stop in that case. 
	Otherwise the player could get hit "through a wall" that was
	created by the earthquake. (Jeff Greene)

2004-03-20 12:31  rr9

	* lib/: apex/Makefile.am, bone/Makefile.am, data/Makefile.am,
	save/Makefile.am: The POSIX standard doesn't allow a dot instead of
	a colon as separator for the chown parameters.

2004-03-20 09:28  rr9

	* lib/pref/graf-gcu.prf: Fixed a typo in a comment.

2004-03-20 09:25  rr9

	* src/: cave.c, defines.h, main-gcu.c: The "pseudo graphics" used
	by the (n)curses version didn't support terrain lightning
	correctly.

2004-03-11 21:53  rr9

	* src/melee2.c: Restored the old behavior of the Glyph of Warding
	to protect against direct melee attacks when standing on it.

2004-03-11 21:38  rr9

	* src/melee1.c: Rods can no longer be drained by monsters.

2004-03-11 21:27  rr9

	* src/birth.c: Removed the autoroller delay.

2004-03-09 22:25  rr9

	* src/obj-info.c: - Cleaned up the paragraph handling in the object
	descriptions.  - "It cannot be harmed by acid and fire" should be
	"... acid *or* fire".  (Hallvard B Furuseth)

2004-03-09 21:15  rr9

	* src/cmd6.c: Piles of wands, staves, and rods can be used from the
	ground without picking them up first.

2004-03-05 21:07  rr9

	* angband.iss, build_dos, build_win, configure.in,
	lib/file/news.txt, src/defines.h: Changed the version number for
	the 3.0.4 final.

2004-02-29 15:20  rr9

	* lib/edit/ego_item.txt: 'Ammunition of Wounding' said it has no
	special abilities.  That is false for Mithril ammo. (Hallvard B
	Furuseth)

2004-02-29 15:19  rr9

	* lib/edit/object.txt: *Identify* scrolls talked about using up "a
	charge" instead of "the scroll". (Hallvard B Furuseth)

2004-02-29 15:15  rr9

	* readme.txt: Removed an outdated reference to the load.txt file.

2004-02-29 15:14  rr9

	* src/xtra1.c: Fixed the integer overflow problem with
	mana-calculation on machines with 16 bit integers.  The old "fix"
	was broken, since the promotion on the assignment happens after the
	operands on the right hand side are evaluated.

2004-02-27 21:17  rr9

	* src/xtra1.c: Fixed some possible integer overflows on 16 bit
	systems. (reported by "pelpel")

2004-02-27 20:25  rr9

	* src/main-gcu.c, configure.in: Added an autoconf check for the
	can_change_color() curses function.

2004-02-27 20:07  rr9

	* src/Makefile.am: The OS X Makefile was missing from the source
	tarball. (reported by James Andrewartha)

2004-02-25 21:36  rr9

	* src/store.c: Made the return values of purchase_haggle() and
	sell_haggle() more logical.

2004-02-24 20:17  rr9

	* src/store.c: Fixed a bug that caused shopkeepers to react overly
	pleased when selling them parts of a stack of wands or staves.
	(reported by Eddie Grove)

2004-02-24 19:48  rr9

	* src/spells1.c: Rods in the inventory weren't four times less
	likely to be destroyed by lightning as intended.  Instead
	everything located _after_ the rods in the inventory got a smaller
	chance to be destroyed. (Heino Vander Sanden)

2004-02-22 19:50  rr9

	* TODO: Updated the ToDo list.

2004-02-22 16:17  rr9

	* angband.iss, build_dos, build_dos.bat, build_ext_dos,
	build_ext_win, build_win, build_win.bat: Updated the various
	Windows and DOS build scripts.

2004-02-22 15:35  rr9

	* changes.txt: Adjusted the changelog for beta2.

2004-02-22 15:17  rr9

	* lib/file/news.txt, src/defines.h, configure.in: Change the
	version number for the beta2 version.

2004-02-22 14:58  rr9

	* lib/pref/pref-dos.prf: Adjusted a few key names.

2004-02-22 12:03  rr9

	* src/: config.h, dungeon.c, externs.h, files.c, main.c: Removed
	the disabled und unused load-checking code.

2004-02-22 10:49  rr9

	* lib/pref/graf-dvg.prf: Commented out various broken tile
	assignments.

2004-02-22 10:45  rr9

	* compile.txt: Adjusted the version number and added instructions
	for building a system- side installation on Unix/Linux machines.

2004-02-22 09:28  rr9

	* src/Makefile.mpw: Added the latest MPW makefile by "pelpel": -
	updated to 3.0.4 and lua 5.  - tolua is now built as a 68K binary,
	so that this makefile can be used   on any Macintosh (including
	emulators) capable of running MPW.  - build directory can be
	different from the src one (see SrcDir and   ExtDir) for easier
	experimentation and to be nicer with local CVS copies.

2004-02-21 15:59  rr9

	* src/cmd3.c: Removed an unused variable.

2004-02-20 23:18  rr9

	* src/wizard1.c: The basic object spoilers only reported the prices
	for unidentified items.  (reported by Hugo Kornelis)

2004-02-16 22:21  rr9

	* src/cmd3.c: Corrected the messages when destroying parts of
	stacks of wands, staffs, and rods. (reported by Jeff Greene)

2004-02-16 22:03  rr9

	* src/wizard2.c: Adjust the charge for rods when changing the
	quantity in wizard mode.

2004-02-16 20:21  rr9

	* src/spells1.c: Rods were indestructible in the inventory instead
	of just 4 times less likely to be destroyed than rods on the floor.
	(reported by Timo Pietilä and Jeff Greene)

2004-02-07 19:57  rr9

	* lib/pref/pref-win.prf: Removed some comments refering to the DOS
	*.prf file.

2004-02-07 19:56  rr9

	* lib/pref/Makefile.am: Added pref-dos.prf to the distribution
	tarball.

2004-02-07 19:33  rr9

	* lib/pref/pref-dos.prf: - Started to consolidate the names of the
	keys on the various systems.  - Corrected some comments that still
	refered to the Windows *.prf-file.

2004-02-07 18:36  rr9

	* src/main-dos.c: Use the Allegro function rest() instead of
	delay() in the DOS version.  The delay() function only had a lousy
	55ms resolution on Windows 2000 and XP.

2004-02-07 18:25  rr9

	* angband.dsp, tolua.dsp: Updated the MS Visual Studio project.

2004-02-07 18:16  rr9

	* src/: l-misc.pkg, l-monst.pkg: Use "$#include" instead of
	"$cfile" for tolua.

2004-02-07 15:57  rr9

	* lib/pref/: pref-dos.prf, pref.prf: Add a seperated keycode
	definition for the DOS version since the keyboard scancodes differ
	between DOS and Windows.

2004-02-07 10:51  rr9

	* src/load.c: Recalculate charges of stacked wands and staves when
	importing old savefiles.

2004-02-07 09:57  rr9

	* src/tables.c: Smoothed out the "spells per level" vs. "INT/WIS"
	table a bit more.

2004-02-07 09:56  rr9

	* src/xtra1.c: Round the calculated number of spells per level up
	instead of down.  This allows starting spellcasters with INT/WIS
	below 16 to start with a spell.

2004-02-05 23:01  rr9

	* src/util.c: Removed commented out code.

2004-02-05 08:03  rr9

	* src/: obj-info.c, randart.c: Don't display the fixed artifact
	descriptions for random artifacts.

2004-02-02 18:37  rr9

	* src/spells1.c: Prevent the player from being hit multiple times
	by area effect spells and breaths that can blink the player (nexus,
	gravity).

2004-02-01 20:47  rr9

	* changes.txt: Added two missing entries for yesterday's changes.

2004-02-01 18:13  rr9

	* changes.txt: Fixed a typo.

2004-02-01 16:53  rr9

	* src/defines.h: Doh' - Missed the most important version number in
	the latest commit.

2004-02-01 16:08  rr9

	* changes.txt, configure.in, readme.txt, lib/edit/artifact.txt,
	lib/edit/cost_adj.txt, lib/edit/ego_item.txt, lib/edit/flavor.txt,
	lib/edit/limits.txt, lib/edit/monster.txt, lib/edit/object.txt,
	lib/edit/p_class.txt, lib/edit/p_hist.txt, lib/edit/p_race.txt,
	lib/edit/shop_own.txt, lib/edit/terrain.txt, lib/edit/vault.txt,
	lib/file/news.txt, src/defines.h: Changed the version number to
	3.0.4 (beta1).

2004-02-01 16:05  rr9

	* lib/xtra/graf/readme.txt: Changed the URL for the 32x32 tiles.

2004-02-01 11:58  rr9

	* configure.in: Updated autoconf to a newer version.

2004-01-31 19:18  rr9

	* src/: cave.c, cmd4.c, defines.h, externs.h, files.c: Replaced the
	old screendump code with HTML screendump code that handles
	graphics, bigscreen, bigtile, and other display oddities much
	better.  (based on the htmldump-patch by Darkgod).

2004-01-31 18:01  rr9

	* src/xtra1.c: Angband uses *white* space, not "black space".

2004-01-31 16:15  rr9

	* src/config.h: Accidently turned off the wrong option in the last
	commit.

2004-01-31 15:55  rr9

	* src/main-xpj.c: Added two fixes suggested by Steven Fuerst.

2004-01-31 15:54  rr9

	* src/: config.h, init2.c, main.c: Added a compile time option to
	store the savefiles and scores in the player's home directory
	(under ~/.angband/Angband/) on multi-user machines.

2004-01-31 11:51  rr9

	* src/cmd2.c: "Easy open" ignores broken doors now when trying to
	close doors.

2004-01-31 11:49  rr9

	* src/dungeon.c: Removed commented out code.

2004-01-31 11:48  rr9

	* src/main-ros.c: Use string copy instead of format strings.

2004-01-30 19:39  rr9

	* src/util.c: Don't use format strings when a simple string copy is
	enough.

2004-01-30 19:24  rr9

	* src/externs.h: Corrected an outdated comment.

2004-01-29 09:03  rr9

	* src/files.c: Removed a silly use of a format string.

2004-01-28 23:56  rr9

	* src/main-win.c: Cleaned up the code a bit.

2004-01-28 23:26  rr9

	* src/main-win.c: Added transparency support to the 32x32 tiles in
	the Windows port.  This requires the modified tiles bitmap and the
	new transparency mask from Andrew Doull's UnAngband:
	http://download.berlios.de/unangband/dvg32x32-1.0.zip

2004-01-28 21:14  rr9

	* src/: tables.c, cmd5.c, externs.h: Smoothed out the table for the
	INT/WIS dependent failure rate adjustment.

2004-01-27 23:40  rr9

	* src/: externs.h, tables.c, xtra1.c: Smoothed out the "spells per
	level" vs. "spell stat" table.

2004-01-27 22:31  rr9

	* src/: externs.h, tables.c, xtra1.c: Smoothed out the table
	containing the hitpoint bonus from constitution.

2004-01-27 20:25  rr9

	* src/store.c: Only display the "avg" info for prices in stores if
	the charges of wands or staves can't be distributed evenly.

2004-01-27 20:22  rr9

	* src/: externs.h, tables.c, xtra1.c: Smoothed out the table of
	extra mana-points per level.  The old steps at INT/WIS 8, 9, 18/50,
	and 18/70 have been replaced by a steady increase.

2004-01-25 15:45  rr9

	* lib/edit/ego_item.txt: Describe ego items with special names but
	without special abilities, so players need not wonder what the
	names mean: Launchers of Accuracy and Power, ammo of Wounding,
	gloves of Slaying. (Hallvard B Furuseth)

2004-01-25 15:44  rr9

	* lib/edit/object.txt: Added object descriptions assembled by
	Hallvard B Furuseth.
	
	The descriptions are mostly copied from obj-long.spo version 3.0.2
	by Hugo Kornelis, Stephen S. Lee, Leonard Dickens and Craig Lewis.

2004-01-25 15:36  rr9

	* lib/edit/artifact.txt: Artifact changes by Jonathan Ellis: -
	Added artifact descriptions.  The texts are mainly taken from
	OAngband and other variants.  - Gave the 'thanc daggers a 2d4
	damage dice instead of 1d4.  - Gave each of the Paur* gauntlets a
	single minor power (slow-digestion, regeneration, permanent light,
	feather fall).	- Made the 'thanc daggers and paur* gauntlets more
	common.

2004-01-25 15:27  rr9

	* src/obj-info.c: Various bugfixes and improvements to the object
	description code. (Hallvard B Furuseth)

2004-01-25 14:54  rr9

	* src/: birth.c, cmd3.c, dungeon.c, object2.c, spells2.c: Fixed
	various comments concerning the "known" and "aware" status of
	items.	(Hallvard B Furuseth)

2004-01-17 20:15  rr9

	* src/: obj-info.c, randart.c: Display artifact and ego-item
	descriptions when available.  Note that randomized artifacts can't
	keep the description from the original artifact.

2004-01-17 19:52  rr9

	* src/init1.c: Added support for artifact and ego-item descriptions
	to the lib/edit/*.txt file parser.

2004-01-17 16:08  rr9

	* src/obj-info.c: Show the object description for flavored items
	(rings, wands, potions, ...) only if the player is aware of the
	item.

2004-01-17 12:05  rr9

	* lib/edit/ego_item.txt: Removed fire brand from ammo 'of Holy
	Might'.  Also removed the BLESSED flag that doesn't have a function
	on ammo. (Timo Pietilä)

2004-01-17 11:58  rr9

	* lib/edit/ego_item.txt: Heavy crossbows no longer can get the 'of
	the Haradrim' suffix and 'light crossbows of the Haradrim' get a
	smaller damage bonus. (Timo Pietilä)

2004-01-17 11:37  rr9

	* lib/edit/object.txt: Made Raal's Tome of Destruction more, and
	Kelek's Grimoire of Power less common. (Timo Pietilä)

2004-01-17 11:33  rr9

	* lib/edit/object.txt: Rods of Recall, Perception, Curing, Healing,
	Restoration, and Speed will not be destroyed by electricity.

2004-01-10 13:15  rr9

	* src/init2.c: Allow initialization of the game to continue, even
	if the lib/data/*.raw files can't be written.  In that case the
	data parsed from the lib/edit/*.txt files stays in memory and is
	used instead of the *.raw data.  This currently wastes some memory,
	since the text arrays are not resized to the minimum required
	length.
	
	This is the first step toward a secure, non-setgid installation on
	multi- user systems.

2004-01-02 15:14  rr9

	* src/script.c: Use the Lua 5 function names instead of the Lua 4
	ones.

2004-01-02 15:09  rr9

	* src/main-crb.c: - Restored (superfluous) "pascal" keyword in some
	places because some compilers complain about it.  - Shortened
	event-checking interval from six ticks to one, as the old value
	caused gawky screen updates.  ("pelpel")

2004-01-02 15:08  rr9

	* src/Makefile.osx: Removed a superfluous #define. It now uses
	"-O2" optimisation. ("pelpel")

2004-01-02 14:58  rr9

	* lib/pref/graf-mac.prf: The Mac OS X port can make use of David
	Gervais' tiles. ("pelpel")

2004-01-02 14:57  rr9

	* lib/pref/font-mac.prf: The old 2.7.9--2.8.1 colours look better
	on the Macintosh. ("pelpel")

2004-01-02 14:46  rr9

	* lib/script/object.lua: angband.object_desc requires an integer
	value for the second argument.	("pelpel")

2004-01-02 09:42  rr9

	* src/init2.c: Fixed a wrong (but mostly harmless) #ifdef.

2004-01-01 16:00  rr9

	* src/init.h: Make the list of exported headers in init.h
	consistent with the one in init2.c. (Kieron)

2003-12-31 19:40  rr9

	* src/script.c: Remove the error handler function from the stack
	after calling a Lua event handler.  Otherwise the Lua stack grows
	every turn, eating memory and performance.

2003-12-31 17:42  rr9

	* src/files.c: The *.prf file parser will now ignore unknown
	options (like the removed 'auto_haggle' option).

2003-12-31 13:27  rr9

	* lib/script/object.lua: Added various missing library prefixes
	missing since the introduction of Lua 5. ("pelpel")

2003-12-31 13:22  rr9

	* src/use-obj.c: Correctly drain the charge of a stack of rods in
	the non-Lua version.  ("pelpel")

2003-12-31 13:10  rr9

	* lib/script/event.lua: Returning values from scripts was broken
	when the first of multiple return values was false.  This could
	happen when using objects that were not identified by using them.
	(reported by "pelpel")

2003-12-30 12:34  rr9

	* src/script.c: The player started without food and torches when
	USE_SCRIPT was turned off.  (reported by "pelpel")

2003-12-23 20:48  rr9

	* src/birth.c: Allow the left and right cursor keys to navigate
	back and forth in the character birth menu (Andrew Sidwell).

2003-12-22 18:18  rr9

	* src/melee2.c: The previous patch didn't cover the case where
	smart_monsters is turned on too.

2003-12-22 17:56  rr9

	* src/melee2.c: Monster groups ignored their fear when the
	smart_packs option was turned on. (reported by Eddie Grove)

2003-12-21 21:34  rr9

	* src/files.c: Added the equipment flag matrix to the character
	dump.

2003-11-23 18:41  rr9

	* lib/edit/shop_own.txt, src/init1.c, src/store.c, src/types.h: We
	only need one "greed" value for shopkeepers now, since we no longer
	have separate values for the first and for the final offer. 
	(noticed by Andrew Sidwell)

2003-11-23 15:58  rr9

	* lib/edit/object.txt: Junk items like broken sticks, empty
	bottles, and rodent skeletons are no longer generated in the
	dungeon.

2003-11-23 15:25  rr9

	* lib/edit/shop_own.txt, lib/help/dungeon.txt,
	lib/help/general.txt, lib/help/option.txt, src/defines.h,
	src/init1.c, src/l-object.pkg, src/load.c, src/save.c, src/store.c,
	src/tables.c, src/types.h: Removed the old haggling code.  The
	auto-haggling code is now permanently active and will give the
	normal price of items without the 10% "sales tax".

2003-11-22 21:19  rr9

	* src/: init2.c, script.c, types.h: Put the old "pure C"
	implementation of the store code back in to allow the game to
	compile with scripting support turned off.

2003-11-22 12:51  rr9

	* lib/edit/monster.txt: Fixed a typo in the description of the
	"wild cat". (reported by Jay McAbee)

2003-11-13 22:07  rr9

	* src/lua/tolua.c: Switched "tolua" to using precompiled code
	instead of the Lua code to work around path separator troubles on
	RISC OS.

2003-11-13 21:00  rr9

	* src/lua/ltable.c: Rollback of the recent "const" changes. 
	Replace them with Pelpel's patch.

2003-10-29 21:10  rr9

	* src/lua/ltable.c: Try to fix some "const"-problems in the Lua
	source reported by "pelpel".

2003-10-29 21:00  rr9

	* src/lua/tolua.c: Mac specific fix by "pelpel": tolua assumed the
	host environment is either Unix or DOS/Windows, by hard- coding '/'
	and '\' path separators.

2003-10-04 19:49  rr9

	* src/util.c: Fixed potential buffer overflow bugs in the recently
	added trigger_ascii_to_text() and trigger_test_to_ascii()
	functions.

2003-10-04 19:45  rr9

	* src/: z-form.c, z-form.h: Added ZAngband's strnfcat() function
	for efficiently appending a formatted string to another string.

2003-10-03 19:20  rr9

	* src/lua/: lbaselib.c, lgc.h, liolib.c, lparser.c, lvm.c, ldo.c,
	lgc.c, lua.h: Added the patches from the Lua 5.0.1 bugfix version.

2003-10-03 12:32  rr9

	* src/spells1.c: Added a level dependent chance to resist the
	teleportation effect of gravity attacks for monsters and the
	player. (suggested by Jonathan Ellis)

2003-09-07 15:02  rr9

	* src/spells1.c: Give the short range teleport effect from gravity
	attacks on monsters an additional 1 in 3 chance to teleport the
	monster away.  This should make abusing the Rift spell a bit
	harder.

2003-09-04 21:11  rr9

	* src/birth.c: Resolved an "unreachable code" warning.

2003-09-04 21:09  rr9

	* src/obj-info.c: No need to KILL(), FREE() is enough.

2003-09-04 21:07  rr9

	* src/Makefile.bcc: The Borland command line tools compiler needs
	'\' instead of '/' for paths.

2003-09-04 21:05  rr9

	* src/birth.c: The function get_player_race() doesn't take any
	parameters.

2003-09-04 21:04  rr9

	* src/spells1.c: Include scripts.h for the event handler prototype.

2003-09-04 21:02  rr9

	* src/: Makefile.cyg, Makefile.gtk, Makefile.lsl, Makefile.osx:
	Removed the dependency on the no longer existing "lua/luadebug.h"
	header.

2003-08-30 13:26  rr9

	* src/l-monst.pkg: Fixed the "monster_desc" function and added
	"mon_list" to the list of variables exported to Lua.

2003-08-30 12:31  rr9

	* src/: script.c, script.h, spells1.c: Trigger a Lua event when the
	player is hit by a beam/bolt/ball attack.

2003-08-30 11:17  rr9

	* src/spells1.c: Removed an useless and confusing variable alias.

2003-08-27 22:32  rr9

	* src/script.c: Use dummy functions for the new event handlers when
	scripting is turned off.

2003-08-27 22:21  rr9

	* lib/script/Makefile.am, lib/script/init.lua,
	lib/script/player.lua, src/dungeon.c: Moved the handling of damage
	from lingering poison to a Lua script.
	
	Note: The handling of the *initial* poison damage is not yet done
	in Lua.

2003-08-27 20:58  rr9

	* lib/script/event.lua: Added an utility function that waits for a
	given number of event calls before resuming the execution of an
	event-handler coroutine.

2003-08-27 20:31  rr9

	* src/: dungeon.c, script.c, script.h: Added two more Lua events.
	"game_turn" is triggered every game turn, while "process_world" is
	only activated every 10 game turns.

2003-08-27 14:20  rr9

	* src/: dungeon.c, script.c, script.h: Added a new Lua event that
	is triggered when the player gets a turn.

2003-08-27 14:17  rr9

	* src/util.c: Improved the handling of incomplete '\x' sequences in
	macros.  The old code could skip the final NUL-byte of the string
	if it ended with '\x', leading to a potential buffer overflow.

2003-08-15 20:40  rr9

	* src/util.c: text_to_ascii() didn't check that the characters used
	in \xAB sequences represent real hex characters.  Invalid hex
	sequences are now converted to the '?' character.  (problem
	reported by Kieron Dunbar)

2003-08-15 18:56  rr9

	* lib/script/birth.lua: Lua uses 1-based arrays, so don't forget to
	add '+1' to indices to 0-based C-arrays. (reported by "Darkgod")

2003-08-10 18:08  rr9

	* src/h-define.h: Removed the old pre-ANSI definition of NULL.
	(Andrew Sidwell)

2003-08-10 18:02  rr9

	* src/: h-define.h, main-x11.c, main-xpj.c, z-util.c: The
	FORCEUPPER() and FORCELOWER() macros are just silly wrappers around
	toupper() and tolower() and have been removed.	(Andrew Sidwell)

2003-08-10 14:25  rr9

	* lib/: pref/graf-xxx.prf, xtra/graf/8x8.bmp: Added new 8x8 tiles
	and tile definitions provided by "Dawnmist".
	
	Changes: - New tiles added for new monsters.  - Piles of objects
	now have a tile.  - All items, monsters, and floor features ought
	to have graphics.

2003-08-10 13:43  rr9

	* lib/script/event.lua, lib/script/init.lua, lib/script/object.lua,
	lib/script/spell.lua, lib/script/store.lua, lib/script/test.lua,
	lib/script/trace.lua, src/Makefile.bcc, src/Makefile.cyg,
	src/Makefile.dos, src/Makefile.gtk, src/Makefile.ibm,
	src/Makefile.lsl, src/Makefile.osx, src/Makefile.ros,
	src/Makefile.std, src/l-misc.pkg, src/l-monst.pkg, src/script.c,
	src/lua/Makefile.am, src/lua/Makefile.ami, src/lua/all.lua,
	src/lua/array.lua, src/lua/basic.lua, src/lua/class.lua,
	src/lua/clean.lua, src/lua/code.lua, src/lua/compat.lua,
	src/lua/container.lua, src/lua/declaration.lua, src/lua/define.lua,
	src/lua/doit.lua, src/lua/enumerate.lua, src/lua/feature.lua,
	src/lua/function.lua, src/lua/lapi.c, src/lua/lapi.h,
	src/lua/lauxlib.c, src/lua/lauxlib.h, src/lua/lbaselib.c,
	src/lua/lcode.c, src/lua/lcode.h, src/lua/ldblib.c,
	src/lua/ldebug.c, src/lua/ldebug.h, src/lua/ldo.c, src/lua/ldo.h,
	src/lua/ldump.c, src/lua/lfunc.c, src/lua/lfunc.h, src/lua/lgc.c,
	src/lua/lgc.h, src/lua/liolib.c, src/lua/llex.c, src/lua/llex.h,
	src/lua/llimits.h, src/lua/lmathlib.c, src/lua/lmem.c,
	src/lua/lmem.h, src/lua/loadlib.c, src/lua/lobject.c,
	src/lua/lobject.h, src/lua/lopcodes.c, src/lua/lopcodes.h,
	src/lua/lparser.c, src/lua/lparser.h, src/lua/lstate.c,
	src/lua/lstate.h, src/lua/lstring.c, src/lua/lstring.h,
	src/lua/lstrlib.c, src/lua/ltable.c, src/lua/ltable.h,
	src/lua/ltablib.c, src/lua/ltm.c, src/lua/ltm.h, src/lua/lua.h,
	src/lua/lua2c.lua, src/lua/luadebug.h, src/lua/lualib.h,
	src/lua/lundump.c, src/lua/lundump.h, src/lua/lvm.c, src/lua/lvm.h,
	src/lua/lzio.c, src/lua/lzio.h, src/lua/module.lua,
	src/lua/namespace.lua, src/lua/operator.lua, src/lua/package.lua,
	src/lua/tolua.c, src/lua/tolua.h, src/lua/tolua.pkg,
	src/lua/tolua_bd.c, src/lua/tolua_eh.c, src/lua/tolua_eh.h,
	src/lua/tolua_event.c, src/lua/tolua_event.h, src/lua/tolua_gp.c,
	src/lua/tolua_is.c, src/lua/tolua_lb.c, src/lua/tolua_map.c,
	src/lua/tolua_push.c, src/lua/tolua_rg.c, src/lua/tolua_rg.h,
	src/lua/tolua_tm.c, src/lua/tolua_tm.h, src/lua/tolua_to.c,
	src/lua/tolua_tt.c, src/lua/tolua_tt.h, src/lua/toluabind.c,
	src/lua/tolualua.c, src/lua/tolualua.pkg, src/lua/typedef.lua,
	src/lua/variable.lua, src/lua/verbatim.lua: Updated to Lua 5.0 and
	toLua 5.0alpha.

2003-08-10 12:52  rr9

	* src/: externs.h, l-player.pkg, spells1.c: Changed the 'permanent'
	argument of dec_stat() to boolean.

2003-08-10 12:39  rr9

	* Makefile.am: We don't need 'acconfig.h' anymore.

2003-08-10 12:22  rr9

	* src/l-spell.pkg: Removed duplicated definitions of some Lua
	bindings.

2003-07-27 19:03  rr9

	* src/: main-crb.c, main-mac.c: Applied "pelpel's" latest Mac
	patches:
	
	* common to main-crb.c and main-mac.c (1) The update event handler
	now respects update region.  (2) Changed the way the program finds
	term_data to use refcon (a Mac idiom) (3) play_game() is now
	entered from a single point in main() to make	  those file menu
	handlers much less hackish, but slightly complicating	  main(). 
	It might be possible to use main.c if we pursued this direction    
	further.  (4) The old synchronous sound player is pulled out of
	Term_xtra to make its	  interface same as that of asynchronous
	one.  (5) Unified colour table code for TERM_XTRA and game
	initialisation.  * main-crb.c (6) Reorganised the initialisation
	code in main() to follow more conventional     order.  * main-mac.c
	(7) Removed "ifdef ZANGBAND" from the new use_graphics/arg_graphics
	code,	  because it is no longer specific to [Z].  (8) Unified
	preferences location code for loading and saving.

2003-07-27 18:58  rr9

	* src/: cave.c, externs.h: Removed a compiler warning in the new
	'use_graphics' code. (reported by Jordan Hobbs)

2003-07-13 19:02  rr9

	* src/: cave.c, externs.h, main-ami.c, main-crb.c, main-ibm.c,
	main-mac.c, main-x11.c, main-xaw.c, main-xpj.c, variable.c: Tried
	to clean up the use of use_graphics and the code for the floor and
	wall lighting effects.	'use_graphics' is now an integer and should
	contain one of the GRAPHICS_* #defines instead of a boolean
	TRUE/FALSE value.
	
	Note: This change is untested on many platforms.  Please report
	failure or success with the various main-*.c files.

2003-07-13 17:09  rr9

	* src/main-gcu.c: Change colors in main-gcu.c.	This is Dominik
	Grzelak's patch to change bright white from blue back to bright
	white. (taken from Ed Cogburn's set of patches)

2003-07-13 10:40  rr9

	* src/util.c: Improved the output of item and monster descriptions
	in spoilers and character dumps.  In some cases punctuation and
	spaces were wrapped to the next line.

2003-07-11 09:55  rr9

	* src/spells2.c: Recharging wands or staves that have been fully
	*identified* before will now automatically reveal the new number of
	charges in the device.
	
	This fixes a bug where an already *ID'ed* wand or staff couldn't be
	*ID'ed* again after recharging (but plain ID works), despite the
	number of charges being unknown. (bug reported by Eddie Grove)

2003-07-09 22:25  rr9

	* src/files.c: Added the player's maximum depth in the dungeon to
	the character display and the dump.

2003-07-09 18:37  rr9

	* src/: main-mac.c, main-crb.c: More Mac specific patches by
	"pelpel": (1) main-mac.c: A typo:
	NewAEEventHanderUPP->NewAEEventHandlerUPP (2) Navigation services
	dialog in main-crb.c and the alternative code (off by default) in
	main-mac.c: A program should never try to free NULL.H (3) Players
	had to be able to use numpad for places like the autoroller.

2003-07-05 15:53  rr9

	* src/: main-crb.c, main-mac.c: Mac bugfix by "pelpel":
	
	(main-crb.c, main-mac.c) - Reopen Application AppleEvent handler
	called term_data_link	with a wrong parameter.

2003-07-05 15:50  rr9

	* src/: main-crb.c, main-mac.c: Mac patches by "pelpel": * both (1)
	The volume command used wrong number of bits to set volume levels
	of     left and right channels.  * main-crb.c (2) Re-introduced the
	'six tick hack' to CheckEvents() in response to     the slow
	autoroller problem reported by Arcum Dagsson.  * main-mac.c (3)
	Disabled USE_NAVIGATION_SERVICE by default at suggestion by Ken
	Dubuc,	   because it unnecessarily narrows compatibility down. 
	(4) Term_pict_mac didn't advance x coordinate appropriately (a
	wrong cleanup	  attempt) (5) Some explanations on why 'old' ports
	ceased to work.  It was basically     a library problem, or an old
	port needs old development systems.

2003-05-11 17:16  rr9

	* TODO: Updated the ToDo list.

2003-05-11 17:05  rr9

	* TODO, lib/edit/object.txt, lib/script/object.lua, src/cmd2.c,
	src/cmd3.c, src/cmd6.c, src/dungeon.c, src/externs.h, src/load.c,
	src/melee1.c, src/object1.c, src/object2.c, src/spells1.c,
	src/spells2.c, src/store.c, src/use-obj.c: Rods, wands, and staves
	with different charges can now be stacked.  This implementation is
	based on the NPPAngband version that in turn is based on Leon
	Marrick's rod/wand stacking in OAngband.  Besides the stacking this
	change also modifies rods so that they can't be recharged anymore,
	and that they are vulnerable to electricity.

2003-04-20 15:58  rr9

	* lib/help/help.hlp, src/files.c: Changed the meaning of the keys
	used for navigation in the help files.	The number and cursor keys
	can no be used for scrolling, letters select the corresponding menu
	entry, the ESC key returns you to the previous page and '?' leaves
	the help system completely.  Commands for jumping to the start and
	the end of the file have been added.
	
	The scrolling has been changed so that scrolling stops when the
	last line of the file is in view instead of starting again from the
	beginning of the file.	The line numbers of the visible area are
	now displayed as a range in addition to the total number of lines. 
	This makes it easier to notice that you reached the end of the
	file.

2003-04-13 17:55  rr9

	* src/script.c: minor code cleanup

2003-04-12 15:09  rr9

	* src/: main-crb.c, main-mac.c: Applied pelpel's latest Mac patch. 
	The changes are: * main-mac.c  - Restored 'pascal' keyword to the
	definitions of AppleEvent handlers.   - Restored ancient
	GetNextEvent() API, because it works better with     the autoroller
	and the running code...  * main-crb.c  - SegLoad.h is 68K-specific
	and shouldn't have been in Carbon source code.	 - Added missing
	#include <Processes.h>	* common to main-mac.c and main-crb.c  -
	Added support for the fifth required AppleEvent, Re-open
	Application,	that was introduced by Mac OS 8.   - Replaced HLock
	used by the sound code with HLockHi, to prevent     memory
	fragmentation under Classic   - Renamed some #include's with new
	names, to avoid conflict with	  POSIX header names.	- Removed a
	wrong cast for the sound volume command.   - Updated some comments

2003-03-22 14:31  rr9

	* src/main-x11.c: Don't print an error message when receiving an
	unknown selection request.

2003-03-21 21:53  rr9

	* src/: cave.c, defines.h, dungeon.c, externs.h, monster2.c,
	tables.c, xtra1.c, xtra2.c: - Added John Rauser's monster list
	patch that allows the user to display a list of the visible
	monsters in a window.  - Added support for bigtile mode to the
	patch.

2003-03-21 19:34  rr9

	* src/main-x11.c: Allow text to be copied from the game window in
	the X11 port. (modified version of the code in Kieron Dunbar's
	sCthangband 1.0.10)

2003-03-14 21:09  rr9

	* src/main-gtk.c: Angband consumed 100% of the cpu while waiting
	for a keypress in the GTK port.  This happened because the
	CheckEvent() function in the main-gtk.c file didn't respect the
	wait parameter it was given. (Sheldon Simms)

2003-03-14 20:59  rr9

	* lib/pref/: pref-gtk.prf, pref.prf: The GTK port uses the same key
	definitions and default macros as the normal X11 ports.

2003-03-05 22:40  rr9

	* lib/help/birth.txt: Fixed a typo.

2003-02-28 17:34  rr9

	* src/: cmd1.c, cmd2.c, config.h, externs.h, object1.c, xtra2.c:
	Removed the #ifdef's for the ALLOW_EASY_* options.

2003-02-28 12:13  rr9

	* src/main-gcu.c: Added a workaround for a bug when using
	USE_GETCH.  The news.txt screen was erased by the first call to the
	getch() function.  (Frank Palazzolo)

2003-02-28 11:54  rr9

	* src/Makefile.osx: Added a Makefile for the Mac OS X Carbon port.
	(submitted by "pelpel")

2003-02-28 11:48  rr9

	* src/: main-crb.c, main-mac.c: More bugfixes and cleanup in the
	Mac ports. ("pelpel") Details: (1) Fixed the other uses of internal
	union members of the	 PBGetCatInfo* parameter block.  (2) Fixed
	some comments -- Mac OS version compabitility info and grammar. 
	(3) Some functions opened a file with fopen and closed it with	  
	my_fclose (main-mac.c only).

2003-02-28 11:35  rr9

	* lib/pref/pref-mac.prf: The key codes for F9 and F10 in
	pref-mac.prf were wrong. (Takeshi Mogami)

2003-02-27 22:43  rr9

	* src/util.c: Added the missing return value to the new
	macro_free() function.

2003-02-26 20:24  rr9

	* lib/pref/user.prf: Automatically try to load the "Kobold.prf"
	file at startup if the player is a Kobold.

2003-02-23 18:29  rr9

	* src/spells2.c: Prevent earthquake/destruction spells from working
	in town.  That is easier than fixing the spells so that no
	inappropriate messages (like "The cave ceiling collapses!") are
	displayed.

2003-02-23 17:57  rr9

	* lib/script/object.lua, src/spells2.c, src/use-obj.c: Allow the
	banishment spell to be aborted at the "Choose a monster race to
	banish" prompt without using up a scroll or charge.

2003-02-23 17:50  rr9

	* src/script.c: Make compilation with USE_SCRIPT fail again, since
	the missing implementation of get_store_choice() will cause the
	game to hang otherwise.

2003-02-23 17:35  rr9

	* src/script.c: Added some dummy functions to make the game compile
	with the USE_SCRIPT option off.

2003-02-23 15:56  rr9

	* src/main-mac.c: Fixed a stupid bug in main-mac.c - a wrong
	structure was passed to the PBGetCatInfoSync() function. (Steve
	Sexton and "pelpel")

2003-02-23 15:53  rr9

	* src/main-crb.c: Fixed an annoying problem on OS X - messages were
	displayed in a wrong window if one brings the Angband application
	back by clicking on a subwindow. ("pelpel")

2003-02-23 13:15  rr9

	* src/cmd4.c: Fixed some hacky code. (Takeshi Mogami)

2003-02-23 11:56  rr9

	* src/cmd4.c: Changed the format of the pref-file dump headers and
	footers to allow detection of various invalid edits by the user. 
	The dump will be appended instead of replaced in such cases.

2003-02-22 23:04  rr9

	* src/cmd4.c: Added a stripped down version of Takeshi Mogami's
	"auto_dump" feature from Hengband.  Automatic pref file dumps from
	the game are now marked, so that they can be replaced when dumping
	to the same pref-file again.

2003-02-22 16:32  rr9

	* src/Makefile.mpw: Added a makefile for the Macintosh Programmer's
	Workshop. ("pelpel")

2003-02-22 13:19  rr9

	* src/: main-crb.c, main-mac.c: Added "pelpel's" latest Mac
	patches.

2003-02-22 13:14  rr9

	* src/: externs.h, init2.c, util.c: Moved the macro-freeing code to
	a seperate function.

2003-02-22 11:10  rr9

	* src/: externs.h, files.c, init2.c, util.c: Fixed a memory leak in
	the macro trigger implementation. (thanks to Mogami for pointing it
	out)

2003-02-21 17:58  rr9

	* src/main-win.c: Hopefully make the APWBorg screensaver work
	again. (Dr. Andrew White)

2003-02-20 20:46  rr9

	* src/lua/lapi.c: Fixed a bug with toggling garbage collection in
	Lua when using 64-bit longs. (patch by Roberto Ierusalimschy)

2003-02-16 22:44  rr9

	* lib/pref/pref-x11.prf: Changed some more macro triggers to the
	new style.

2003-02-16 22:43  rr9

	* src/birth.c: Select the sex, race, and class choices from a dead
	character as defaults for a new character.

2003-02-16 20:26  rr9

	* src/birth.c: Added a better character selection screen with
	support for using the cursor keys, display of info about the
	various race and class choices, and context sensitive help.  The
	code is based on the EyAngband's birth screen that again is
	probably based on ZAngband's birth screen, ...

2003-02-16 18:48  rr9

	* lib/help/birth.txt: Added tags for context sensitive help to the
	character birth documentation.

2003-02-16 14:50  rr9

	* lib/pref/pref-x11.prf: - The control-keypad key combinations work
	now with numlock on and off.  - Replaced some old triggers with
	new-style ones.

2003-02-16 14:22  rr9

	* lib/pref/pref-x11.prf: The cursor keys in the X11 ports behave
	the same way now, no matter if num-lock is on or off.

2003-02-16 13:24  rr9

	* lib/pref/pref-mac.prf, lib/pref/pref-win.prf,
	lib/pref/pref-x11.prf, src/defines.h, src/externs.h, src/files.c,
	src/util.c, src/variable.c, src/z-util.c, src/z-util.h: Added a
	modified version of Mogami's macro trigger patch.
	
	This patch modifies how macro trigger keys are displayed on screen
	and written in .prf files.  The trigger keys are no longer
	displayed in ugly key code style, such like ^__FFBE\r or
	^_O_FF53\r, but in more smart style, such like \[F1] or
	\[alt-Right].

2003-02-16 11:50  rr9

	* src/Makefile.am: Include the new Mac specific files in the source
	tarball.

2003-02-15 18:19  rr9

	* src/: config.h, defines.h, main.c, save.c: Removed some code that
	dealt with the AFS distributed filesystem.  The code was untested
	according to comments in the source and Google searches didn't turn
	up any documentation for the used AFS library functions.

2003-02-15 18:11  rr9

	* src/: config.h, load.c: Removed the compile time option to switch
	off the verification of savefile checksums.

2003-02-15 13:02  rr9

	* acconfig.h: Replaced the depracated acconfig.h template with use
	of the third argument 'AC_DEFINE' and 'AC_DEFINE_UNQUOTED'.

2003-02-15 13:00  rr9

	* configure.in: [no log message]

2003-02-14 23:14  rr9

	* src/main-crb.c: Added the current Mac OS X front-end. ("pelpel")

2003-02-14 23:06  rr9

	* src/main-mac.c: Added the latest Mac front-end. ("pelpel")

2003-02-14 22:43  rr9

	* src/: config.h, externs.h, h-config.h, h-system.h, util.c,
	lua/ltable.c: - Applied the Mac specific patches from "pelpel's"
	ext-mac archive.  - Added "pelpel's" version of my_fgets() with
	support for different	end-of-line characters.

2003-02-14 22:37  rr9

	* src/main-xaw.c: Removed two compiler warnings.

2003-02-14 20:45  rr9

	* src/cmd4.c: Added the kill count of non-unique monsters to the
	knowledge menu.

2003-02-14 19:48  rr9

	* src/types.h: Removed an outdated "ToDo" comment.

2003-02-09 18:24  rr9

	* src/cmd3.c: Refilling a latern from a stack of laterns will now
	only remove the oil from one latern, instead from the whole stack.
	(bug reported by Jay McAbee)

2003-02-07 22:11  rr9

	* src/: externs.h, files.c: The display_scores() function was made
	static by accident.  It needs to be extern since it is used by
	other files.  (thanks to Kieron for pointing that out too)

2003-02-07 22:07  rr9

	* src/: Makefile.am, config.h: Accidently commited some local
	changes to include the Borg. (thanks to Kieron for pointing that
	out)

2003-02-07 19:08  rr9

	* src/cmd6.c: Fixed a comment that refered to the non-existant
	'rods of banishment'.  (John I'anson-Holton)

2003-02-07 19:02  rr9

	* src/: Makefile.am, cmd4.c, config.h: Removed a duplicated line.
	(John I'anson-Holton)

2003-02-06 21:21  rr9

	* src/: angband.rc, externs.h, files.c, main-win.c, variable.c:
	Removed the hackish 'Show scores' menu entry from the Windows
	version.  Use the new knowledge menu entry instead.

2003-02-05 22:34  rr9

	* src/: cmd4.c, files.c: Changed the wording for the scores display
	a bit.

2003-02-05 21:54  rr9

	* src/: cmd4.c, externs.h, files.c: Added a 'show scores' command
	to the knowledge menu.

2003-02-05 20:37  rr9

	* lib/script/object.lua: Wands and rods of light don't give a
	message and aren't automatically identified when using them while
	you are blind.	(bug reported by Steve Kroon)

2003-02-05 20:33  rr9

	* src/spells1.c: The effects of light spells are only obvious if
	you aren't blind.

2003-02-05 20:17  rr9

	* lib/script/object.lua: Rods and staves of probing were
	automatically identified by usage, even if no monster was probed. 
	(reported by "someog")

2003-02-05 19:30  rr9

	* src/util.c: Show all minor error messages immediately in the
	message window.

2003-02-05 18:54  rr9

	* src/spells1.c: Chaos resistance protects against confusion by
	chaos based attacks now.
	
	I hope that reduces the confusion about confusion effects from
	chaos attacks when you resist chaos, but not confusion.

2003-02-05 18:46  rr9

	* src/util.c: Try to output minor warning messages (such as
	"illegal option choice" when selecting a non existing item for a
	command) as soon as possible. (reported by "Mogami")

2003-02-04 19:59  rr9

	* src/spells2.c: Branding ammo or weapons will now automatically
	try to combine and reorder the resulting objects, even if the
	enchantment of to-hit and to-dam fails.  (reported by John D.
	Goulden)

2003-02-02 16:52  rr9

	* src/files.c: Changed the "Do you really want to quit?" prompt to
	"Do you really want to commit suicide?".

2003-02-02 15:40  rr9

	* src/cmd4.c: Mention the '? for help' command on the option screen
	prompt.

2003-02-02 13:09  rr9

	* src/util.c: Changed the behavior of the 'auto_more' option, so
	that it automatically skips '-more-' prompts instead of not
	displaying messages on the top line.  (Tom Houser)

2003-02-02 12:43  rr9

	* src/generate.c: The player can now get a level feeling when
	entering level 1 without spending 1000 game turns in town first.
	(Tom Houser)

2003-02-01 20:14  rr9

	* src/obj-info.c: Don't just show the content of books when
	'Inspecting' the.  Also show infos like "It cannot be harmed by the
	elements." just as for other item types.

2003-02-01 18:31  rr9

	* src/cmd2.c: Allow direct melee attacks on visible monsters in
	walls.	You still have to tunnel into the wall if you are trying to
	attack an invisible monster.  (suggested by Greg Stark)

2003-02-01 18:02  rr9

	* src/dungeon.c: You can now use either 'm' or 'p' to cast spells
	or pray.

2003-02-01 17:44  rr9

	* src/xtra2.c: Only print the "You feel (less) resistant to ..."
	messages when not immune to the specific element. (reported by
	"greenemail")

2003-02-01 14:59  rr9

	* src/lua/: declaration.lua, package.lua, tolua.h, tolua_gp.c,
	tolua_tt.c, tolualua.c, variable.lua: Tweaked the tolua code
	generation a bit to reduce the size of the output.

2003-01-30 20:10  rr9

	* src/: store.c, types.h: Increased the data-type of the shopkeeper
	purse limit from signed 16 bit to signed 32 bit.  This allows
	shopkeepers with a higher limit than 32768 gold.

2003-01-26 20:10  rr9

	* lib/edit/monster.txt, src/defines.h, src/init1.c,
	src/l-monst.pkg, src/monster1.c, src/spells1.c: Use the proper
	monster flags instead of workarounds for various resists and
	immunities.  This also allows the reporting of these flags in the
	monster recall and the spoilers. (thanks to Leon Marrick for
	pointing this out)
	
	Renamed some of the flags mentioned above to make them more
	readable in the source and the monster.txt file.
	
	Made the water vortex immune to water-based attacks.

2003-01-26 18:15  rr9

	* lib/edit/monster.txt, src/spells1.c: Use the Plasma-resist flag
	of monsters instead of the "plasma breathers resist plasma"
	workaround.

2003-01-26 15:55  rr9

	* src/: main-ami.c, main-cap.c, main-gcu.c, main-gtk.c, main-lsl.c,
	main-sla.c, main-vcs.c, main-win.c, main-x11.c, main-xaw.c: Only
	delay on TERM_XTRA_DELAY when the requested delay is >0.  This
	should speed up the Borg a lot on systems that end the timeslice of
	the process when calling "usleep(0)".

2003-01-26 15:38  rr9

	* angband.dsp, tolua.dsp: Accidently overwrote the MS VC++ project
	files in the commit of the Inno Setup script.  This restores the
	version that has been uploaded with Angband 3.0.3.

2003-01-25 21:17  rr9

	* angband.dsp, angband.iss, tolua.dsp: Added a Windows setup script
	using the free Inno Setup tool.

2003-01-25 20:53  rr9

	* lib/xtra/graf/readme.txt: Changed the URL for the 32x32 tiles.

2003-01-25 20:46  rr9

	* lib/xtra/font/: 10x17.dat, 10x17b.dat, 12x20.dat, 12x20b.dat,
	16x25.dat, 16x25b.dat, 4x6.dat, 5x8.dat, 6x12.dat, 6x12b.dat,
	8x13.dat, 8x13b.dat, 8x16.dat, 8x16b.dat: Added Allegro *.dat files
	containing the fonts for the DOS version.

2003-01-25 20:43  rr9

	* angdos.cfg, changes.txt, src/main-dos.c: Updated the DOS version
	to compile with the latest version of the Allegro library.

2003-01-25 18:58  rr9

	* changes.txt, compile.txt, configure.in, readme.txt,
	lib/edit/artifact.txt, lib/edit/cost_adj.txt,
	lib/edit/ego_item.txt, lib/edit/flavor.txt, lib/edit/limits.txt,
	lib/edit/monster.txt, lib/edit/object.txt, lib/edit/p_class.txt,
	lib/edit/p_hist.txt, lib/edit/p_race.txt, lib/edit/shop_own.txt,
	lib/edit/terrain.txt, lib/edit/vault.txt, lib/file/news.txt,
	src/defines.h: Changed the version number to 3.0.3 and updated the
	changelog.

2003-01-25 17:29  rr9

	* lib/pref/: flvr-dvg.prf, graf-dvg.prf, xtra-dvg.prf: Removed some
	of the unused space from the 32x32 bitmap and changed the *.prf
	files accordingly.  The smaller bitmap should also fix the problem
	on older Windows versions with restrictions of the maximal bitmap
	size (Windows 95 and 98).
	
	The graphics (and the *.prf files) can be found at:
	ftp://clockwork.dementia.org/angband/Extra/graf-dvg3.zip

2003-01-22 18:23  rr9

	* src/z-form.c: Fixed a typo in a comment.

2003-01-15 22:07  rr9

	* src/spells2.c: Corrected some messed up indentation.

2003-01-15 22:07  rr9

	* src/main-x11.c: Corrected a typo in a comment.

2003-01-15 21:58  rr9

	* configure.in: Fixed a problem with the CYGWIN conditional when
	using newer automake releases. (reported by Tormod Haugen) Lesson
	learned: Don't use AM_CONDITIONAL() conditionally since it *always*
	must be defined before using it.

2003-01-11 19:45  rr9

	* src/util.c: Fixed a bug in the text-output routines used for
	character dumps that sometimes introduced bogus output. (reported
	by Pasi Vartiainen)

2003-01-11 19:25  rr9

	* src/main-x11.c: Fixed a wrong entry in the template for the X11
	startup shell script.  ("Mynstral")

2003-01-11 18:57  rr9

	* src/obj-info.c: - Fixed the display of *slays* in character
	dumps. (Matthias Kurzke) - The "It might have hidden powers."
	message will now displayed in the   character dumps.  This makes it
	easier to see if an artifact or ego-item   with random abilities
	has already been *identified*.	- Curses on unidentified items are
	no longer revealed in character dumps	or in the output of the
	'Inspect' command.

2003-01-11 18:16  rr9

	* src/tables.c: Fixed a typo - "intellegence". (Greg Stark)

2002-12-22 17:57  rr9

	* build_ext_dos, build_ext_win: Adjusted the build-scripts for the
	ext-*.zip archives.

2002-12-21 11:38  rr9

	* lib/pref/Makefile.am: Include the *.prf files for the new 32x32
	tiles in the tarball.

2002-12-18 20:13  rr9

	* changes.txt, compile.txt, configure.in, readme.txt,
	lib/edit/artifact.txt, lib/edit/cost_adj.txt,
	lib/edit/ego_item.txt, lib/edit/flavor.txt, lib/edit/limits.txt,
	lib/edit/monster.txt, lib/edit/object.txt, lib/edit/p_class.txt,
	lib/edit/p_hist.txt, lib/edit/p_race.txt, lib/edit/shop_own.txt,
	lib/edit/terrain.txt, lib/edit/vault.txt, lib/file/news.txt,
	lib/xtra/Makefile.am, lib/xtra/font/Makefile.am, src/defines.h: -
	Changed the version number for the upcoming 3.0.2 release.  -
	Include the 16x16.txt file in the source tarball and the
	installation.

2002-12-16 14:06  rr9

	* lib/pref/font-win.prf: Turned off the special floor symbols in
	the Windows port, since these seem to mess up the display on some
	newer Windows installations.

2002-12-16 13:55  rr9

	* src/cmd6.c: Use the simpler patch by Tormod Haugen for the rod
	stacking bugfix.

2002-12-16 13:44  rr9

	* src/cmd6.c: Zapping a stack of charging rods instantly recharged
	all but one of the stacked rods. (Tormod Haugen)

2002-12-16 13:38  rr9

	* lib/script/object.lua: Fixed a problem with an undefined variable
	when zapping rods.

2002-12-16 12:45  rr9

	* src/object2.c: Only the top item in a stack was really destroyed
	by earthquake/destruction spells.  Other objects from the stack
	would reappear after saving/loading the game.  (reported by
	Matthias Kurzke) Today's lesson: Don't wipe objects that you are
	iterating over ...

2002-12-14 14:02  rr9

	* src/main-xpj.c: The XPJ port had a wrong filename in the
	header-comment.

2002-12-12 17:24  rr9

	* lib/edit/object.txt: - Replaced silver arrows and bolts with
	mithril ammo (no slay evil, a	little bit cheaper, light blue
	color).  Slay evil on non-ego ammo was too   powerful.	- Changed
	the color of seeker bolts to green since there are so many 'light  
	blue' ammo objects now.

2002-12-07 17:46  rr9

	* src/Makefile.lcc: Removed the reference to the unused lmathlib.c
	file.

2002-12-07 14:49  rr9

	* src/load.c: Fixed an off-by-one error that prevented savefiles
	with the maximum number of monsters (only possible in debug mode)
	from loading correctly. (Takeshi Mogami)

2002-12-06 23:30  rr9

	* src/lua/tolua.h: Removed the 'extern "C"' block from the tolua
	header.

2002-12-06 23:12  rr9

	* src/melee2.c: Removed two variables that are now unused.

2002-12-06 22:34  rr9

	* src/melee2.c: - Fixed an abuse that allowed the player to kill a
	monster with a ball spell   by staying out of sight and detection
	range of the monster while the	 monster just patiently waited
	without ever getting a turn. (reported by   Tormod Haugen)  
	Wounded monsters will now always get their turn, even when out of
	range.	- Cleaned up the code for deciding if a monster gets a
	turn.

2002-11-23 22:40  rr9

	* src/: externs.h, main.c, util.c, wizard2.c: Fixed various
	compiler warnings.

2002-11-23 22:31  rr9

	* src/lua/: tolua.c, tolua.h, tolua_bd.c, tolua_eh.c, tolua_gp.c,
	tolua_lb.c, tolua_rg.c, tolua_rg.h, tolua_tm.c, tolua_tm.h,
	tolua_tt.c, tolua_tt.h, tolualua.c: Fixed various compiler warnings
	in the 'tolua' source - mainly missing 'const' qualifiers. (Andrew
	Sidwell)

2002-11-23 14:36  rr9

	* src/load.c: Fixed an off-by-one error in the savefile loading
	code.  The game reported "too many objects" when loading a savefile
	containing the maximum number of objects for a level.  That only
	could happen after heavy item creation in debug mode. (Takeshi
	Mogami)

2002-11-02 17:15  rr9

	* src/obj-info.c: Added a workaround for some compiler warnings
	about unused parameters.

2002-11-02 17:14  rr9

	* src/main-gcu.c: Fixed a compiler warning when USE_GRAPHICS was
	turned off.

2002-11-02 16:28  rr9

	* src/: dungeon.c, externs.h: Moved the prototypes for the DEBUG
	and BORG functions to externs.h.

2002-11-02 16:26  rr9

	* src/: main-x11.c, main-xaw.c: Use the "unified" '32x32.bmp' with
	the X11 and XAW ports.

2002-11-01 15:05  rr9

	* lib/pref/graf-win.prf, lib/xtra/graf/readme.txt, src/angband.rc,
	src/main-win.c, src/readdib.c, src/readdib.h: Added support for
	David Gervais' tiles to the Windows version.  Fixed a memory leak
	when switching between the various tilesets.

2002-10-20 18:03  rr9

	* src/wizard2.c: Removed a compiler warning.

2002-10-20 17:10  rr9

	* src/util.c: Removed some redundant prototypes.

2002-10-12 14:31  rr9

	* lib/edit/flavor.txt: 'Golden staves' had the wrong color - green.
	(John I'anson-Holton)

2002-10-12 13:15  rr9

	* src/files.c: Pressing Ctrl-C on the tombstone screen added a
	second highscore entry with "Killed by Abortion". (reported by
	Mauro Scarpa)

2002-10-11 21:24  rr9

	* lib/edit/artifact.txt: The Elfstone 'Elessar' and the Jewel
	'Evenstar' have the INSTA_ART flag now to make the APW-Borg happy.

2002-10-11 21:14  rr9

	* lib/edit/object.txt: Amulets of resistance are now fully known
	after identifying one for the first time. (Dr. Andrew White)

2002-09-22 14:21  rr9

	* src/: script.c, script.h, xtra1.c: Added an event hook that
	allows modifying the player's state.

2002-09-22 11:25  rr9

	* lib/script/init.lua, src/l-misc.pkg, src/script.c: Moved the
	Unix->RISC OS file translation into just one place. (Andrew
	Sidwell)

2002-09-22 10:53  rr9

	* AUTHORS, COPYING, THANKS, TODO, compile.txt, readme.txt,
	lib/file/news.txt, lib/help/general.txt, lib/help/version.txt,
	lib/pref/graf-new.prf, lib/pref/xtra-new.prf,
	lib/xtra/graf/readme.txt, src/Makefile.std, src/cave.c,
	src/config.h, src/main-dos.c, src/main-win.c, src/main-xxx.c:
	Pointed the Thangorodrim URL and email address to the new
	thangorodrim.net server.

2002-09-22 10:44  rr9

	* src/: melee2.c, store.c: Removed some commented-out code.

2002-09-08 18:41  rr9

	* src/script.c: The return values of the use_object_hook were
	retrieved in the wrong order.

2002-09-08 17:59  rr9

	* src/files.c: Removed a global variable used by likert(). (Andrew
	Sidwell)

2002-09-08 13:12  rr9

	* src/: cmd3.c, externs.h, l-monst.pkg, monster1.c: Unified the two
	static copies of the roff_top() function.

2002-09-08 12:58  rr9

	* src/object1.c: Better indentation of the object descriptions in
	the character dump.  (Andrew Sidwell)

2002-09-08 12:53  rr9

	* src/util.c: Replaced text_out_to_file() with an improved version
	that respects the variables text_out_wrap and text_out_indent.
	(Antony Sidwell)

2002-09-07 13:49  rr9

	* src/: externs.h, h-config.h, h-define.h, h-system.h, main.c,
	script.c, util.c: Renamed the 'ACORN' #define to 'RISCOS'.

2002-09-06 20:06  rr9

	* src/: cmd3.c, cmd4.c, cmd5.c, defines.h, externs.h, l-object.pkg,
	load.c, obj-info.c, object1.c, object2.c, store.c, wizard1.c,
	wizard2.c: Added a flag to identify items that are currently in the
	inventory of a store.  This removes various ugly special cases.

2002-09-04 23:42  rr9

	* src/config.h: Allow the name of the "~/.angband" user directory
	to be easily redefined at compile time.

2002-09-04 23:37  rr9

	* src/init2.c: Simplify the initialization of the format() buffer.

2002-09-04 23:22  rr9

	* src/script.c: Variable arguments will be promoted according to
	standard C promotion rules.  Arguments of type 'char' or 'bool'
	will be promoted to 'int', and we should retrieve them as such.

2002-09-04 22:12  rr9

	* THANKS: Fixed a typo and updated the credits.

2002-08-31 21:33  rr9

	* src/: Makefile.am, Makefile.ami, Makefile.bcc, Makefile.cyg,
	Makefile.dos, Makefile.emx, Makefile.gtk, Makefile.ibm,
	Makefile.lcc, Makefile.lsl, Makefile.ros, Makefile.std,
	Makefile.wat, Makefile.win, cmd3.c, externs.h, files.c,
	l-object.pkg, obj-info.c, object1.c, spells2.c, store.c, tables.c,
	util.c, variable.c, wizard1.c: Added the new unified code for
	object infos and artifact spoilers written by Andrew Sidwell.

2002-08-31 17:19  rr9

	* src/init1.c: Fixed a tiny typo in a comment.

2002-08-27 20:58  rr9

	* src/script.h: Added the missing prototype for leave_level_hook().

2002-08-27 19:06  rr9

	* src/init1.c: Removed an unused local variable. (Andrew Sidwell)

2002-08-27 18:59  rr9

	* src/script.c: The return types for spell names and info should be
	string, not integer.  (Andrew Sidwell)

2002-08-26 19:26  rr9

	* src/main-win.c: - The Windows port didn't use the cursor function
	for bigtile mode.  - Cleaned up the source a little bit.

2002-08-26 19:23  rr9

	* src/store.c: Added a missing #include.

2002-08-26 19:22  rr9

	* src/init2.c: Removed two unnecessary local variables.

2002-08-26 19:19  rr9

	* src/generate.c: Fixed an inversed test in the dungeon generation
	code that messed up level generation completely.

2002-08-24 19:39  rr9

	* lib/script/object.lua, lib/script/spell.lua,
	lib/script/store.lua, src/birth.c, src/dungeon.c, src/generate.c,
	src/script.c, src/script.h: - Allowed boolean values to be used
	directly in the event handler code.  - The old callback functions
	use the new event-handler interface.  - Added events for
	entering/leaving a level, procesing a command, starting   the game,
	and generating a new dungeon level.

2002-08-24 14:31  rr9

	* lib/script/: birth.lua, event.lua: Allow multiple Lua event
	handlers per event.

2002-08-21 23:50  rr9

	* src/: birth.c, script.c, script.h: Reworked the Lua event handler
	again to get rid of the global array of return values.

2002-08-21 18:55  rr9

	* lib/script/event.lua, src/script.c: The extraction of results
	from calls to Lua hooks should work now.

2002-08-21 00:37  rr9

	* lib/script/event.lua, src/birth.c, src/script.c, src/script.h:
	Added a simplified version of the event-hook function from ToME to
	make the creation of event handlers easier.

2002-08-20 21:43  rr9

	* lib/script/Makefile.am, lib/script/birth.lua,
	lib/script/event.lua, lib/script/init.lua, src/birth.c,
	src/script.c, src/script.h: - Added basic event-handler code to
	call Lua functions when things happen	in the game.  - Moved the
	generation of the player's fixed starting equipment (food and  
	torches) to such an event handler.

2002-08-20 21:41  rr9

	* THANKS, TODO: Updated the ToDo list and added new contributors.

2002-08-20 21:00  rr9

	* lib/script/init.lua: Make sure that Lua error messages are
	flushed to the screen immediatly.

2002-08-18 11:07  rr9

	* lib/script/init.lua: Access to an undefined global variable in
	Lua is now reported as an error.

2002-08-18 11:06  rr9

	* lib/script/object.lua, src/externs.h, src/l-ui.pkg, src/util.c:
	The option for flushing of pending input when failing to cast a
	spell didn't work.  The variable was undefined in Lua.

2002-08-18 09:35  rr9

	* lib/script/Makefile.am: Added store.lua to the list of files to
	be installed.

2002-08-17 17:27  rr9

	* lib/script/store.lua, src/externs.h, src/l-object.pkg,
	src/object2.c, src/script.c, src/script.h, src/store.c: Which
	objects a store will buy is now determined by a Lua script.

2002-08-17 15:38  rr9

	* src/defines.h, src/init2.c, src/script.c, src/script.h,
	src/store.c, src/types.h, TODO, lib/script/init.lua,
	lib/script/store.lua: Moved the choice of items that stores will
	offer to a Lua script.

2002-07-29 13:54  rr9

	* lib/edit/flavor.txt, src/init1.c, src/util.c, src/z-util.c,
	src/z-util.h: The lib/edit/*.txt files can now optionally contain
	the names of the default object, monster, terrain, and flavor
	colors instead of just a character specifying the Angband color
	code.
	
	Changed the format of the flavor.txt file to make parsing easier.

2002-07-29 10:16  rr9

	* src/init2.c: Free the stored path to the script files at exit.

2002-07-28 21:16  rr9

	* lib/pref/flvr-dvg.prf, lib/pref/graf-dvg.prf,
	lib/pref/graf-x11.prf, lib/pref/xtra-dvg.prf, src/angband.rc,
	src/cave.c, src/cmd4.c, src/defines.h, src/externs.h,
	src/maid-x11.c, src/main-mac.c, src/main-win.c, src/main-x11.c,
	src/main-xaw.c, src/main.c, src/monster1.c, src/spells1.c,
	src/variable.c, src/xtra1.c, src/xtra2.c, src/z-term.c,
	src/z-term.h: Added Takeshi Mogami's bigtile patch with support for
	David Gervais' 32x32 tiles.  The 32x32 tiles can be found at:
	ftp://clockwork.dementia.org/angband/Extra/david-gervais-bmptileset
	.tar.gz

2002-07-27 14:42  rr9

	* src/: main-x11.c, main-xpj.c: Improved the error message when a
	font can't be loaded in the x11 and xpj frontends.

2002-07-27 13:55  rr9

	* src/: dungeon.c, load.c: Simplified the bugfix for the "aborted
	wizard mode resurrection -> double scores" problem.

2002-07-24 22:39  rr9

	* src/: main-x11.c, main-xpj.c: The X11 and XPJ versions will now
	exit properly if the font-loading in Infofnt_init_data() fails.

2002-07-20 16:26  rr9

	* src/: defines.h, object1.c, object2.c, xtra2.c: Limited the
	maximum size of floor stacks to 23, so that get_item() can always
	display a list containing all objects.

2002-07-20 15:00  rr9

	* src/cave.c: Removed two unused #defines.

2002-07-20 12:51  rr9

	* lib/edit/artifact.txt, lib/edit/object.txt, lib/help/dungeon.txt,
	lib/pref/graf-ibm.prf, lib/pref/graf-new.prf,
	lib/pref/graf-xxx.prf, lib/script/object.lua, lib/script/spell.lua,
	lib/script/test.lua, src/cmd6.c, src/defines.h, src/externs.h,
	src/init1.c, src/l-object.pkg, src/l-spell.pkg, src/monster2.c,
	src/object2.c, src/spells2.c, src/use-obj.c, src/wizard2.c,
	src/x-spell.c: Renamed 'genocide' to 'banishment' and 'mass
	genocide' to 'mass banishment' since that name fits much better to
	the effect.  The priest's 'banishment' spell has been renamed to
	'banish evil' to avoid confusion and since that is what it actually
	does.

2002-07-20 11:59  rr9

	* src/files.c: Allow the use of the Angband version number in
	conditional statements of the *.prf file format.

2002-07-20 11:56  rr9

	* src/z-util.c: Checking an unsigned value for < 0 is a bit silly.

2002-07-17 19:10  rr9

	* src/main-ros.c: Fixed a compiler warning in the RISC OS port.

2002-07-17 19:01  rr9

	* src/main-ami.c: Hopefully fixed the compile problem in the
	amiga_map() function.

2002-07-16 22:57  rr9

	* src/load.c: Don't resurrect retired players to prevent multiple
	scorefile entries for the same character.

2002-07-16 21:48  rr9

	* src/dungeon.c: Starting the game with the -w wizard mode option
	and then answering 'no' at the 'enter wizard mode' prompt caused
	dead/retired characters to be scored several times.  The game now
	assumes the player really wants to enter wizard mode if he
	specifies -w and skips the prompt.

2002-07-13 16:47  rr9

	* lib/help/version.txt: The version.txt file refered to the 2.9.4
	version.

2002-07-13 16:40  rr9

	* src/main-dos.c: Fixed a typo.

2002-07-13 16:38  rr9

	* src/util.c: Removed more compiler warnings.

2002-07-13 16:19  rr9

	* angband.dsp, angband.dsw, tolua.dsp, src/angband.dsp,
	src/angband.dsw, src/tolua.dsp, src/tolua.dsw: Created new project
	files for MS Visual C++ 6.

2002-07-13 16:09  rr9

	* changes.txt: Updated the changelog for Angband 3.0.1.

2002-07-12 00:11  rr9

	* src/cave.c: Simplified the definition of the priority table for
	the full screen map.

2002-07-12 00:08  rr9

	* src/z-term.c: Fixed some lint warnings.

2002-07-11 23:57  rr9

	* src/xtra2.c: Check the panel-bounds more carefully to prevent
	scrolling problems when using a huge main window (heigher or wider
	than the dungeon).

2002-07-11 23:10  rr9

	* src/cave.c: Replaced some 'unsigned' variables and casts with
	normal 'ints'.

2002-07-11 21:58  rr9

	* src/: dungeon.c, main-ros.c, util.c, z-term.c, z-term.h: Changed
	the functions for turning the cursor on/off and getting the current
	state of the cursor to use bool.  Renamed some variables to improve
	readability.

2002-07-11 21:49  rr9

	* src/init2.c: Added the missing error message for a vault that is
	too big.

2002-07-10 22:56  rr9

	* src/lua/: lapi.c, lbaselib.c, ldo.c, lgc.c, lgc.h, lparser.c,
	lstring.c, lvm.c: Applied the bugfixes from the new Lua 4.0.1
	release.

2002-07-10 20:48  rr9

	* src/util.c: Added a boundary check to the macro adding code to
	prevent crashes when defining more than the maximum number of
	macros (256). (by Eytan Zweig)

2002-07-09 22:32  rr9

	* src/: dungeon.c, externs.h, generate.c, l-monst.pkg, melee2.c,
	monster2.c, save.c, spells2.c, variable.c, wizard2.c: Renamed
	'monster_max' and 'monster_cnt' again.	This time to the shorter
	'mon_max' and 'mon_cnt'.

2002-07-09 21:23  rr9

	* src/: cave.c, cmd1.c, cmd2.c, defines.h, dungeon.c, externs.h,
	generate.c, init1.c, init2.c, l-monst.pkg, load.c, melee1.c,
	melee2.c, monster2.c, object2.c, save.c, spells1.c, spells2.c,
	types.h, variable.c, wizard2.c, xtra1.c, xtra2.c: Renamed 'm_list'
	to 'mon_list'.

2002-07-06 21:27  rr9

	* src/: dungeon.c, externs.h, generate.c, l-monst.pkg, melee2.c,
	monster2.c, save.c, spells2.c, variable.c, wizard2.c: Renamed m_cnt
	and m_max since identifiers with the prefix 'm_' are reserved in
	ANSI C.

2002-07-06 20:45  rr9

	* src/: externs.h, main-ros.c, util.c: Use 'size_t' where
	appropriate.

2002-07-06 17:55  rr9

	* bootstrap: Use the default automake version.

2002-07-06 17:54  rr9

	* THANKS: Updated the entries.

2002-07-06 17:52  rr9

	* configure.in: Changed the version number to 3.0.1.

2002-07-06 17:41  rr9

	* src/: h-type.h, main-ami.c, main-dos.c, main-mac.c, main-ros.c,
	main-vcs.c, main-win.c, main-xxx.c, z-form.c, z-term.h: Replaced
	'vptr' with 'void*'.

2002-07-06 17:35  rr9

	* src/: main-gtk.c, main-xaw.c: Removed 'uint' from two more files.

2002-07-06 17:30  rr9

	* src/: externs.h, util.c: Removed the unused user_home() function.

2002-07-06 14:58  rr9

	* src/h-type.h: Removed the now unused 'huge' type.

2002-07-06 14:57  rr9

	* src/files.c: Removed more variables of type 'huge' and fixed
	several lint-warnings.

2002-07-06 14:45  rr9

	* src/: externs.h, util.c: Use 'size_t' for the buffer size in the
	ascii_to_text() and text_to_ascii() functions.

2002-07-06 14:30  rr9

	* src/main-mac.c: Remove yet another reference to the 'huge' type.

2002-07-06 14:27  rr9

	* readme.txt: Changed the version number to 3.0.1 and removed an
	outdated reference to the 'wizards.txt' file.

2002-07-06 13:53  rr9

	* src/util.c: Changed 'huge' to 'size_t' to remove another lint
	warning.

2002-07-06 13:47  rr9

	* src/readdib.c: Removed some old 16-bit Windows stuff.

2002-07-06 13:41  rr9

	* src/util.c: Removed another unnecessary use of 'uint'.

2002-07-06 13:31  rr9

	* src/object1.c: Removed some lint-warnings caused by unnecessary
	use of 'uint'.

2002-07-06 12:57  rr9

	* src/: externs.h, l-random.pkg, util.c: Changed the arguments and
	return values of damroll() and maxroll() to int.

2002-07-06 12:38  rr9

	* src/: externs.h, util.c: The build-in usleep() implementation now
	uses 'unsigned long' instead of 'huge' as it's argument.

2002-07-06 12:34  rr9

	* src/: z-form.c, z-form.h: Use size_t instead of 'huge' or 'uint'
	where appropriate.

2002-07-06 12:14  rr9

	* src/: main-mac.c, main-ros.c: Use the correct types for the
	memory allocation functions.

2002-07-06 11:51  rr9

	* src/: cave.c, cmd1.c, externs.h, h-type.h, l-object.pkg,
	melee2.c, object1.c, util.c, variable.c, xtra2.c: Removed the
	useless sint typedef.

2002-07-04 22:20  rr9

	* src/z-util.c: Fixed a typo in a comment.

2002-06-30 22:46  rr9

	* src/: birth.c, main-dos.c, main-gtk.c, main-win.c, main.c,
	monster1.c, script.c, util.c, z-form.c: Use my_strcpy() instead of
	strncpy().

2002-06-30 22:45  rr9

	* src/load.c: Removed a magic number for the length of the player
	name.

2002-06-30 22:44  rr9

	* src/: main-cap.c, main-lsl.c: More buffer overflow paranoia.

2002-06-30 22:41  rr9

	* src/files.c: Removed the 15 characters limitation for the
	character name.  The name can now be 31 characters long.  We may
	have to limit the 'base_name' on some platforms later to prevent
	filenames from getting too long, like we already do on DOS/Windows
	where base_name is restricted to 8 chars.

2002-06-30 22:01  rr9

	* src/xtra2.c: More paranoid buffer overflow checking.

2002-06-30 21:14  rr9

	* src/: cmd1.c, cmd2.c, cmd3.c, cmd4.c, cmd5.c, dungeon.c,
	externs.h, files.c, melee1.c, melee2.c, object1.c, object2.c,
	script.c, spells1.c, spells2.c, store.c, use-obj.c, wizard1.c,
	wizard2.c, xtra2.c: Added a buffer size parameter to object_desc().

2002-06-30 19:28  rr9

	* src/: cmd1.c, cmd2.c, externs.h, l-monst.pkg, melee1.c, melee2.c,
	monster2.c, spells1.c, spells2.c, xtra2.c: Added a buffer-length
	argument to the monster_desc() function to prevent buffer overruns.

2002-06-30 19:07  rr9

	* src/: files.c, main-emx.c, main-ros.c, main.c, object1.c, util.c,
	wizard1.c, z-util.c, z-util.h: - Added a my_strcat() function that
	behaves like strlcat() from BSD.  - Used the new function instead
	of strcat() to prevent several possible   buffer overflows.

2002-06-30 17:53  rr9

	* src/: cmd1.c, cmd3.c, cmd4.c, cmd5.c, externs.h, files.c,
	init2.c, load.c, main-gtk.c, main-x11.c, main-xaw.c, main-xpj.c,
	main.c, monster1.c, object1.c, randart.c, save.c, spells1.c,
	store.c, util.c, wizard1.c, wizard2.c, xtra2.c: Fixed various
	potential buffer overflows.

2002-06-30 15:53  rr9

	* src/z-form.c: Removed the code for the unused format-string
	sequences "%r" and "%v".

2002-06-29 14:10  rr9

	* src/: z-util.c, z-util.h: Added a my_strcpy() function that
	behaves like strlcpy() in BSD.	Unlike strncpy() it always
	NUL-terminates the buffer, preventing buffer overflows.

2002-06-24 19:55  rr9

	* src/birth.c: Fixed several possible buffer overflows.  The code
	for generating the player history was especially vulnerable
	(reported by Eytan Zweig).  None of the overflows were directly
	security relevant.  The player-history overflow could have been
	abused to turn Angband into a trojan horse if the attacker already
	gained priviledged access to group 'games' by other means.

2002-06-23 14:30  rr9

	* src/x-spell.c: Removed the DOS-style CR/LFs from the x-spell.c
	file.

2002-06-23 14:07  rr9

	* compile.txt: Added basic instructions for compiling Angband with
	the lcc-win32 compiler.

2002-06-23 12:06  rr9

	* src/Makefile.lcc: Updated the Makefile for the lcc-win32
	compiler.  (Re)building the Lua wrappers with tolua is not yet
	supported, so compiling only works is the l-*.c files already exist
	(like when using the source tarballs of official releases).

2002-06-22 19:48  rr9

	* src/main-ros.c: Replaced some hard-coded buffer size values with
	sizeof(buffer).

2002-06-22 19:44  rr9

	* src/: Makefile.ami, Makefile.bcc, Makefile.cyg, Makefile.dos,
	Makefile.gtk, Makefile.ibm, Makefile.lsl, Makefile.ros,
	Makefile.std: Added x-spell.o and use-obj.o to various Makefiles
	and fixed some missing dependencies.

2002-06-22 19:37  rr9

	* src/main-ros.c: my_strnicmp() in main-ros.c was quite buggy.
	(Hallvard B. Furuseth)

2002-06-22 19:16  rr9

	* src/cmd2.c: Made the buffer for the input of the number of turns
	to rest smaller and used sizeof() instead of the hardcoded array
	size.

2002-06-22 19:10  rr9

	* src/: cmd3.c, cmd4.c, files.c, init2.c, load.c, main-dos.c,
	main-gtk.c, main-ibm.c, main-lsl.c, main-mac.c, main-ros.c,
	main-vme.c, main-win.c, main-x11.c, main-xaw.c, main-xpj.c, main.c,
	object1.c, script.c, store.c, util.c, wizard1.c, z-form.c: Replaced
	various hardcoded magic numbers for buffer-sizes with sizeof(buf).

2002-06-22 17:23  rr9

	* src/: h-define.h, h-system.h, util.c: Introduced UN_KTRL() to
	match KTRL().  This improves charset-independence.  (Hallvard B.
	Furuseth)

2002-06-22 17:13  rr9

	* src/: files.c, main-ros.c, main-win.c: Be more paranoid about
	buffer overruns when dealing with filenames.  (Hallvard B.
	Furuseth)

2002-06-22 16:32  rr9

	* src/: cmd4.c, defines.h, tables.c: Made an OPT_NONE constant for
	the magic constant option_page[][] == 255.  (Hallvard B. Furuseth)

2002-06-22 15:43  rr9

	* src/: birth.c, cmd4.c, cmd5.c, files.c, h-define.h, main-ami.c,
	main-dos.c, main-ros.c, main-vme.c, main-win.c, main-xpj.c, main.c,
	object1.c, randart.c, store.c, util.c, xtra2.c, z-form.c: The
	islower(), isupper(), ... and the tolower() and toupper() functions
	take an 'int' as the argument but actually expect it to be an
	'unsigned char' or EOF.  We now cast the argument to 'unsigned
	char' to prevent breakage with 8-bit character data on hosts where
	'char' is signed.  (based on the patch by Hallvard B. Furuseth)

2002-06-22 15:20  rr9

	* src/z-util.c: strlen() returns size_t, not int.

2002-06-22 13:22  rr9

	* src/main-sla.c: Changed "SLang" to "S-Lang" in some error
	messages. (Hallvard B. Furuseth)

2002-06-22 11:55  rr9

	* src/files.c: Fixed an off-by-one error when checking if playing
	Angband is allowed at this time of day. (Hallvard B. Furuseth)

2002-06-22 11:21  rr9

	* src/main-gtk.c: Reordered the code for creating the GTK-windows
	to prevent false compiler warnings about missing initializations.

2002-06-22 10:48  rr9

	* src/: z-virt.c, z-virt.h: Cleaned up the memory allocation
	functions and macros a bit.  Removed some useless casts, changed
	vptr to void*, and replaced an "optimized" strcpy() implementation
	with the function from the standard library.

2002-06-22 10:34  rr9

	* src/object1.c: Some comments referenced to the old strfmt()
	function. (Kieron Dunbar)

2002-06-16 22:58  rr9

	* lib/script/object.lua: Fixed the array-index in the activation
	routine for 'The Shield of Deflection of Gil-galad'.

2002-06-16 22:56  rr9

	* src/l-spell.pkg: Added the strong_lite_line() spell effect to the
	Lua interface.

2002-06-09 19:34  rr9

	* src/files.c: Removed an unused variable.

2002-06-08 20:18  rr9

	* src/main-ami.c: Adjusted the internal version number of the Amiga
	version.

2002-06-07 21:49  rr9

	* src/Makefile.ros: Removed an old workaround for getting Lua to
	compile on Risc OS machines.

2002-06-07 21:41  rr9

	* src/: Makefile.bcc, Makefile.cyg, Makefile.dos, Makefile.gtk,
	Makefile.ibm, Makefile.lsl, Makefile.ros, Makefile.std,
	angband.dsp, tolua.dsp, lua/Makefile.am, lua/Makefile.ami,
	lua/ltests.c: Removed a Lua file that isn't actually used by
	Angband.

2002-06-07 11:12  rr9

	* src/files.c: The changes to the character history introduced a
	bug that caused object- infos in the character dump to be sent to
	the screen instead of to the chardump file. (Andrew Sidwell)

2002-06-07 10:11  rr9

	* src/wizard1.c: Show the 'cursed' flag of artifacts in the
	spoilers. (KUSUNOSE Toru)

2002-06-07 10:02  rr9

	* src/: defines.h, object2.c, tables.c: Fixed a bug that allowed
	changes to the birth option 'birth_no_stacking' to affect the
	current game. (KUSUNOSE Toru)

2002-06-06 21:55  rr9

	* changes.txt: Removed an outdated changelog entry about the
	GWAngband spellbooks.

2002-06-01 17:05  rr9

	* src/: defines.h, dungeon.c, externs.h, l-monst.pkg, melee2.c,
	monster2.c, variable.c: Removed the MFLAG_BORN flag, since it
	doesn't seem to do anything useful.

2002-06-01 17:00  rr9

	* src/main-gcu.c: Added bigscreen support to main-gcu.c. (pelpel)

2002-06-01 16:41  rr9

	* src/object2.c: Light-sources can now become ego-items.

2002-06-01 15:16  rr9

	* lib/edit/artifact.txt, lib/edit/cost_adj.txt,
	lib/edit/ego_item.txt, lib/edit/flavor.txt, lib/edit/limits.txt,
	lib/edit/monster.txt, lib/edit/object.txt, lib/edit/p_class.txt,
	lib/edit/p_hist.txt, lib/edit/p_race.txt, lib/edit/shop_own.txt,
	lib/edit/terrain.txt, lib/edit/vault.txt, lib/file/news.txt,
	src/birth.c, src/defines.h, src/files.c, src/load.c, src/save.c,
	src/types.h: Simplified the player history from char[4][60] to
	char[250].  Increased the version number to 3.0.1 since the change
	required a tiny modification of the savefile format.

2002-06-01 15:10  rr9

	* src/: externs.h, util.c, variable.c: Extend the
	text_out_to_screen() hook for text_out() with configurable
	indentation and word-wrap boundary.

2002-05-30 21:27  rr9

	* src/: Makefile.ros, externs.h, main-ros.c, script.c: Added the
	Angband 3.0 patch for RISC OS. (Antony Sidwell)

2002-05-30 18:05  rr9

	* src/main-win.c: Make "bizarre display" the default in the Windows
	version since Windows XP seems to have strange problems to display
	the floor characters and messes up the display completely without
	that option turned on.

2002-05-30 15:23  rr9

	* compile.txt: Mention the ext-*-300.zip files in the compile
	guide.

2002-05-30 14:57  rr9

	* src/lua/: llimits.h, lopcodes.h: Moved some #defines in the Lua
	headers.  That should solve the circular includes problem with the
	RISC OS compiler.

2002-05-30 12:07  rr9

	* src/main-gcu.c: The initscr() function returns NULL on error (or
	causes the program to exit).

2002-05-30 12:04  rr9

	* src/script.c: Removed an unused local variable.

2002-05-25 14:04  rr9

	* THANKS: Updated the credits.	There are probably many
	contributors that I missed - please report any missing entries.

2002-05-25 13:54  rr9

	* lib/script/object.lua, src/use-obj.c: Activating a Ring of
	Acid/Flames/Ice/Lightning showed the "You feel resistant to xxxx"
	message twice. (KUSUNOSE Toru)

2002-05-25 13:41  rr9

	* lib/script/object.lua: The activation of the balance DSM can now
	have the disenchantment effect (bug reported by  KUSUNOSE Toru).

2002-05-20 18:57  rr9

	* src/: config.h, script.c: Don't allow the user to execute his own
	scripts in debug mode on multiuser systems.  The scripting code has
	not yet been reviewed for possible security problems with a setgid
	executable.

2002-05-15 20:24  rr9

	* src/: files.c, main-emx.c, main-mac.c, main-ros.c, main.c:
	Adjusted the calls to pause_line() function to use the last line of
	the screen instead of the fixed value - line 23.

2002-05-15 20:17  rr9

	* src/cmd2.c: Forgot one file in the last commit.

2002-05-15 20:13  rr9

	* src/: cmd1.c, externs.h, melee1.c: Merged the various different
	test_hit_*() and check_hit() functions into a single function.

2002-05-12 18:12  rr9

	* src/: cave.c, cmd3.c, externs.h, variable.c, xtra2.c: Changed the
	Angband sort function to use void* directly instead of the 'vptr'
	typedef and const'ified the comparision functions.

2002-05-12 15:12  rr9

	* src/h-type.h: Removed the typedef for 'real' (double).  Fixed a
	typo in a comment.  Removed a (false?) comment about 'signed char'
	being possibly "illegal" on some machines.

2002-05-12 00:34  rr9

	* src/load.c: Declared some local functions as 'static' to reduce
	namespace pollution.

2002-05-12 00:25  rr9

	* src/init2.c: Free the player-class info when exiting the program.

2002-05-12 00:03  rr9

	* src/: externs.h, object2.c: The argument to get_next_object() is
	const.

2002-05-11 11:07  rr9

	* src/: monster2.c, types.h: Removed/Changed some comments refering
	to Angband 2.8.0.

2002-05-10 18:14  rr9

	* src/: config.h, monster1.c: Removed the unused or broken
	DELAY_LOAD_*_TEXT defines.

2002-05-09 20:07  rr9

	* src/lua/: ldo.c, lparser.c: Worked around a name conflict caused
	by CodeWarrior. (pelpel)

2002-05-09 19:54  rr9

	* src/h-system.h: Recent CodeWarrior releases require <unistd.h>
	and <fcntl.h> for Angband to compile. (pelpel)

2002-05-09 14:35  rr9

	* lib/edit/artifact.txt: Added the HIDE_TYPE flag to the
	'Wormtongue' boots since the name is too long otherwise.  Removed
	the flag from 'Ringil' since it looks better with (+10 to speed)
	and speed is it's only pval-related flag.

2002-05-09 14:28  rr9

	* lib/edit/ego_item.txt: Changed the levels of some of the cursed
	ego-items so they will actually be generated.

2002-05-05 14:18  rr9

	* lib/script/object.lua: Fixed an 'off by one' error in the
	determination of the object level when using wands and rods.  The
	wrong object was used to determine the level.

2002-05-05 12:39  rr9

	* lib/edit/object.txt: Reordered the magic books so that they are
	ordered by level in the player's inventory.  This also fixes the
	differences between the name of the books and the content.

2002-05-05 00:47  rr9

	* src/object1.c: "I"nspecting items with the KILL_UNDEAD flag said
	"It is a great bane of undeads".  Changed that to "It is a great
	bane of the undead.".

2002-05-04 15:43  rr9

	* src/init2.c: Don't try to generate "Resistances of Scarabtarices"
	in the magic store.

2002-04-27 20:14  rr9

	* src/x-spell.c: Updated the non-Lua spellcode to the latest
	changes.  Note that the order of spells in some books is not
	correct due to the limitations of the old non-Lua spell-code.

2002-04-27 18:11  rr9

	* lib/: edit/p_class.txt, script/spell.lua: Exchanged the fire- and
	acid-bolt spells.

2002-04-27 14:29  rr9

	* lib/edit/monster.txt: Toned down some monsters (Will o' the wisp,
	Aranea, Elder aranea, Barbazu) as recommended by Jonathan Ellis.

2002-04-27 14:12  rr9

	* lib/help/option.txt, src/defines.h, src/tables.c: Removed the
	unused "alert_failure" option.

2002-04-21 15:02  rr9

	* lib/: edit/object.txt, script/spell.lua: Distributed the
	GWAngband spells to the old Angband spellbooks.

2002-04-14 12:47  rr9

	* src/: externs.h, l-spell.pkg: Exported the project_los()
	function.

2002-04-14 12:46  rr9

	* src/spells2.c: Renamed project_hack() to project_los().

2002-04-13 14:00  rr9

	* src/cmd4.c: The option screen now understands 'y' and 'n' when
	using roguelike keys.

2002-04-13 13:05  rr9

	* THANKS, TODO, changes.txt, compile.txt, configure.in, readme.txt,
	lib/edit/artifact.txt, lib/edit/cost_adj.txt,
	lib/edit/ego_item.txt, lib/edit/flavor.txt, lib/edit/limits.txt,
	lib/edit/monster.txt, lib/edit/object.txt, lib/edit/p_class.txt,
	lib/edit/p_hist.txt, lib/edit/p_race.txt, lib/edit/shop_own.txt,
	lib/edit/terrain.txt, lib/edit/vault.txt, lib/file/news.txt,
	src/defines.h: Changed the version number to 3.0.0.  Cleaned up the
	changelog.

2002-04-13 12:46  rr9

	* configure.in: Automake isn't clever enough to notice that
	config.sub and config.guess are required and should be installed
	when '--add-missing' is requested. So we have to give it a hint by
	using AC_CHECK_TOOL.

2002-04-08 20:34  rr9

	* src/cmd5.c: Removed an useless variable initialization.

2002-04-08 17:21  rr9

	* src/cmd4.c: The roguelike keyset can now be used for navigation
	on the options screen.

2002-04-08 16:21  rr9

	* lib/edit/p_class.txt: Lowered the fail rate of the mage's
	'Identify' spell.

2002-04-08 12:45  rr9

	* lib/script/spell.lua, src/x-spell.c: Added GW's "meteor swarm"
	spell.

2002-04-08 12:39  rr9

	* src/: externs.h, l-spell.pkg, spells2.c: Added the fire_swarm()
	function from GWAngband that allows firing multiple ball spells at
	the same target.

2002-04-03 17:03  rr9

	* lib/script/spell.lua: Cleaned up the spellcasting code.

2002-04-02 15:42  rr9

	* src/lua/: package.lua, tolualua.c: Removed compiler warnings from
	the tolua generated wrapper files (Steven Fuerst).

2002-04-02 15:12  rr9

	* src/use-obj.c: Don't leave the return value for
	object-activations undefined when an error occurs.

2002-04-02 14:46  rr9

	* src/x-spell.c: Updated the spell-names for the non-Lua version.
	(Jagath Samarabandu)

2002-03-26 22:41  rr9

	* src/main-ami.c: Tried to fix the broken Amiga port.

2002-03-26 22:30  rr9

	* src/l-object.pkg: Removed the object-description functions from
	the wrappers since they broke the artifact-activation code.

2002-03-24 16:26  rr9

	* THANKS, configure.in, lib/edit/artifact.txt,
	lib/edit/cost_adj.txt, lib/edit/ego_item.txt, lib/edit/flavor.txt,
	lib/edit/limits.txt, lib/edit/monster.txt, lib/edit/object.txt,
	lib/edit/p_class.txt, lib/edit/p_hist.txt, lib/edit/p_race.txt,
	lib/edit/shop_own.txt, lib/edit/terrain.txt, lib/edit/vault.txt,
	lib/file/news.txt, src/cmd5.c, src/defines.h, src/l-player.pkg,
	src/load.c, src/save.c, src/script.h, src/types.h, src/xtra1.c:
	Replaced the 6*32bit spell-flag variables with an array of
	player-spell flags.  Increased the version number.

2002-03-23 23:58  rr9

	* src/x-spell.c: Added the non-Lua version of the GWAngband
	spellsystem (Jagath Samarabandu).

2002-03-23 23:44  rr9

	* src/Makefile.am: Added the non-Lua spelldefinitions to the
	distribution.

2002-03-23 23:33  rr9

	* lib/edit/object.txt: Silver bolts ignore fire just as silver
	arrows do.

2002-03-23 23:31  rr9

	* src/wizard2.c: The '*slay* dragon' and '*slay* undead' flags are
	now displayed on the 'play with object' debug screen.

2002-03-23 23:24  rr9

	* src/object2.c: Ego-diggers no longer are required to be 'of
	Digging'.

2002-03-23 23:23  rr9

	* lib/edit/ego_item.txt: Slings of Buckland can now actually be
	generated.

2002-03-22 00:09  rr9

	* src/init2.c: The 'magic store' sells all town spellbooks now.

2002-03-22 00:02  rr9

	* src/script.c: Expanded the preprocessor concatenation macros
	since LCC32 seems to have problems with this ANSI C feature.

2002-03-20 20:24  rr9

	* src/: l-object.pkg, l-ui.pkg, script.c: Use the tolua wrappers
	whenever possible.

2002-03-20 18:59  rr9

	* lib/script/spell.lua: The spell-info for 'ice storm' is now
	correct.

2002-03-17 20:40  rr9

	* src/spells2.c: Ammo branded by the new mage spell no longer is
	terribly expensive.

2002-03-17 17:33  rr9

	* src/files.c: Reduced the excessive capitalization in the scores
	display.

2002-03-17 17:28  rr9

	* lib/script/spell.lua: Lightning bolt should always beam.

2002-03-17 01:43  rr9

	* lib/script/spell.lua: Fixed a stupid copy&paste bug that messed
	up casting of beaming spells.

2002-03-16 20:45  rr9

	* THANKS, changes.txt, lib/edit/artifact.txt,
	lib/edit/cost_adj.txt, lib/edit/ego_item.txt, lib/edit/flavor.txt,
	lib/edit/limits.txt, lib/edit/monster.txt, lib/edit/object.txt,
	lib/edit/p_class.txt, lib/edit/p_hist.txt, lib/edit/p_race.txt,
	lib/edit/shop_own.txt, lib/edit/terrain.txt, lib/edit/vault.txt,
	lib/file/news.txt, lib/script/spell.lua, src/defines.h, src/load.c:
	Added the magic-spells from Greg Wooledge's GWAngband.	Make sure
	to read the Changelog in 'changes.txt' for the details.  Docs and
	*.prf files have not been updated yet.	Changed the version number
	to "2.9.7 alpha1".

2002-03-16 16:28  rr9

	* src/melee2.c: Glyphs of warding only stop monster movement.
	Standing on a glyph no longer protects the player from melee
	attacks.

2002-03-16 16:03  rr9

	* src/: externs.h, l-spell.pkg, spells2.c: Unified parts of the
	weapon- and bolt-branding code and added a function for
	ammo-branding.

2002-03-16 16:01  rr9

	* src/: Angband.dsp, Angband.dsw: Removed the old Visual C++ 5.0
	project files.

2002-03-16 16:00  rr9

	* src/: angband.dsp, angband.dsw, tolua.dsp, tolua.dsw: Added new
	VisualC++ 6.0 project files provided by Peter Rowe
	<mig53@yahoo.com>.

2002-03-11 08:25  rr9

	* src/xtra1.c: Increased the range of infravision granted by
	potions of infravision to +5.

2002-03-10 17:40  rr9

	* src/lua/Makefile.am: Removed some unused files from the 'make
	dist' target.

2002-03-10 17:31  rr9

	* src/lua/: dump.c, lua.c, luac.c, luac.h, opt.c, print.c, print.h,
	stubs.c: [no log message]

2002-03-10 14:34  rr9

	* lib/script/object.lua, src/script.c: Updated the Lua support
	functions for bit-twiddling.  The bOr(), bAnd(), bXOr(), ...
	functions can handle more than two arguments.

2002-03-10 13:11  rr9

	* src/object2.c: Minor coding-style cleanup.

2002-03-10 00:24  rr9

	* src/: Makefile.gtk, Makefile.lsl, Makefile.std: Correctly ignore
	errors in the 'make clean' targets.

2002-03-09 23:56  rr9

	* TODO, src/cave.c, src/cmd1.c, src/cmd4.c, src/externs.h,
	src/object2.c, src/xtra2.c: Added helper functions for iterating
	over a stack of objects in the dungeon and replaced some duplicated
	code parts.

2002-03-09 19:42  rr9

	* lib/edit/object.txt: Amulets of lightning resist didn't have the
	EASY_KNOW flag and were offered for identification even after the
	player knew the amulet type.

2002-03-09 17:15  rr9

	* src/object1.c: Indent item descriptions when creating
	character-dumps.

2002-03-09 17:13  rr9

	* src/util.c: Automatically indent text when writing to files with
	text_out().

2002-03-09 11:15  rr9

	* src/melee1.c: Monsters draining large stacks of wands or staffs
	could get negative hitpoints due to the overflow of a signed 16 bit
	variable.

2002-03-08 21:26  rr9

	* lib/xtra/: delete.me, font/16x16.txt: Added an empty placeholder
	file to make sure the directory gets created.  Removed a reference
	to ZAngband.

2002-03-08 19:17  rr9

	* src/main-win.c: Fixed a crash-bug on WinXP machines when reading
	the filenames of sounds. (Werner Baer)

2002-02-23 22:43  rr9

	* src/birth.c: The birth-options prompt accepts now 'Enter' instead
	of 'ESC'.

2002-02-23 22:35  rr9

	* src/birth.c: Made the stat-roller prompts accept 'Enter' to
	continue.

2002-02-23 22:25  rr9

	* src/birth.c: Changed the final player-birth prompt to mention
	"any key" instead of 'ESC' for continue and made the prompt align
	properly to big screens.

2002-02-23 21:51  rr9

	* src/: defines.h, init1.c, l-object.pkg, object2.c, types.h:
	Removed another magic number - the amount of possible
	tval/min-sval/max-sval values per ego-item.

2002-02-23 21:19  rr9

	* src/z-term.c: Forgot to change the default-handler for the
	term_pict hook.

2002-02-23 18:09  rr9

	* lib/edit/ego_item.txt, src/init1.c: Removed the unused ego-item
	"slot" values.

2002-02-23 00:12  rr9

	* src/: files.c, object1.c: Cleaned up various magic numbers.
	(Hallvard B. Furuseth)

2002-02-22 20:35  rr9

	* src/: main-ami.c, main-dos.c, main-ibm.c, main-lsl.c, main-mac.c,
	main-win.c, main-x11.c, main-xaw.c, main-xpj.c, main-xxx.c,
	z-term.c, z-term.h: Changed Term->pict_hook() to support
	transparency and removed the Term->pict_transp_hook().

2002-02-20 23:16  rr9

	* src/wizard2.c: Removed some braces that seem to screw up
	string-literal concatenation in the BCC compiler.

2002-02-20 21:54  rr9

	* src/lua/tolualua.c: Added the auto-generated source for the tolua
	tool to make building Angband from CVS easier.

2002-02-19 22:46  angband

	* TODO: Updated the ToDo list.

2002-02-19 22:46  angband

	* src/main-gtk.c: The default number of windows for the GTK port is
	now 1 instead of 8.

2002-02-17 19:32  angband

	* src/: cmd3.c, cmd4.c, defines.h, dungeon.c, l-ui.pkg, object2.c,
	store.c, xtra1.c: Added a display of the player's current equipment
	aka "equippy chars" to the main screen.

2002-02-17 18:58  angband

	* src/main-xpj.c: Assigned the proper pict_hook for XPJ.

2002-02-17 01:16  angband

	* src/: Makefile.std, main-vcs.c: Fixed various problems in
	main-vcs.c. (Hallvard B. Furuseth)

2002-02-16 22:24  angband

	* lib/pref/pref.prf: Defined cursor keys for main-<cap,vcs,sla>.c.
	(Hallvard B. Furuseth).

2002-02-16 22:03  angband

	* src/main.c: Fixed the main-vcs.c initialization in main.c.

2002-02-16 22:01  angband

	* src/store.c: Improved the layout of the store prompts a bit.
	(Hallvard B. Furuseth)

2002-02-16 21:45  angband

	* src/main.h: Forgot to add the file to CVS earlier.

2002-02-16 21:16  angband

	* TODO, acconfig.h, bootstrap, configure.in, src/Angband.dsp,
	src/Makefile.bcc, src/Makefile.cyg, src/Makefile.dos,
	src/Makefile.lcc, src/Makefile.std, src/cave.c, src/externs.h,
	src/main-ami.c, src/main-dos.c, src/main-ibm.c, src/main-lsl.c,
	src/main-mac.c, src/main-win.c, src/main-x11.c, src/main-xaw.c,
	src/main-xpj.c, src/z-term.c, src/z-term.h: Removed the
	USE_TRANSPARENCY #define and properly integrated the transparency
	code into the z-term.c code.

2002-02-16 21:07  angband

	* lib/help/option.txt: Documented the new no_stacking option.

2002-02-16 18:15  angband

	* src/: z-form.c, z-form.h: Removed the unused (and potentially
	dangerous) strfmt() function.

2002-02-16 17:45  angband

	* src/util.c: Added message compression ("You tunnel into the
	granite wall. <5x>").

2002-02-16 15:17  angband

	* src/: defines.h, dungeon.c, init1.c, l-monst.pkg, l-object.pkg,
	load.c, melee1.c, monster1.c, object2.c, save.c, tables.c, types.h:
	Removed the unused ego_item_type.slot member.  Added a
	no-item-stacking-on-floor birth-option.  Removed the magic number
	for the maximum amount of monster blows.

2002-02-10 17:51  angband

	* TODO, changes.txt: Updated changelog and ToDo list.

2002-02-10 17:33  angband

	* src/: cmd4.c, externs.h, files.c, util.c: Added buffer-length
	checks to the text_to_ascii() and ascii_to_text() functions.

2002-02-09 17:43  angband

	* src/: Makefile.am, Makefile.ami, Makefile.emx, Makefile.gtk,
	Makefile.lsl, Makefile.std, main-ami.c, main-cap.c, main-dos.c,
	main-emx.c, main-gcu.c, main-gtk.c, main-ibm.c, main-lsl.c,
	main-sla.c, main-vcs.c, main-vme.c, main-x11.c, main-xaw.c,
	main-xpj.c, main-xxx.c, main.c: Added usage lines for the main-*.c
	files.	Simplyfied the module initialization.

2002-02-09 17:36  angband

	* src/util.c: Added some paranoia to the text_to_ascii() function.

2002-02-03 20:55  angband

	* src/: util.c, wizard2.c: Made Angband more charset-indepentent
	(Hallvard B Furuseth).

2002-02-03 18:29  angband

	* src/: cmd5.c, store.c, xtra2.c: Fixed the problems with the
	'repeat command' command.

2002-02-03 16:22  angband

	* src/: init.h, init1.c: Added a check for the maximum vault size
	to the vault.txt parser.

2002-02-03 16:17  angband

	* lib/edit/: limits.txt, vault.txt: Removed some vaults that were
	too big for Angband.

2002-02-03 15:16  angband

	* lib/pref/graf-new.prf: Added some new tiles.

2002-02-03 15:15  angband

	* configure.in: The Cygwin version of configure no longer requires
	any Cygwin DLLs.

2002-02-03 15:14  angband

	* lib/edit/vault.txt: Removed the "Darwin" vault since it doesn't
	fit to Angband's theme.

2002-02-03 15:13  angband

	* lib/script/object.lua: Fixed errors in some artifact activations.

2002-02-03 15:12  angband

	* src/l-spell.pkg: Added the missing activation for the One Ring to
	the Lua wrappers.

2002-02-02 21:16  angband

	* lib/edit/monster.txt: Fixed various spelling-errors.

2002-02-02 19:19  angband

	* src/main-lsl.c: Fixed a possible crashing bug with main-lsl.c in
	combination with ransparency support.

2002-02-02 18:02  angband

	* src/: Makefile.ami, main-ami.c, lua/Makefile.ami: Added the
	latest Amiga code (Bablos).

2002-01-31 22:47  angband

	* lib/pref/graf-new.prf: Removed an unused entry and an extra
	space.

2002-01-30 21:43  angband

	* src/files.c: Bugfix:	Protect errno from signal handlers.
	(Hallvard B Furuseth)

2002-01-30 21:03  angband

	* src/files.c: Removed the old HIGHSCORE_DATE_HACK code.

2002-01-30 21:03  angband

	* src/script.c: The "used"/"ident" results from using an object
	where exchanged.

2002-01-30 20:59  angband

	* src/h-type.h: Corrected a comment.

2002-01-30 20:45  angband

	* lib/edit/monster.txt: - Moved the spaces in the monster
	descriptions to the beginning of the next line.  - Removed the '|'
	and extra spaces from the ends of flag lines.  - Added several
	missing spaces back in.  - Removed many JLE comments.

2002-01-27 15:59  angband

	* TODO: Updated the ToDo list.

2002-01-27 15:10  angband

	* src/: Makefile.std, h-define.h, util.c: Replaced some references
	to "main-acn.c" with "main-ros.c".

2002-01-27 15:07  angband

	* src/main-sla.c: Fixed a bug introduced by the previous main-sla
	patch.

2002-01-26 23:08  angband

	* src/main.c: Running 'angband --help' will now display basic usage
	info (Hallvard B Furuseth).

2002-01-26 22:28  angband

	* src/h-type.h: Removed some old comments.

2002-01-26 22:19  angband

	* src/: externs.h, files.c, main-sla.c: Various bugfixes to the
	S-Lang port (Hallvard B Furuseth).

2002-01-26 19:41  angband

	* src/main-gcu.c: Removed an outdated comment (Hallvard B
	Furuseth).

2002-01-26 18:26  angband

	* src/spells2.c: Fixed a minor typo "bane of demon" -> "bane of
	demons" (Jonathan Ellis).

2002-01-26 18:17  angband

	* lib/edit/: artifact.txt, ego_item.txt, object.txt: - Crowns of
	might get no extra power.  - Thorin no longer aggravates and
	doesn't provide 'resist confusion'.  - Amulets of the Magi don't
	get resist blindness.  - Removed acid brand from the Mattock of
	Nain and reduced the damage to 2d8.  (Jonathan Ellis)

2002-01-26 17:47  angband

	* src/: l-monst.pkg, l-ui.pkg, l-object.pkg: Fixed some
	inconsistencies between l-*.pkg and defines.h/types.h (Hallvard B
	Furuseth).

2002-01-20 19:56  angband

	* src/: Makefile.acn, Makefile.am, Makefile.ros, main-acn.c,
	main-ros.c: Replaced the old (Acorn) RISC OS code with a newer
	version.

2002-01-20 18:20  angband

	* src/main-sla.c: Fixed a name-space conflict between main-gcu.c
	and main-sla.c.

2002-01-20 18:10  angband

	* lib/help/help.hlp: The entry for the 'user.hlp' file didn't work
	due to a missing newline.

2002-01-20 17:39  angband

	* src/init2.c: Problems with the lib/ folder were not correctly
	reported when using the (n)curses interface.

2002-01-20 17:31  angband

	* src/main-gcu.c: Fixed a minor problem with curses and machines
	with signed-chars.

2002-01-20 16:14  angband

	* src/: object2.c, xtra2.c: Improved the make_gold() code a little
	bit.

2002-01-20 16:11  angband

	* src/: spells2.c, wizard2.c: Bounds-checking for detection spells
	and some wizard mode commands was missing.  That could cause crashs
	when resizing the Terms.

2002-01-20 15:54  angband

	* src/cmd5.c: Be a little bit more paranoid about spell-indices.

2002-01-20 15:52  angband

	* src/script.c: Hooks have to use relative instead of absolute
	stack-positions, since they can be called from inside scripts and
	operate on the shared stack.

2002-01-20 15:50  angband

	* lib/script/spell.lua: Removed an unnecessary 'local'.

2002-01-19 15:38  angband

	* lib/edit/monster.txt: Added a missing space in the description of
	Vecna.

2002-01-19 14:55  angband

	* src/l-spell.pkg: Added the brand_bolts() function to the Lua
	wrappers.

2002-01-06 20:17  angband

	* cvs2cl.py: Removed the tool since the standard one is better.

2002-01-06 18:56  angband

	* src/: files.c, main-gtk.c: Replaced some strcpy() calls with
	strncpy() to prevent buffer-overruns.

2002-01-06 17:06  angband

	* lib/help/help.hlp: Removed some empty lines that caused the main
	help page to span two more than one page.

2002-01-06 16:27  angband

	* src/util.c: The message display in the top line can now use terms
	with a width of more than 80 characters.

2002-01-06 16:25  angband

	* src/cmd5.c: Fixed a bug when trying to use prayers.

2002-01-03 18:42  angband

	* src/: init1.c, init2.c: Removed some ugly hacks (**void).

2002-01-03 16:53  angband

	* src/spells2.c: The player can now reset the recall depth when
	recalling from a level above the deepest reached level.

2002-01-03 11:50  angband

	* src/: cmd4.c, cmd5.c, cmd6.c, load.c, main-win.c, melee2.c: Fixed
	some compiler warnings in BCC.

2001-12-16 18:42  angband

	* src/Makefile.std: Fixed a typo in a comment.

2001-12-16 18:36  angband

	* lib/script/object.lua: Fixed some problems with potions of speed
	and staffs of starlight, remove curse, and speed.

2001-12-16 18:35  angband

	* lib/script/Makefile.am: Added the spell-script to the
	distribution.

2001-12-09 21:14  angband

	* changes.txt, configure.in, lib/edit/artifact.txt,
	lib/edit/cost_adj.txt, lib/edit/ego_item.txt, lib/edit/flavor.txt,
	lib/edit/limits.txt, lib/edit/monster.txt, lib/edit/object.txt,
	lib/edit/p_class.txt, lib/edit/p_hist.txt, lib/edit/p_race.txt,
	lib/edit/shop_own.txt, lib/edit/terrain.txt, lib/edit/vault.txt,
	lib/file/news.txt, src/defines.h: Changed the version number. 
	Updated the changelog.

2001-12-09 19:59  angband

	* src/object1.c: Examining a spellbook only browses it when the
	player can read the book.

2001-12-09 19:32  angband

	* src/: cmd6.c, externs.h, l-object.pkg, main-acn.c, object1.c,
	script.c, spells2.c, use-obj.c, util.c: Changed some function
	arguments to type "size_t".  Scripted the object activations.

2001-12-09 19:28  angband

	* lib/script/object.lua: Added scripted object-activations and
	activation-descriptions.

2001-12-09 13:54  angband

	* src/save.c: More changes from "magic number" to "sizeof(array)".

2001-12-09 13:53  angband

	* src/: cmd4.c, files.c, init2.c, load.c, main-mac.c, main-xpj.c,
	monster1.c: Replaced some magic numbers with sizeof(array).

2001-12-08 18:32  angband

	* src/main-gtk.c: Improved the color handling.

2001-12-08 18:25  angband

	* acconfig.h, configure.in, src/Makefile.am: Added autoconf support
	for GTK (--enable-gtk).

2001-12-08 17:40  angband

	* src/Makefile.gtk: Updated the GTK Makefile with the latest
	changes.

2001-12-08 17:11  angband

	* lib/script/Makefile.am: Added the trace script to the
	distribution.

2001-12-08 17:06  angband

	* configure.in: Put back some Configure paranoia about -Xaw.  Try
	to link with Xaw-libs to make sure that it works.  Don't try to
	find Xaw in non-standard locations.

2001-12-02 16:50  angband

	* src/Makefile.cyg: Updated the dependencies and the "make clean"
	rule.

2001-12-02 16:46  angband

	* src/: cmd4.c, init2.c, z-term.c: Fixed some compiler warnings.

2001-12-02 16:31  angband

	* src/Makefile.std: Updated dependencies and added Makefile entries
	for GTK, SLA, VCS, and XPJ.

2001-12-01 20:25  angband

	* src/: cmd4.c, defines.h, init2.c: Removed some magic numbers.

2001-12-01 20:17  angband

	* src/: externs.h, h-config.h, util.c: Renamed HAS_USLEEP to
	HAVE_USLEEP as set by autoconf.

2001-12-01 19:36  angband

	* src/cmd4.c: 'Interact with visuals' could display negative char
	numbers.

2001-12-01 19:33  angband

	* src/: main-x11.c, main-xaw.c, main-xpj.c: Removed some no-op
	casts (XKeyEvent* -> XKeyEvent*).

2001-12-01 19:31  angband

	* compile.txt: Expanded the instructions in compile.txt about
	configure.

2001-12-01 19:29  angband

	* src/init2.c: Changed `&array' to `array'. The &'s were
	superfluous.

2001-12-01 19:27  angband

	* src/main-vcs.c: main-vcs was buggy: - s_width, s_height, cx, cy
	were declared as 'int' even though they   were read() in and
	written as single-byte entities.    (That would "accidentally" work
	on little-endian hosts.)  - init_vcs() was defined with no args but
	declared and called with 2   args.  - coredump if ttyname() failed:
	NULL pointer would be followed.  - fix a file descriptor leak if
	init_vcs() failed.

2001-12-01 19:24  angband

	* lib/help/option.txt: Corrected two wrong option names.

2001-12-01 19:19  angband

	* src/: files.c, wizard1.c: Fixed printf(%ld, s32b_val) -->
	printf(%ld, (long)s32b_val) to be compatible with 64 bit systems
	where s32b is int instead of long.

2001-12-01 19:15  angband

	* src/main-acn.c: my_strnicmp() in main-acn.c was quite buggy.

2001-12-01 19:10  angband

	* src/: defines.h, wizard1.c: Made N_ELEMENTS() global.

2001-12-01 19:07  angband

	* configure.in: Install failed if "--with-libpath=<path>" didn't
	end <path> with `/'.

2001-12-01 19:04  angband

	* lib/help/help.hlp: Update help.hlp with a description of the
	browser keys.

2001-12-01 18:59  angband

	* src/main-gcu.c: Avoid name conflict with <curses.h> "struct term"
	on AIX.

2001-12-01 18:55  angband

	* src/Makefile.gtk: Fixed a lowercased `-O' option in Makefile.gtk.

2001-12-01 18:53  angband

	* src/main-xaw.c: main-xaw assumes XFree86 unless OLDXAW is
	#defined.  That fails since OLDXAW is an XFree86 invention;
	standard X11R6 doesn't #define it.

2001-12-01 18:49  angband

	* src/main-vme.c: Bug: gets() is a naughty buffer-overrun
	invitation. Use fgets() instead.  In this case the terminating \n
	doesn't matter.

2001-12-01 18:43  angband

	* src/randart.c: Save memory with tables of smaller datatypes in
	the randart-generation code.

2001-12-01 18:40  angband

	* src/main-sla.c: Bug: Term_curs_sla() had too many parameters.

2001-12-01 18:39  angband

	* src/variable.c: Added a source code comment (warning to
	programmers).

2001-12-01 18:36  angband

	* src/util.c: Bug: 256*256 == 0 on 16-bit hosts. Use 256L instead.

2001-12-01 18:33  angband

	* src/randart.c: build_prob() runs off end of names_list[] if last
	char is alphabetic.  (Currently it isn't alphabetic, but someone
	might modify it.)

2001-12-01 18:28  angband

	* src/: Makefile.gtk, Makefile.std, main-xpj.c: Fixed a typo.

2001-12-01 18:21  angband

	* src/: l-object.pkg, types.h: Removed an unused member of the
	object_type struct.

2001-11-25 12:12  angband

	* lib/script/trace.lua, src/defines.h, src/l-ui.pkg, src/script.c,
	src/tables.c: Added a debug display for call-stack and local
	variables of the scripts.

2001-11-25 00:21  angband

	* lib/edit/p_class.txt, lib/script/init.lua, lib/script/spell.lua,
	lib/script/test.lua, src/cmd5.c, src/defines.h, src/externs.h,
	src/init1.c, src/l-object.pkg, src/l-player.pkg, src/l-spell.pkg,
	src/object2.c, src/script.c, src/script.h, src/spells2.c,
	src/tables.c, src/types.h, src/x-spell.c, src/xtra1.c: Added
	scripting support for player spells.

2001-11-23 04:07  angband

	* lib/edit/object.txt: Added some documentation for object
	descriptions.

2001-11-23 04:04  angband

	* changes.txt, configure.in, lib/edit/artifact.txt,
	lib/edit/cost_adj.txt, lib/edit/ego_item.txt, lib/edit/flavor.txt,
	lib/edit/limits.txt, lib/edit/monster.txt, lib/edit/object.txt,
	lib/edit/p_class.txt, lib/edit/p_hist.txt, lib/edit/p_race.txt,
	lib/edit/shop_own.txt, lib/edit/terrain.txt, lib/edit/vault.txt,
	lib/file/news.txt, src/defines.h: Changed the version number.

2001-11-23 03:52  angband

	* changes.txt: Updated the changelog.

2001-11-23 03:30  angband

	* src/: init1.c, object1.c: Added support for object descriptions
	that are displayed when examining objects.

2001-11-23 03:23  angband

	* src/defines.h: Removed some unused #defines.

2001-11-23 03:22  angband

	* lib/help/option.txt, src/defines.h, src/tables.c: Removed the
	unused "disturb_other" option.

2001-11-23 03:18  angband

	* src/cmd1.c: Fixed a possible crash with searching disarmed chests
	for traps.

2001-11-20 21:03  angband

	* src/: externs.h, variable.c: Added support for a hitpoint-warning
	sound effect.

2001-11-20 20:23  angband

	* src/l-spell.pkg: Added some functions and fixed the problem with
	the potion of enlightenment.

2001-11-18 18:55  angband

	* src/Makefile.lsl: Yet another makefile update.

2001-11-18 18:07  angband

	* src/Makefile.cyg: Updated the Cygwin Makefile.

2001-11-18 18:07  angband

	* src/script.c: Fixed a compiler warning.

2001-11-18 17:25  angband

	* lib/pref/graf-new.prf: Added some 16x16 tiles for new monsters.

2001-11-18 17:23  angband

	* lib/pref/: xtra-new.prf, xtra-xxx.prf: Added the icons for the
	Kobold player race.

2001-11-18 12:56  angband

	* lib/edit/monster.txt: Removed some duplicated monster flags.

2001-11-18 12:38  angband

	* lib/pref/graf-new.prf: Assigned a default 16x16 icon for the
	player.

2001-11-18 12:22  angband

	* src/: config.h, externs.h, load.c, save.c: Cleaned up the
	savefile-loading code a bit.

2001-11-12 18:31  angband

	* lib/: edit/flavor.txt, pref/flvr-new.prf, pref/flvr-xxx.prf:
	Updated the list of flavors and the assignments of graphical tiles.

2001-11-11 23:20  angband

	* lib/script/Makefile.am: Fixed the install path for the script
	files.

2001-11-11 20:17  angband

	* src/: Makefile.acn, Makefile.am, Makefile.ami, Makefile.bcc,
	Makefile.cyg, Makefile.dos, Makefile.emx, Makefile.gtk,
	Makefile.ibm, Makefile.lcc, Makefile.lsl, Makefile.std,
	Makefile.wat, Makefile.win, load.c, main-mac.c: Changed the
	Makefiles to compile load.c instead of load1.c and load2.c. 
	Removed some old references to load1.c and load2.c.

2001-11-11 20:05  angband

	* src/script.c: Added a debug command to re-initialize the scripts
	at runtime.

2001-11-11 20:00  angband

	* src/: cmd6.c, use-obj.c: Moved the 'zap rod' effects to the Lua
	script.

2001-11-11 19:58  angband

	* src/l-object.pkg: Added various functions to the object wrappers.

2001-11-11 19:56  angband

	* lib/script/: object.lua, test.lua: Moved the effects of zapping
	rods to the Lua script.

2001-11-11 17:53  angband

	* src/lua/liolib.c: Removed the insecure tmpnam() function.

2001-11-11 14:13  angband

	* lib/script/object.lua: Fixed some bugs caused by Lua interpreting
	all values except nil as true.

2001-11-11 13:15  angband

	* src/: script.c, script.h, wizard2.c: Moved the script-debugging
	command to script.c.  Added a debugging menu for scripts.  Fixed a
	problem with cancelling of aiming wands.  Added basic script
	tracing functionality.

2001-11-11 12:39  angband

	* src/tables.c: Added the option names for two script-debugging
	windows.

2001-11-11 12:38  angband

	* src/: l-random.pkg, z-rand.c, z-rand.h: Fixed another 64-bit
	problem in the RNG.  Removed the unused Rand_mod() function.

2001-11-11 12:37  angband

	* src/init.h: Fixed a problem with 64-bit machines.

2001-11-10 17:10  angband

	* src/cmd6.c: Added activations for the elemental rings.

2001-11-10 17:06  angband

	* src/: cmd5.c, object2.c: Changed the damage of some mage spells.

2001-11-10 16:54  angband

	* src/melee2.c: Adjusted the damage caps for various breath
	attacks.

2001-11-10 16:50  angband

	* src/: defines.h, l-object.pkg, object2.c: Added the new
	ego-types.  Toned down the to-dam and to-hit values from rings.

2001-11-10 16:33  angband

	* src/: defines.h, l-object.pkg: Removed the unused #defines for
	many artifacts.

2001-11-10 16:19  angband

	* lib/edit/flavor.txt: Minor cleanup.

2001-11-10 16:18  angband

	* src/init1.c: Made the text part of the flavor definitions
	optional.

2001-11-10 14:41  angband

	* lib/edit/: flavor.txt, limits.txt: Changed the spelling of
	"aluminium".  Added new flavors for the amulets.  Removed some
	duplicated potion flavors.  Renumbered the flavors.  Removed the
	trailing ":" for the scroll flavor texts.

2001-11-10 13:57  angband

	* lib/edit/: artifact.txt, limits.txt: Edited the artifact list
	according to JLE's suggestions.

2001-11-10 13:53  angband

	* lib/edit/monster.txt: Ar-Pharazon the Golden is worth more exp
	and doesn't haste self anymore.  Moved bone and bronze golems
	deeper.  Ghouls and Ghasts are less common now.

2001-11-10 13:49  angband

	* lib/edit/object.txt: Added eight new amulets: ESP, Resistance,
	Regeneration, Resist Lightning, Devotion, Trickery, Weaponmastery,
	Infravision.  Amulets of the Magi give an int boost now.  Added
	activations to the elemental rings.

2001-11-10 13:41  angband

	* lib/edit/p_class.txt: Reduced the fail rate of identify.  Made
	recharging easier for mages.  Made it harder for rangers and rogues
	to cast Resistance.  Removed "meteor swarm" from the rogue's spell
	list.

2001-11-10 13:35  angband

	* lib/edit/vault.txt: Lesser vaults have a couple of guaranteed
	"good" items, and greater vaults have a couple of guaranteed
	"great" items. Guarded by out-of-depth monsters of course.

2001-11-09 17:58  angband

	* src/: cmd5.c, externs.h, object1.c, store.c, util.c, xtra2.c:
	Added Bahman Rabii's fix for problems with the "repeated commands"
	after failures such as running out of ammo.

2001-11-09 17:43  angband

	* src/script.c: Improved the error-handling in the use-object hook.

2001-11-09 17:24  angband

	* src/cmd6.c: Added an accidently deleted line back in.

2001-11-09 17:24  angband

	* lib/script/object.lua: Fixed a typo in the wand-effect code.

2001-11-08 18:46  angband

	* src/: cmd6.c, use-obj.c: Switched the scripted wand-effects on.

2001-11-08 18:38  angband

	* lib/script/: object.lua, test.lua: Moved the wand effects to the
	Lua scripts.

2001-11-08 18:37  angband

	* src/l-object.pkg: Updated the wrappers for various dynamically
	allocated arrays.

2001-11-08 18:34  angband

	* src/lua/container.lua: Allowed tolua to wrap arrays where the
	array bounds contain "->".

2001-11-08 16:57  angband

	* lib/script/test.lua: Turned the testing code back on.

2001-11-08 16:56  angband

	* lib/script/object.lua, lib/script/test.lua, src/cmd6.c,
	src/l-misc.pkg, src/use-obj.c: Moved the effects of using staves to
	a Lua script.

2001-11-08 16:25  angband

	* lib/edit/object.txt: Removed an old comment that reserved some
	objects for compatibility with ancient savefiles.

2001-11-08 16:14  angband

	* src/: defines.h, externs.h, load.c, load1.c, load2.c, save.c:
	Removed the code for loading pre-2.9.0 savefiles.  Shattered
	weapons are no longer partially restored when loading a savefile.

2001-11-08 14:02  angband

	* lib/edit/object.txt: Corrected a comment.

2001-11-08 14:02  angband

	* lib/edit/ego_item.txt: Made *slay giant* as common as the other
	*slays*.

2001-11-08 13:37  angband

	* lib/edit/flavor.txt, lib/edit/limits.txt, lib/pref/flvr-new.prf,
	lib/pref/flvr-xxx.prf, src/defines.h, src/init1.c, src/object1.c,
	src/types.h: Fixed flavors such as the slime mold juice, potions of
	water, and the One Ring are now defined in the lib/edit/flavor.txt
	file.

2001-11-08 12:04  angband

	* lib/edit/ego_item.txt: Added the missing asterix to the *slay
	animal* ego weapon.

2001-11-08 12:02  angband

	* src/monster1.c: The wrong part of the monster recall was
	colorized.

2001-11-07 20:18  angband

	* src/main-win.c: Adjusted the key to press for accessing the cheat
	menu for the Borg screen- saver.

2001-11-07 18:53  angband

	* THANKS, TODO, changes.txt, lib/file/news.txt: Updated various
	docs.

2001-11-07 18:33  angband

	* src/cmd3.c: Partially rewrote the 'Locate player on map' code.

2001-11-07 18:25  angband

	* src/cave.c: The overhead map of the town looks better now.

2001-11-07 17:51  angband

	* src/Makefile.std: Adjusted the standard makefile.

2001-11-07 14:11  angband

	* src/cmd6.c: Increased the damage of many wands and rods.

2001-11-07 13:43  angband

	* src/cmd6.c: Corrected a comment.

2001-11-07 13:11  angband

	* lib/help/option.txt, src/cmd4.c, src/defines.h, src/tables.c:
	Reorganized the option screens.

2001-11-07 12:45  angband

	* src/: defines.h, init1.c, melee1.c, monster1.c, spells1.c,
	tables.c: Added a new monster attack effect that causes
	halluzination.	Removed the redundant "show hitpoint warnings
	on/off" option.

2001-11-07 11:50  angband

	* src/load2.c: Don't partially repair blasted equipment when
	loading the savefile.

2001-11-07 11:41  angband

	* lib/help/: attack.txt, birth.txt, dungeon.txt, version.txt: Added
	the updated help-files from the JLE patch.

2001-11-07 11:41  angband

	* lib/edit/: artifact.txt, cost_adj.txt, ego_item.txt, flavor.txt,
	limits.txt, monster.txt, object.txt, p_class.txt, p_hist.txt,
	p_race.txt, shop_own.txt, terrain.txt, vault.txt: Added the JLE
	patch.

2001-11-07 11:28  angband

	* src/: defines.h, init1.c, l-monst.pkg, l-spell.pkg, melee2.c,
	monster1.c, monster2.c: Changed 'summon ants' to 'summon animals'.

2001-11-07 11:01  angband

	* src/: cmd1.c, cmd6.c, defines.h, externs.h, init1.c, l-monst.pkg,
	l-object.pkg, melee2.c, monster1.c, object1.c, randart.c,
	spells2.c, wizard1.c: Added some new object flags, activations, and
	monster spells for the JLE patch.

2001-11-06 18:12  angband

	* src/util.c: The character causing the line-wrap was ommited in
	the text_out_to_file() function.

2001-11-06 17:07  angband

	* src/script.c: Check if the Lua state has been initialized before
	freeing it.

2001-11-06 15:46  angband

	* src/: externs.h, l-object.pkg, l-ui.pkg, monster1.c, object1.c,
	util.c, wizard1.c: Created separate text_out() and text_out_c()
	functions.  Renamed some related functions.  Rewrote the
	text_out_to_file() function.  The artifact spoilers are now handled
	via text_out().

2001-11-05 17:28  angband

	* src/: files.c, util.c: Minor code cleanup.

2001-11-05 17:20  angband

	* src/: externs.h, files.c, l-object.pkg, object1.c, util.c,
	variable.c, wizard1.c: The extended object-info if now generated
	and displayed via a temp-file.

2001-11-05 16:28  angband

	* src/monster1.c: Removed the empty lines from the monster-memory
	display, since the entry for Morgoth didn't fit to the screen
	anymore.

2001-11-05 15:51  angband

	* src/: main-acn.c, spells1.c: Fixed some typos.

2001-11-05 15:51  angband

	* src/: externs.h, monster1.c, wizard1.c: Cleaned up the
	monster-description code a bit more.

2001-11-05 14:36  angband

	* src/: Makefile.bcc, Makefile.dos, Makefile.ibm: Added rules for
	the new wrapper files.

2001-11-05 14:34  angband

	* src/: birth.c, cmd1.c, cmd3.c, cmd4.c, defines.h, dungeon.c,
	externs.h, init1.c, l-monst.pkg, load1.c, load2.c, melee1.c,
	melee2.c, monster1.c, monster2.c, save.c, spells1.c, spells2.c,
	types.h, util.c, variable.c, wizard1.c, xtra2.c: Renamed the
	monster_lore variables.  Fixed a bug in c_roff() that added an
	extra space for every \n encountered.  Unified the creation of
	monster spoilers and the monster recall.  Added color to the
	monster recall.  Fixed some typos ("inate" should be "innate").

2001-11-02 22:27  angband

	* configure.in, src/Makefile.am: Adjusted the configure script so
	that it works with the current Cygwin version.	Added the new Lua
	wrappers to the automake file.

2001-11-02 21:25  angband

	* src/: cmd6.c, use-obj.c: Moved the scroll-use effects to an extra
	file.

2001-11-02 20:31  angband

	* src/script.c: "Balanced" the stack after calling the object-use
	hook to prevent problems.

2001-11-02 19:06  angband

	* lib/script/: object.lua, test.lua: Ported the effects of reading
	scrolls to Lua and added a basic test-suite.

2001-11-02 18:33  angband

	* src/: l-misc.pkg, l-player.pkg, l-spell.pkg, script.c: Added
	wrappers for spells and some misc. stuff.  Renamed the "p_ptr"
	variable in Lua to "player".

2001-11-02 18:23  angband

	* src/: cmd6.c, externs.h, spells2.c: Moved the functions for
	cursing weapons and armor to a better location.

2001-11-02 16:30  angband

	* src/: cmd5.c, externs.h, object1.c: You can now browse books in
	the stores.

2001-11-02 16:29  angband

	* src/: cave.c, xtra2.c: Added some bounds-checking to prevent
	crashes after resizing the window.

2001-11-02 13:59  angband

	* src/z-rand.c: Fixed a bug that caused an infinite loop in the RNG
	when the u32b type has more than 32 bits.

2001-11-01 17:33  angband

	* src/: Makefile.am, lua/Makefile.am: Updated the autoconf support
	for Lua scripting.

2001-11-01 17:32  angband

	* lib/script/Makefile.am: Added the test script to the automake
	dist-targets.

2001-11-01 12:46  angband

	* src/: Makefile.dos, Makefile.ibm: Added the new wrapper to some
	Makefiles.

2001-11-01 12:35  angband

	* lib/script/test.lua: Added a basic testing suite for the Lua
	code.

2001-11-01 12:34  angband

	* src/l-player.pkg: Added a wrapper for the restore_level()
	function.

2001-11-01 12:33  angband

	* src/: l-ui.pkg, script.c: Added a wrapper for UI functions.

2001-11-01 12:30  angband

	* src/: cmd6.c, use-obj.c: Moved the effects of quaffing a potion
	to the use-object hook.

2001-11-01 12:29  angband

	* lib/script/object.lua: Ported the effects of quaffing a potion to
	Lua.

2001-10-30 19:51  angband

	* src/: Makefile.am, Makefile.bcc, Makefile.dos, Makefile.ibm:
	Adjusted some makefiles to recreate the Lua wrappers if necessary.

2001-10-30 19:38  angband

	* src/l-object.pkg: Added a missing typedef.

2001-10-30 19:37  angband

	* src/script.c: Removed some unused code.

2001-10-28 23:25  angband

	* src/: Makefile.am, lua/Makefile.am: Added a few extra files to
	'make dist'.

2001-10-28 23:19  angband

	* src/: Makefile.am, lua/Makefile.am: 'make dist' works now.

2001-10-28 22:39  angband

	* src/: Makefile.am, use-obj.c, use_obj.c, lua/Makefile.am: Updated
	the autoconf makefiles.  Renamed a file to conform to the common
	Angband filename style.

2001-10-28 22:10  angband

	* src/: cmd6.c, use_obj.c: Moved the food effects into an extra
	file that is used when scripting is turned off.

2001-10-28 22:04  angband

	* lib/script/: init.lua, object.lua: Use Lua style bools in the
	object-use hook.  Automatically load the object-use hook from the
	init-script.

2001-10-28 22:00  angband

	* src/: script.c, script.h: Changed the name of the object-use
	hook.  Added a function to build the path for a script file.

2001-10-28 20:16  angband

	* lib/script/Makefile.am: Added object.lua.

2001-10-28 20:11  angband

	* lib/script/object.lua: Implemented the effects of eating food in
	a Lua hook.

2001-10-28 20:08  angband

	* src/: l-player.pkg, l-random.pkg, script.c, script.h: Extended
	the Lua wrappers.  Added a hook for using objects.

2001-10-28 17:41  angband

	* src/: l-monst.pkg, script.c: Added a tolua package for monsters.

2001-10-28 17:22  angband

	* src/Makefile.cyg: Fixed the "tolua" target.

2001-10-28 17:21  angband

	* src/script.c: Exported some more functions to Lua and added calls
	to the initialization of object and player wrappers.

2001-10-28 17:19  angband

	* src/: l-object.pkg, l-player.pkg: Added tolua packages for player
	and objects.

2001-10-28 17:18  angband

	* src/lua/: package.lua, tolua.c, variable.lua: Changes to reduce
	the size of tolua generated wrappers.  Changed tolua to be
	statically linked.

2001-10-28 17:14  angband

	* src/externs.h: Removed the declaration of a non-existant
	function.

2001-10-28 13:27  angband

	* src/lua/lcode.h: Fixed a compile problem with BCC.

2001-10-28 13:26  angband

	* src/Makefile.ibm: Updated various makefiles for Lua support.

2001-10-28 13:20  angband

	* src/: Makefile.bcc, Makefile.cyg, Makefile.dos: Updated the
	Makefiles for

2001-10-28 12:25  angband

	* src/lua/: Makefile.am, tolua.c: Added a Makefile target for
	tolua.

2001-10-28 12:03  angband

	* src/lua/.cvsignore: CVS should ignore some files in src/lua.

2001-10-28 11:59  angband

	* src/: Makefile.am, config.h, script.c, lua/Makefile.am: Added
	autoconf support for Lua.

2001-10-28 11:59  angband

	* configure.in, lib/Makefile.am, lib/script/Makefile.am,
	lib/script/init.lua: [no log message]

2001-10-27 22:13  angband

	* src/: externs.h, init2.c, script.c, script.h, variable.c,
	wizard2.c: Added basic scripting support.

2001-10-27 21:35  angband

	* src/lua/: array.lua, basic.lua, class.lua, clean.lua, code.lua,
	container.lua, declaration.lua, define.lua, doit.lua, dump.c,
	enumerate.lua, feature.lua, function.lua, lapi.c, lapi.h,
	lauxlib.c, lauxlib.h, lbaselib.c, lcode.c, lcode.h, ldblib.c,
	ldebug.c, ldebug.h, ldo.c, ldo.h, lfunc.c, lfunc.h, lgc.c, lgc.h,
	liolib.c, llex.c, llex.h, llimits.h, lmathlib.c, lmem.c, lmem.h,
	lobject.c, lobject.h, lopcodes.h, lparser.c, lparser.h, lstate.c,
	lstate.h, lstring.c, lstring.h, lstrlib.c, ltable.c, ltable.h,
	ltests.c, ltm.c, ltm.h, lua.c, lua.h, lua2c.lua, luac.c, luac.h,
	luadebug.h, lualib.h, lundump.c, lundump.h, lvm.c, lvm.h, lzio.c,
	lzio.h, module.lua, operator.lua, opt.c, package.lua, print.c,
	print.h, stubs.c, tolua.c, tolua.h, tolua.pkg, tolua_bd.c,
	tolua_eh.c, tolua_eh.h, tolua_gp.c, tolua_lb.c, tolua_rg.c,
	tolua_rg.h, tolua_tm.c, tolua_tm.h, tolua_tt.c, tolua_tt.h,
	tolualua.pkg, typedef.lua, variable.lua, verbatim.lua: Added
	slightly modified versions of the Lua scripting language and the
	tolua wrapper generator for use in Angband.

2001-10-27 20:08  angband

	* src/z-virt.c: Removed an unused variable.

2001-10-20 15:45  angband

	* lib/pref/: Makefile.am, flvr-new.prf, flvr-xxx.prf, graf-new.prf,
	graf-xxx.prf: Added *.prf files for the new flavor code.

2001-10-19 21:08  angband

	* configure.in, lib/edit/artifact.txt, lib/edit/cost_adj.txt,
	lib/edit/ego_item.txt, lib/edit/flavor.txt, lib/edit/limits.txt,
	lib/edit/monster.txt, lib/edit/object.txt, lib/edit/p_class.txt,
	lib/edit/p_hist.txt, lib/edit/p_race.txt, lib/edit/shop_own.txt,
	lib/edit/terrain.txt, lib/edit/vault.txt, lib/file/news.txt,
	src/defines.h, src/load2.c: Updated the version number to 2.9.4. 
	Changed the savefile code to automatically regenerate the town for
	old savefiles.

2001-10-19 20:53  angband

	* src/object1.c: Fixed a bug in the flavor code for stores.

2001-10-19 20:39  angband

	* .cvsignore, lib/.cvsignore, lib/apex/.cvsignore,
	lib/bone/.cvsignore, lib/data/.cvsignore, lib/edit/.cvsignore,
	lib/file/.cvsignore, lib/help/.cvsignore, lib/info/.cvsignore,
	lib/pref/.cvsignore, lib/save/.cvsignore, lib/user/.cvsignore,
	lib/xtra/.cvsignore, src/.cvsignore: Added .cvsignore files that
	hide various unimportant files from CVS.

2001-10-19 19:16  angband

	* lib/: data/Makefile.am, edit/Makefile.am: Added autoconf support
	for the flavor data file.

2001-10-19 18:31  angband

	* src/util.c: Cleaned up the message-code a bit.

2001-10-19 18:28  angband

	* lib/edit/flavor.txt, lib/edit/limits.txt, src/cmd4.c,
	src/defines.h, src/externs.h, src/files.c, src/init.h, src/init1.c,
	src/init2.c, src/object1.c, src/types.h, src/variable.c: Moved the
	item flavors into an external file.

2001-10-02 17:03  angband

	* src/util.c: Fixed some "bad smells" in the color-coded messages.

2001-09-22 19:30  angband

	* src/object2.c: Corrected the spell-information for the cloud-kill
	spell.

2001-09-01 11:51  angband

	* src/main-win.c: Corrected some comments, removed the references
	to the music support, corrected some references to old memory
	deallocation functions, the Borg screensaver will no longer display
	Windows messageboxes.

2001-09-01 11:34  angband

	* src/monster1.c: Corrected an old reference to r_info.raw.

2001-08-18 15:39  angband

	* src/: cave.c, defines.h, generate.c, xtra1.c, xtra2.c: First
	alpha version of bigscreen support.

2001-08-17 23:24  angband

	* src/xtra1.c: Made the light radius cumulative.

2001-08-17 22:49  angband

	* src/: cmd5.c, types.h, xtra1.c, z-virt.h: Moved some member
	variables of player_type to local variables.

2001-08-17 21:25  angband

	* src/cave.c: The map-display can use larger terminals now.

2001-08-17 21:21  angband

	* src/dungeon.c: The main window no longer has a fixed size.

2001-08-17 19:12  angband

	* src/: cave.c, cmd3.c, cmd4.c, init2.c, maid-x11.c, main-emx.c,
	main-xpj.c, randart.c, save.c, util.c, wizard1.c, z-form.c,
	z-term.c, z-virt.c, z-virt.h: Removed the length argument from the
	FREE() and KILL() macros.

2001-08-17 17:48  angband

	* src/z-virt.c: Removed some debugging code in the memory handling
	code.

2001-08-17 17:46  angband

	* src/: externs.h, main-gtk.c, main-win.c, variable.c: Removed the
	'can_save' variable.

2001-08-17 17:37  angband

	* src/tables.c: Removed the old unused blow table.

2001-08-12 11:01  angband

	* src/cmd6.c: Fixed some shifts of signed variables.

2001-08-12 11:00  angband

	* src/generate.c: The vault_monsters() call could generate up to
	nine times the requested number of monsters.

2001-08-11 12:11  angband

	* src/dungeon.c: The confirmation for wizard mode was required
	every time wizard mode was switched on.

2001-08-11 12:10  angband

	* src/object2.c: The info for the Teleport Self spell is incorrect.

2001-08-07 06:33  angband

	* changes.txt: Updated the changelog.

2001-08-07 06:32  angband

	* src/store.c: Examining an item in the home displayed the item as
	if it was identified, even if it wasn't.

2001-08-07 06:29  angband

	* src/object2.c: The spell-info for the mage's fire-bolt spell is
	used for the stone to mud spell.

2001-08-07 05:48  angband

	* src/main-xaw.c: One term is the default for XAW.

2001-08-06 06:34  angband

	* src/Angband.dsp: Removed some references to unused libraries.

2001-08-05 18:06  angband

	* changes.txt: Updated the changelog.

2001-08-05 18:05  angband

	* TODO: Updated the ToDo list.

2001-08-05 18:05  angband

	* src/z-virt.h: Minor source cleanup.

2001-08-05 18:04  angband

	* src/main-lsl.c: Fixed some possible errors in the LSL module. 
	But it's still buggy.

2001-08-05 17:27  angband

	* build_dos, build_ext_dos, build_ext_win, build_win: Updated the
	build-scripts for the DOS and Windows versions.

2001-08-05 12:14  angband

	* THANKS: Updated the credits.

2001-08-05 12:10  angband

	* src/: init1.c, z-virt.c: Minor code reformatting.

2001-08-05 11:27  angband

	* src/Makefile.lsl: Use 'rm -f' in the lsl Makefile.

2001-08-04 15:18  angband

	* src/Makefile.lsl: Makefile.lsl builds 'angband' now instead of
	'testing'.

2001-08-04 15:17  angband

	* src/: util.c, config.h, externs.h, h-config.h, h-system.h:
	Removed some old cruft.  Made some global variables static.

2001-07-22 12:14  angband

	* src/monster1.c: Changed the monster memory info when you have
	avenged your ancestor to a gender-neutral form.

2001-07-22 12:12  angband

	* src/: main-gcu.c, util.c: Removed some warnings about unused
	parameters.

2001-07-22 11:51  angband

	* src/object1.c: Changed the message when looking at un-*id*'ed
	artifacts/ego-items to "It might have hidden powers.".

2001-07-22 11:22  angband

	* src/defines.h: Removed an unused #define.

2001-07-21 22:51  angband

	* src/main-acn.c: Fixed a comparision of signed and unsigned color
	values in the Acorn version.

2001-07-21 22:41  angband

	* configure.in: Adjusted the autoconf checks for the XAW module.

2001-07-21 17:50  angband

	* src/: externs.h, variable.c: Changed the type of the internal
	copyright message.

2001-07-21 17:20  angband

	* configure.in: Changed the checks for main-gcu.c.  Try -lncurses,
	-lcurses, -lcurses -ltermcap, and finally plain -ltermcap.

2001-07-21 14:27  angband

	* lib/help/option.txt: Corrected the names of some options in the
	documentation.

2001-07-21 14:16  angband

	* src/cave.c: There was an unportable and pointlessly complex
	computation of the byte offset of p->grid_{o2/2} in cave.c.

2001-07-21 14:03  angband

	* src/: files.c, init2.c, save.c, z-virt.h: Removed some 'cast away
	const' warnings.

2001-07-21 13:24  angband

	* src/main-xaw.c: Modified the latest XAW patch since it produced a
	warning.

2001-07-21 12:24  angband

	* src/: main-x11.c, main-xpj.c: Fixed a possible bug in the X11 and
	XPJ modules. A shift operation assumed that 'int' is as wide as
	'long'.

2001-07-21 12:16  angband

	* src/main-xaw.c: Commented out a struct-member that didn't exist
	in older XAW versions.

2001-07-21 12:01  angband

	* src/maid-x11.c: The error message "Couldn't allocate bitmap
	color" in the X11 version displayed an uninitialized colour name.

2001-07-21 11:57  angband

	* src/Makefile.std: Fixed a typo in the ncurses instructions in
	Makefile.std.

2001-07-21 11:55  angband

	* src/cmd4.c: Changed the 'Known artifacts' title to the more
	truthful 'Known (or lost) artifacts'.

2001-07-21 11:52  angband

	* src/util.c: Fixed the inversed logic for handling tabs in files. 
	Tabs are now correctly aligned to the nearest tabstop (tab-width is
	8).

2001-07-21 11:41  angband

	* configure.in: Added the -fno-strength-reduce flag for gcc.

2001-07-21 11:38  angband

	* src/main-gcu.c: Fixed typos in some comments.

2001-07-21 11:34  angband

	* configure.in: SGI (IRIX) may need -lsun for the NIS version of
	getpwnam.

2001-07-13 20:55  angband

	* configure.in, src/files.c, src/main.c: Use setegid() instead of
	setgid or setregid where available.  Link with the Xt library when
	the Xaw library is used.

2001-07-13 20:52  angband

	* src/init1.c: The monster descriptions only contained the last
	parsed line.

2001-07-13 20:52  angband

	* src/object2.c: Mages and priests couldn't get 0% fail rates, but
	all other classes could.

2001-07-10 20:52  angband

	* lib/data/Makefile.am: Adjusted the filenames of the *.raw files.

2001-07-08 22:00  angband

	* src/load2.c: Fixed some problems in the loading of old savefiles
	with randarts.

2001-07-08 20:36  angband

	* changes.txt: Updated the changelog.

2001-07-08 20:32  angband

	* configure.in: Added autoconf detection of the Athena widget set. 
	Turned extra compiler warnings on.  Turned off a potentially buggy
	gcc compiler optimization.

2001-07-08 20:16  angband

	* src/Makefile.std: Updated the standard makefile.

2001-07-08 20:16  angband

	* src/: init.h, init2.c: Fixed some compiler warnings.

2001-07-08 16:50  angband

	* Makefile.am, configure.in, src/Makefile.am: Updated the autoconf
	support.

2001-07-08 16:50  angband

	* changes.txt: Updated the changelog.

2001-07-08 15:37  angband

	* lib/edit/monster.txt: Rogrog the Black Troll resists acid instead
	of cold.  Algroths resist poison.

2001-07-08 14:39  angband

	* cvs2cl.py: Added the "#!" magic string to the changelog Python
	script.

2001-07-08 14:38  angband

	* TODO, compile.txt, readme.txt: Updated the documentation.

2001-07-08 13:58  angband

	* src/: defines.h, object1.c, types.h: The EASY_KNOW flag is no
	longer hardcoded for various item types.

2001-07-08 13:57  angband

	* lib/edit/object.txt: Added the EASY_KNOW flag where necessary.

2001-07-08 12:59  angband

	* src/: defines.h, generate.c, init.h, init2.c, main-ami.c,
	object1.c, types.h: Fixed various references to the old *_info.txt
	filenames.

2001-07-08 12:31  angband

	* src/types.h: Removed some unused struct members.

2001-07-08 12:30  angband

	* src/init2.c: Use the new names for the *_info.txt files.

2001-07-08 12:28  angband

	* lib/edit/: Makefile.am, a_info.txt, artifact.txt, b_info.txt,
	c_info.txt, cost_adj.txt, e_info.txt, ego_item.txt, f_info.txt,
	g_info.txt, h_info.txt, k_info.txt, limits.txt, monster.txt,
	object.txt, p_class.txt, p_hist.txt, p_info.txt, p_race.txt,
	r_info.txt, shop_own.txt, terrain.txt, v_info.txt, vault.txt,
	z_info.txt: Gave the *_info.txt files more meaningful names.

2001-07-07 16:56  angband

	* src/: init.h, init1.c, init2.c: Cleaned up the *_info.txt parsing
	code a little bit more.

2001-07-07 13:31  angband

	* src/init1.c: Fixed a possible problem with the player's history. 
	Unified the storing of names and text when parsing *_info.txt
	files.

2001-07-07 13:28  angband

	* src/types.h: Removed an unused structure member.

2001-07-06 17:49  angband

	* src/cmd6.c: Potions of life *really* heal all damage when CON was
	drained.

2001-07-06 17:48  angband

	* src/files.c: The *.prf file loading code checks for invalid
	message colors.

2001-07-06 17:47  angband

	* src/load2.c: Corrected an error-message in the randart loading
	code.

2001-07-01 14:00  angband

	* src/: Makefile.am, main-vcs.c, main.c: Added the Linux vcsa
	display driver written by Alexander Malmberg.

2001-07-01 13:56  angband

	* src/init2.c: The *_info.txt parsing routines can now be turned
	off with the ALLOW_TEMPLATES #define.

2001-06-27 19:51  angband

	* lib/edit/Makefile.am: Added c_info.txt to autoconf.

2001-06-27 19:26  angband

	* src/main-gcu.c: Fixed some problems on BSD machines with the ACS
	macros for the special curses font symbols.

2001-06-19 18:50  angband

	* src/: config.h, main-gcu.c: Removed a hack for the curses module
	of some BSD versions.

2001-06-19 18:32  angband

	* src/: externs.h, files.c, init2.c, util.c, variable.c: Made the
	variables of the "message" package local instead of global.

2001-06-14 10:30  angband

	* src/: externs.h, init2.c, util.c, variable.c: Cleaned up the
	"quarks" package (inscription storage) a bit.

2001-06-10 13:08  angband

	* src/cmd6.c: Potions of life will now restore stats before healing
	to provide full health even if CON was drained.

2001-06-10 13:07  angband

	* src/util.c: The path_temp() function is no longer compiled if
	mkstemp() is available.

2001-06-10 12:39  angband

	* acinclude.m4: Added a missing M4 definition.

2001-06-10 12:13  angband

	* bootstrap: Added the autoconf bootstrap script.

2001-06-04 18:27  angband

	* acconfig.h, configure.in, lib/pref/font.prf, lib/pref/graf.prf,
	lib/pref/pref-gtk.prf, lib/pref/pref.prf, lib/pref/user.prf,
	lib/xtra/font/16x16.txt, src/Makefile.am, src/Makefile.gtk,
	src/birth.c, src/cave.c, src/cmd2.c, src/config.h, src/defines.h,
	src/init2.c, src/maid-x11.c, src/maid-x11.h, src/main-gtk.c,
	src/main-x11.c, src/main-xaw.c, src/main-xpj.c, src/main.c,
	src/object2.c, src/randart.c, src/types.h: Updated the GTK, X11,
	and XAW ports to Steven Fuerst's versions.  Added Steven's X11
	projected view.  Cleaned up the source a little bit.

2001-06-04 14:47  angband

	* src/main-win.c: Various command-line options like wizard- and
	fiddle-mode are now available from the *.ini file of the Windows
	version.

2001-06-04 14:45  angband

	* lib/apex/Makefile.am, lib/bone/Makefile.am, lib/data/Makefile.am,
	lib/save/Makefile.am, src/Makefile.am: Added support for DESTDIR to
	the install hooks.

2001-06-04 11:16  angband

	* src/object2.c: Fixed a bug in the object-creation that was
	introduced with the latest ego- item changes.

2001-06-03 22:50  angband

	* Makefile.am, configure.in, src/Makefile.am: Updated the Cygwin
	autoconf stuff.

2001-06-03 14:40  angband

	* configure.in: Moved some autoconf files to a seperate directory. 
	Fixed a problem with setting X11 paths and flags too late.

2001-06-02 23:15  angband

	* lib/file/news.txt, configure.in: Updated the version number.

2001-06-02 23:14  angband

	* lib/edit/: a_info.txt, artifact.txt, b_info.txt, c_info.txt,
	cost_adj.txt, e_info.txt, ego_item.txt, f_info.txt, g_info.txt,
	h_info.txt, k_info.txt, limits.txt, monster.txt, object.txt,
	p_class.txt, p_hist.txt, p_info.txt, p_race.txt, r_info.txt,
	shop_own.txt, terrain.txt, v_info.txt, vault.txt, z_info.txt:
	Changed the version number to 2.9.3.

2001-06-02 23:13  angband

	* src/: defines.h, dungeon.c, externs.h, load2.c, randart.c,
	save.c: The randart info is now stored in the savefile.  Updated
	the version number to 2.9.3.

2001-06-02 23:09  angband

	* src/Makefile.cyg: Changed the Cygwin makefile to work without the
	cygwin.dll and to be more pedantic with warnings.

2001-05-26 11:55  angband

	* lib/edit/: c_info.txt, p_class.txt, p_info.txt, p_race.txt:
	Updated the documentation for the file formats.

2001-05-26 09:53  angband

	* src/: defines.h, object2.c: Removed the player-class constants.

2001-05-26 09:34  angband

	* src/: defines.h, init1.c: Improved the error checking when
	reading the spell info.  Removed an unused #define.

2001-05-26 09:26  angband

	* lib/edit/: c_info.txt, p_class.txt: Added the spell-data to the
	player class.

2001-05-26 09:25  angband

	* src/: birth.c, externs.h, init1.c, load1.c, load2.c, main-lsl.c,
	tables.c, types.h: The spell-info for character classes is now
	initialized from "lib/edit/c_info.txt".

2001-05-26 08:46  angband

	* src/: cmd6.c, defines.h, xtra1.c: Changed the spelling of
	"Beserk" to the correct "Berserk".

2001-05-22 19:17  angband

	* src/init1.c: Corrected some comments.

2001-05-22 19:14  angband

	* src/init2.c: Corrected the message when encountering an error
	while parsing a *_info.txt file.

2001-05-17 22:05  angband

	* src/: birth.c, cmd2.c, files.c, util.c, wizard2.c: The
	get_string() and askfor_aux() functions now use the 'len' argument
	as the buffer size instead of the maximum length of the input
	string.

2001-05-17 20:54  angband

	* src/z-util.c: Changed the exit-code in case of failures to a
	standard value.

2001-05-17 20:03  angband

	* src/object1.c: Examining an item that ignores all elements now
	shows "It cannot be harmed by the elements." instead of one line
	for each element.

2001-05-01 21:45  angband

	* lib/edit/: c_info.txt, p_class.txt: Extended c_info.txt with some
	values for spellcasting.

2001-05-01 21:42  angband

	* src/: cmd1.c, cmd5.c, defines.h, init1.c, monster1.c, object2.c,
	store.c, tables.c, types.h, xtra1.c: Added some class specific
	variables concerning magic to c_info.txt.

2001-05-01 20:12  angband

	* lib/edit/: c_info.txt, limits.txt, p_class.txt, z_info.txt: Added
	a c_info.txt file for player-class infos.

2001-05-01 20:11  angband

	* src/: Angband.dsp, birth.c, cave.c, cmd1.c, cmd3.c, cmd5.c,
	defines.h, dungeon.c, externs.h, files.c, init.h, init1.c, init2.c,
	load1.c, load2.c, main-acn.c, main-ami.c, main-cap.c, main-dos.c,
	main-ibm.c, main-win.c, main.c, object1.c, object2.c, spells1.c,
	spells2.c, tables.c, types.h, util.c, variable.c, xtra1.c,
	z-form.c: Moved the player-class info to an external
	lib/edit/c_info.txt file.  Unified parts of the *_info.txt parsers.
	 Improved the error-messages when parsing *_info.txt files. 
	Removed some compiler warnings (unused parameters, trigraphs).

2001-05-01 09:59  angband

	* lib/edit/v_info.txt, lib/edit/vault.txt, src/generate.c: Moved
	the "Lesser vault" and "Greater vault" strings into the source.

2001-05-01 09:25  angband

	* src/wizard2.c: Removed two unused columns from the wizard mode
	object flag display.

2001-04-29 18:40  angband

	* configure.in, src/Makefile.am: Fixed some problems with the
	Cygwin autoconf support.

2001-04-29 13:18  angband

	* lib/edit/e_info.txt, lib/edit/ego_item.txt, src/object2.c:
	Removed the special handling for weapons of Morgul and ammo of
	backbiting.

2001-04-29 11:35  angband

	* src/wizard2.c: The item flag descriptions when tweaking items in
	wizard mode are now correct.

2001-04-29 11:11  angband

	* src/xtra2.c: Monsters at 1% of max hps got frightened less often
	than monsters with 10% hps left.

2001-04-28 14:46  angband

	* src/xtra2.c: Attacks that didn't do any damage could sometimes
	scare wounded monsters.

2001-04-28 14:04  angband

	* src/cmd6.c: Finding out that a wand or staff has no charges left
	didn't update the inventory window.

2001-04-25 18:05  angband

	* acconfig.h, configure.in, src/Makefile.am: The Windows version
	can now be compiled with autoconf/automake in Cygwin.

2001-04-21 22:05  angband

	* src/: main-acn.c, util.c: The Acorn version uses the same
	temp-file function as the other versions.

2001-04-21 21:51  angband

	* src/: object1.c, object2.c: The message when dropping a known
	artifact is now something like "You no longer have the Golden Crown
	of Gondor" instead of "You have no more Golden Crowns of Gondor".

2001-04-21 21:32  angband

	* src/z-rand.c: The random selection of sound samples in the
	Windows and DOS version got non-random after a while.

2001-04-08 19:20  angband

	* src/main-win.c: Fixed a compile problem in the Windows version
	when USE_GRAPHICS is turned off.

2001-04-08 18:54  angband

	* src/files.c: Clear and reload the tombstone when examining items
	in inventory.  Having the inventory listing overlaying the
	tombstone was just plain ugly.

2001-04-08 18:51  angband

	* src/files.c: Added an option to review messages to the tombstone.
	 Changed the keys to view high scores from 't' to 'v' and allowed
	upper case for each of the options in the tombstone screen.

2001-04-08 18:38  angband

	* src/files.c: Allowed examining multiple items without having to
	return to the tombstone screen.

2001-04-05 21:14  angband

	* lib/pref/user.prf: Pref files for player races were not loaded
	automatically.

2001-04-05 21:13  angband

	* src/main-win.c: The Windows version didn't exit correctly when
	starting with a savefile from the command-line.

2001-04-05 21:13  angband

	* src/xtra2.c: The experience gained from killing monsters was
	sometimes incorrect after tweaking the maximum experience in wizard
	mode.

2001-03-29 20:32  angband

	* src/monster1.c: The cheat_know option marked monsters as known
	even after it was turned off.

2001-03-29 20:29  angband

	* src/cmd2.c: The easy_open option no longer counts doors under the
	player when determining which door to close.

2001-03-28 19:54  angband

	* src/wizard2.c: It's now possible to create junk items in wizard
	mode.

2001-03-25 17:33  angband

	* lib/edit/: e_info.txt, ego_item.txt: Cleaned up some cosmetical
	issues in the lib/edit/e_info.txt file.

2001-03-25 16:59  angband

	* src/init1.c: The error checking when parsing a_info.txt,
	e_info.txt, r_info.txt, and p_info.txt didn't warn about duplicated
	entries.

2001-03-25 16:58  angband

	* src/generate.c: One type of cross shaped rooms was never been
	generated.

2001-03-18 18:10  angband

	* lib/pref/pref-mac.prf, lib/pref/pref-win.prf,
	lib/pref/pref-x11.prf, src/dungeon.c, src/util.c: Added a new macro
	action that stops macro execution when the game is at a prompt, and
	is ignored otherwise.

2001-03-18 17:23  angband

	* src/dungeon.c: Used staircases are now always marked as known
	when the connected_stairs option is turned on.

2001-03-17 20:25  angband

	* src/cmd4.c: The known uniques list is now separated into two
	columns to make it easier to read. One column for the names and one
	for the "is dead/alive" text.

2001-03-17 18:50  angband

	* src/: externs.h, object1.c, object2.c, wizard1.c, wizard2.c:
	Ego-items generated in vaults should now be of the proper level. 
	Removed some magic numbers.  Added the "const" modifier to some
	function arguments.

2001-03-17 14:36  angband

	* src/object2.c: Removed some unnecessary casts.

2001-03-17 14:35  angband

	* src/spells2.c: Fixed a typo in the "bless" spell.

2001-03-17 14:32  angband

	* src/files.c: If a custom player race has both an elemental
	immunity and resistance then only the resistance was shown in the
	character display grid.

2001-03-17 14:25  angband

	* lib/edit/: v_info.txt, vault.txt: The lesser vault "Planet X" was
	labeled as greater vault.

2001-03-17 14:19  angband

	* src/: init1.c, wizard2.c: Fixed a typo in a comment and removed
	an extra space.

2001-03-17 14:18  angband

	* src/: birth.c, spells1.c, xtra1.c: Replaced several magic numbers
	with the proper constants.

2001-02-18 20:57  angband

	* configure.in: Missed the -lX11 library flag in the last change.

2001-02-18 20:21  angband

	* configure.in: Removed the broken detection of the Athena widget
	set.

2001-02-17 15:04  angband

	* src/randart.c: Fixed a bug that caused the random artifacts to be
	different in the Windows version when compiled with optimizations
	with the MS VC++ compiler.

2001-02-17 14:50  angband

	* src/init1.c: Removed a "do nothing" instruction in the parsing of
	the g_info.txt file that caused a *weird* crash in executables
	created by the Borland Windows compiler when the file contains 11
	player races.

2001-02-11 13:36  angband

	* src/main-dos.c: Fixed a compiler warning.

2001-02-11 13:35  angband

	* src/main.c: Fixed a stupid error introduced earlier.

2001-02-08 21:38  angband

	* changes.txt: Updated the changelog.

2001-02-08 21:26  angband

	* THANKS, TODO, configure.in: Updated the docs a bit.

2001-02-08 20:09  angband

	* src/: config.h, main.c: Added a compile time option to prevent
	users from changing the path to the Angband files.

2001-02-08 18:51  angband

	* src/store.c: The initial offer required when haggling was wrong.

2001-02-08 18:35  angband

	* src/monster2.c: Resting in town for a long time could cause
	lockups in some rare circumstances.

2001-02-06 20:18  angband

	* src/wizard1.c: Fixed the formatting of the object spoilers.

2001-02-04 20:21  angband

	* changes.txt: Updated the changelog.

2001-02-04 20:13  angband

	* TODO: Added a ToDo list.

2001-02-04 20:00  angband

	* src/Makefile.emx: Updated the version number.

2001-02-04 18:43  angband

	* src/: config.h, init2.c, main.c: Made the creation/usage of the
	~/.angband/ directory a compile-time option.

2001-02-04 18:22  angband

	* src/spells1.c: Added a missing "const" modifier.

2001-02-04 13:43  angband

	* src/files.c: Removed the now unnecessary show_file() workaround.

2001-02-03 19:19  angband

	* src/: birth.c, cave.c, cmd1.c, cmd2.c, cmd3.c, cmd5.c, cmd6.c,
	dungeon.c, externs.h, files.c, generate.c, init2.c, load1.c,
	load2.c, main-win.c, melee2.c, monster2.c, object1.c, object2.c,
	save.c, spells1.c, spells2.c, store.c, tables.c, util.c,
	variable.c, wizard1.c, wizard2.c, xtra1.c, xtra2.c: Marked selected
	arrays and function parameters as "const".

2001-02-03 19:12  angband

	* src/cmd4.c: The "known uniques" list displays the number of
	killed uniques.

2001-02-01 21:40  angband

	* AUTHORS, THANKS: Added info about current and previews
	maintainers as well as contributors.

2001-02-01 21:24  angband

	* COPYING: Added an extra file with copyright information.

2001-02-01 21:14  angband

	* src/Makefile.cyg: The Makefile for the Cygwin tools should now
	work with the current Cygwin version.

2001-01-31 20:51  angband

	* src/object2.c: Corrected the displayed duration for "essence of
	speed" and "globe of invulnerability".

2001-01-30 22:51  angband

	* src/: main-x11.c, main-xaw.c: Made *one* window the default for
	XAW and X11.

2001-01-30 22:47  angband

	* configure.in, lib/apex/Makefile.am, lib/bone/Makefile.am,
	lib/data/Makefile.am, lib/save/Makefile.am, src/Makefile.am:
	Several changes to the autoconf code to make non-root install
	possible.

2001-01-29 22:04  angband

	* src/: main-acn.c, save.c: Removed an ugly hack (calling the
	non-standard access() function).

2001-01-29 02:24  angband

	* configure.in, lib/apex/Makefile.am, lib/bone/Makefile.am,
	lib/data/Makefile.am, lib/edit/Makefile.am, lib/file/Makefile.am,
	lib/help/Makefile.am, lib/info/Makefile.am, lib/pref/Makefile.am,
	lib/save/Makefile.am, lib/user/Makefile.am, lib/xtra/Makefile.am,
	src/Makefile.am: Made installing Angband without setgid (and
	without requiring root) easier.

2001-01-28 15:51  angband

	* lib/data/Makefile.am, src/init2.c: Changed the initialization of
	the lib/data/*.raw files to make sure that players can't write the
	file.

2001-01-28 15:50  angband

	* configure.in: Changed "--enable-setgid" to "--with-setgid".

2001-01-28 13:52  angband

	* src/: files.c, init2.c: Some small corrections to the dropping
	and getting of file permissions.

2001-01-28 00:09  angband

	* src/xtra2.c: The maximum player level was not properly updated in
	some cases with drained experience.

2001-01-28 00:07  angband

	* src/: cmd4.c, files.c, load1.c, load2.c, main.c, save.c,
	wizard1.c: Changed the handling of file permissions from "allow by
	default" to "deny by default".

2001-01-27 21:22  angband

	* src/files.c: Fixed a security hole that allowed the user to read
	all files that are readable by group games (if running setgid).

2001-01-25 23:47  angband

	* configure.in, lib/apex/Makefile.am, lib/bone/Makefile.am,
	lib/data/Makefile.am, lib/save/Makefile.am, src/Makefile.am: Added
	an --enable-setgid=groupname option to the configure script.

2001-01-25 00:10  angband

	* src/: main-win.c, object1.c: Made some functions static.

2001-01-24 23:33  angband

	* src/readdib.c: Fixed some compiler warnings.

2001-01-24 23:32  angband

	* src/init1.c: Minor code cleanup.

2001-01-24 22:54  angband

	* src/readdib.c: Fixed a compiler warning.

2001-01-24 22:50  angband

	* src/randart.c: Cleaned up the randart code a bit more.

2001-01-24 21:30  angband

	* lib/edit/: v_info.txt, vault.txt: Made the 'Crown' vault a
	"Greater vault".

2001-01-24 00:37  angband

	* src/main-win.c: The Windows version checks for the existance of
	lib/pref/ now.

2001-01-24 00:35  angband

	* src/load2.c: Added extra paranoia when loading the shop owners.

2001-01-22 20:05  angband

	* src/spells1.c: The "low hitpoint warning" is now properly
	displayed.

2001-01-22 20:01  angband

	* src/main-gcu.c: Exiting the curses version properly cleans up the
	term now.

2001-01-19 00:59  angband

	* src/Makefile.am: Added main-lsl.c to the distribution tarball.

2001-01-19 00:53  angband

	* configure.in, src/Makefile.am: Added the Makefiles to the
	distributed files and removed an unnecessary autoconf check.

2001-01-19 00:51  angband

	* compile.txt: Updated the compile guide.

2001-01-19 00:47  angband

	* changes.txt: Updated the changelog.

2001-01-18 23:28  angband

	* src/randart.c: Cleaned up the randart code a little bit.

2001-01-18 22:55  angband

	* acconfig.h, configure.in, src/cmd4.c, src/externs.h,
	src/main-acn.c, src/util.c: Replaced the old insecure tmp-file
	handling with the secure mkstemp() function (where available).

2001-01-17 09:51  angband

	* src/main-dos.c: Fixed a stupid compile error in main-dos.c.

2001-01-17 09:51  angband

	* src/: externs.h, xtra2.c: Added extra status information
	(stunned, asleep, ...) when looking at monsters.

2001-01-13 16:13  angband

	* compile.txt, readme.txt, lib/help/general.txt,
	lib/xtra/graf/readme.txt: Updated the compile guide.  Changed the
	FTP-site links from export.andrews.cmu.edu to the new
	clockwork.dementia.org URL.

2001-01-13 14:15  angband

	* Makefile.am, acconfig.h, configure.in, lib/Makefile.am,
	lib/apex/Makefile.am, lib/bone/Makefile.am, lib/data/Makefile.am,
	lib/edit/Makefile.am, lib/file/Makefile.am, lib/help/Makefile.am,
	lib/info/Makefile.am, lib/pref/Makefile.am, lib/save/Makefile.am,
	lib/user/Makefile.am, lib/xtra/Makefile.am, src/Makefile.am,
	src/h-basic.h: Added basic autoconf support.

2001-01-09 22:38  angband

	* src/z-term.c: Removed some compiler warnings.

2001-01-09 22:37  angband

	* src/: z-rand.c, z-rand.h: Added a new random function that allows
	random number generations in the main-*.c files without influencing
	the state of the game-intern RNG.

2001-01-09 22:35  angband

	* src/tables.c: Marked the randart options as "beta".

2001-01-09 22:34  angband

	* src/main-gtk.c: Fixed a minor bug in the gtk code.

2001-01-09 22:34  angband

	* src/init.h: Made the *_info.txt file headers extern to allow the
	randart code to work properly.

2001-01-09 22:32  angband

	* src/: externs.h, randart.c: Cleaned up the randart code a bit.

2001-01-09 22:32  angband

	* src/cmd4.c: The message history can now use screens bigger than
	the default 80x24.

2001-01-09 22:26  angband

	* src/: cave.c, cmd2.c, cmd3.c, main.c, melee1.c, object2.c,
	readdib.c, util.c, z-util.c: Cleaned up the source a bit.

2001-01-09 22:20  angband

	* src/main-win.c: Menu entries are now disabled in situations where
	they don't make sense.

2001-01-09 22:15  angband

	* src/main-dos.c: Fixed a bug that caused midi-file playing to stop
	after the first song.

2001-01-09 22:14  angband

	* src/load2.c: The savefile loading code is now much more paranoid
	about the values read from the savefile.

2001-01-09 22:12  angband

	* src/files.c: - Added handling for tagged lines to the show_file()
	function.  This allows	 linking to specific parts of a file just
	like in HTML ("filename.txt#tag").  - Allowed the show_file()
	function to use screen-sizes bigger than the   standard 80x24.

2001-01-09 22:02  angband

	* src/: cmd1.c, defines.h, init1.c, object1.c, spells2.c,
	wizard1.c: Added support for poison branded ego weapons.

2001-01-09 21:58  angband

	* lib/help/option.txt: Added tags for context-sensitive help in the
	options menu.

2000-12-18 18:50  angband

	* lib/edit/: a_info.txt, artifact.txt, e_info.txt, ego_item.txt,
	f_info.txt, k_info.txt, object.txt, terrain.txt, monster.txt,
	r_info.txt, v_info.txt, vault.txt: Replaced several old references
	to "lib/raw/" with "lib/data/".

2000-12-18 15:11  angband

	* src/store.c: Fixed a bug that allowed the player to see the
	flavor of an item in a store when examining it.

2000-12-18 15:06  angband

	* src/xtra2.c: Fixed a bug that prevented redefining the keymaps of
	the number keys from working correctly if the keymap contained
	another number.

2000-12-10 22:16  angband

	* src/: defines.h, tables.c: Added Peter Seebach's spellbook
	macros.

2000-12-08 23:03  angband

	* src/maid-x11.c: Fixed a problem when compiling with the Athena
	widget set.

2000-12-06 21:18  angband

	* src/: load2.c, save.c: Removed the storing of the number of
	allowed terminals in the savefile.

2000-11-30 00:02  angband

	* src/: init2.c, main.c: The user's files are now stored in
	~/.angband/Angband/ (where the last part is variant dependent).

2000-11-27 00:10  angband

	* src/cmd5.c: The input is now flushed before verifying casting
	prayers or spells without enough mana to prevent accidential
	"overcasting".

2000-11-27 00:01  angband

	* src/util.c: Fixed a stupid bug in the new message_flush()
	function.

2000-11-26 23:48  angband

	* lib/pref/message.prf: Made the "hitpoint warning" message orange.

2000-11-26 23:41  angband

	* src/: cmd1.c, cmd3.c, cmd4.c, cmd6.c, defines.h, dungeon.c,
	externs.h, files.c, init2.c, main-dos.c, monster1.c, object1.c,
	save.c, spells1.c, store.c, util.c, wizard1.c, wizard2.c: Colored
	the hitpoint warning message.  Added a message_flush() function
	that replaces the msg_print(NULL) hack.

2000-11-26 23:09  angband

	* src/: defines.h, util.c, z-rand.h: Moved the randint() define to
	z-rand.h.  Added handling for the special case of 0 sided dice
	rolls to damroll().  Added a rand_die() define (same as randint()).
	 Added a warning about the undefined cases of rand_die/randint.

2000-11-22 22:40  angband

	* src/: init.h, init1.c, init2.c: Added sanity checks for monster
	spell frequency and object allocation data.

2000-11-22 22:06  angband

	* lib/edit/: v_info.txt, vault.txt: Renamed some vaults to get a
	consistent naming scheme.

2000-11-22 22:03  angband

	* src/generate.c: The names of the generated vaults are now
	displayed when the cheat_room option is turned on (suggested by
	John I'anson-Holton).

2000-11-22 21:51  angband

	* src/files.c: The game is now saved before printing the tombstone,
	not after.  That makes cheating by killing the process a little bit
	harder.

2000-11-22 21:43  angband

	* src/: cmd5.c, defines.h, object2.c, types.h: Changed the spell
	numbers to proper defines.  Removed two unused members of
	player_type (John I'anson-Holton).  Fixed the defines for some
	unused item types (John I'anson-Holton).

2000-11-16 00:24  angband

	* src/tables.c: Added a missing initialization in the spell-name
	table.

2000-11-15 23:28  angband

	* src/: birth.c, cmd5.c, defines.h, externs.h, load2.c, object2.c,
	save.c, tables.c, types.h, xtra1.c: Replaced the magic number 64
	for the number of player spells with a define.

2000-11-15 23:17  angband

	* src/: birth.c, externs.h, tables.c: Removed some magic numbers.

2000-11-15 22:01  angband

	* src/: wizard1.c, wizard2.c: Removed two unnecessary extern
	declarations.

2000-11-12 23:59  angband

	* src/: Makefile.dos, Makefile.ibm: Cleaned the MS-DOS makefiles up
	a little bit.

2000-11-12 23:56  angband

	* src/: cmd4.c, defines.h, files.c, main-dos.c, main-win.c,
	variable.c, wizard1.c: Changed the name of the "version name"
	define.

2000-11-12 23:54  angband

	* readme.txt: Changed the version number to 2.9.2.

2000-11-09 23:17  angband

	* src/main-dos.c: Improved the error handling a bit.

2000-11-09 21:56  angband

	* lib/help/: attack.txt, birth.txt, command.txt, dungeon.txt,
	option.txt, version.txt: Added Jonathan Ellis' changes to the
	helpfiles (with minor modifications).

2000-11-09 21:38  angband

	* src/: cmd4.c, defines.h, files.c, main-dos.c, main-win.c,
	variable.c, wizard1.c: Changed the name of the variant into a
	#define.

2000-11-04 23:18  angband

	* src/: config.h, dungeon.c, externs.h, files.c, init2.c, main.c,
	util.c: Angband tries to create a "~.angband/" directory at startup
	now and writes user files to this directory.  Fixed some compiler
	warnings.

2000-11-04 19:40  angband

	* src/: cmd4.c, config.h, dungeon.c: Commited a file that I missed
	in the last change.  Removed the old code to load a ~/.angband.prf
	file.

2000-11-04 19:27  angband

	* src/: externs.h, files.c, init2.c, variable.c: Splitted the
	lib/user/ folder into lib/pref/ for the default "pref files" that
	are distributed with the game and lib/user/ (or ~./angband/ on
	multi-user systems) for files created by the user.

2000-11-04 19:02  angband

	* lib/user/delete.me: Added a dummy file to make sure that the
	empty folder is always created.

2000-11-04 19:01  angband

	* lib/pref/delete.me: Removed the dummy file since the folder is no
	longer empty.

2000-11-04 18:59  angband

	* lib/user/: font-ami.prf, font-dos.prf, font-ibm.prf,
	font-mac.prf, font-win.prf, font-x11.prf, font-xxx.prf, font.prf,
	graf-ami.prf, graf-gcu.prf, graf-ibm.prf, graf-lsl.prf,
	graf-mac.prf, graf-new.prf, graf-win.prf, graf-x11.prf,
	graf-xxx.prf, graf.prf, message.prf, pref-acn.prf, pref-ami.prf,
	pref-emx.prf, pref-gcu.prf, pref-mac.prf, pref-win.prf,
	pref-x11.prf, pref.prf, user-mac.prf, user.prf, xtra-new.prf,
	xtra-xxx.prf: Moved the "user pref files" to "lib/pref/".

2000-11-02 21:48  angband

	* src/wizard2.c: The debug mode command to change the number of
	items does now properly adjust the weight carried by the player.

2000-11-02 21:35  angband

	* src/types.h: Increased the variable size for the weight carried
	by the player to prevent problems with carrying huge amounts of
	stuff.

2000-10-29 18:43  angband

	* src/: init.h, init1.c, init2.c: Cleaned up the init-code a bit
	more.

2000-10-29 18:41  angband

	* lib/file/news.txt: Updated the version number to 2.9.2 and
	adjusted the copyright message.

2000-10-24 21:38  angband

	* src/main-win.c: Prepared the Windows code for the new Cygwin
	release.  The 'maximized' status of windows is now saved and
	properly restored.  Modified the resizing code to make it easier to
	add the bigscreen patch.

2000-10-24 21:34  angband

	* src/init2.c: Removed some compiler warnings in the cleanup-code.

2000-10-24 21:32  angband

	* src/Makefile.cyg: Modified the Cygwin Makefile for the new Cygwin
	version.

2000-10-21 22:08  angband

	* src/main-win.c: The graphical map command now prevents various
	menu-actions from messing the screen up.

2000-10-21 22:00  angband

	* src/main-win.c: Added some checks to prevent various problems
	with the score display.

2000-10-21 21:25  angband

	* lib/edit/: a_info.txt, artifact.txt, b_info.txt, cost_adj.txt,
	e_info.txt, ego_item.txt, f_info.txt, g_info.txt, h_info.txt,
	k_info.txt, limits.txt, monster.txt, object.txt, p_hist.txt,
	p_info.txt, p_race.txt, r_info.txt, shop_own.txt, terrain.txt,
	v_info.txt, vault.txt, z_info.txt: Changed the version number to
	2.9.2.

2000-10-21 21:24  angband

	* src/: main-dos.c, main-win.c: Replaced MAX_TERM_DATA with
	ANGBAND_TERM_MAX.

2000-10-21 21:19  angband

	* src/: cmd4.c, defines.h, externs.h, files.c, init2.c, load2.c,
	main.c, object1.c, save.c, types.h, variable.c, xtra1.c: Changed
	the magic number for the maximum number of windows into a #define. 
	Changed the version number to 2.9.2.

2000-10-21 17:56  angband

	* src/main-mac.c: Fixed an old comment pointing to a renamed
	function.

2000-10-21 17:54  angband

	* src/main-xxx.c: Corrected several references to ancient functions
	and changed various comments in main-xxx.c to bring it up-to-date.

2000-10-19 23:11  angband

	* src/main-win.c: Fixed some compiler warnings Added extra code to
	handle the case when cleanup_angband() is not present.	Added some
	ZAngband specific changes (bigscreen, wilderness map).

2000-10-19 23:08  angband

	* src/defines.h: Added a #define to show that the cleanup_angband()
	function is present.

2000-10-17 20:36  angband

	* src/Makefile.std: Cleaned up some references to old makefiles and
	main-*.c modules.

2000-10-17 20:25  angband

	* lib/edit/: f_info.txt, k_info.txt, monster.txt, object.txt,
	r_info.txt, terrain.txt: The color descriptions for black and dark
	grey were wrong.

2000-10-08 16:21  angband

	* src/: cave.c, maid-x11.c, main-gtk.c, main-win.c: Removed some
	whitespace at end-of-lines.

2000-10-08 15:58  angband

	* src/init2.c: Removed compiler warnings in the memory deallocation
	code.

2000-10-07 20:18  angband

	* src/files.c: The user can no longer specify negative indices for
	objects, monsters, and other things.  This fixes a security
	problem.

2000-10-07 16:29  angband

	* src/main-win.c: The maximum size of terminal windows is now
	255x255 tiles.

2000-10-07 15:14  angband

	* src/maid-x11.c: The loading of bitmap files in the X11 version is
	no longer dependent on the byte-order of the machine.  Improved the
	speed of the gamma-correction code.

2000-10-07 14:51  angband

	* src/main-dos.c: The dos code frees all loaded fonts now.

2000-10-07 14:37  angband

	* src/: externs.h, init1.c, init2.c, variable.c: Updated the init
	code.

2000-09-22 20:22  angband

	* src/main.c: Fixed the latest buffer overflow fix.

2000-09-22 20:01  angband

	* src/main.c: Fixed another buffer overflow.

2000-09-17 20:14  angband

	* src/z-form.c: Fixed another security problem (buffer overrun).

2000-09-17 00:47  angband

	* src/: Makefile.gtk, main-gtk.c: Added a basic frontend that uses
	the GTK+ toolkit.

2000-09-17 00:15  angband

	* src/main.c: Fixed a security problem (buffer overflow).

2000-09-15 23:19  angband

	* src/: cmd3.c, dungeon.c: Trying to destroy an artifact that has
	been pseudo-id'ed before or pseudo-id'ing an artifact already
	marked as {indestructible} will now mark it as {special} or
	{terrible}.

2000-09-15 23:16  angband

	* src/xtra2.c: Killing Morgoth will now create a down staircase.

2000-09-14 22:44  angband

	* src/: cmd3.c, defines.h, dungeon.c, tables.c: Artifacts are now
	inscribed {indestructible} when the player tries to destroy them
	and pseudo-id can improve this to {special} or {terrible} later.

2000-09-14 08:35  angband

	* lib/: pref/pref.prf, user/pref.prf: The file pref-gtk.prf is now
	parsed at startup.

2000-09-05 22:08  angband

	* src/main.c: Minor bugfix to the GTK code.

2000-09-05 22:07  angband

	* src/main-win.c: Fixed a minor typo.

2000-09-05 21:50  angband

	* src/: dungeon.c, main-dos.c, main-win.c, util.c: Minor code
	cleanup.

2000-09-05 21:47  angband

	* src/wizard2.c: Very minor reformatting.

2000-09-05 21:46  angband

	* src/object2.c: Replaced a magic number with the proper constant.

2000-09-05 21:44  angband

	* src/load2.c: Cleaned up a small bit of code.

2000-09-05 21:40  angband

	* src/: init.h, init1.c, init2.c: Unified large parts of the
	init-code.

2000-09-05 21:38  angband

	* src/: cmd4.c, files.c, wizard1.c: Used the pre-defined version
	string instead of building it at runtime.

2000-08-26 16:13  angband

	* src/main.c: Added support for main-gtk.c (using GTK+).

2000-08-24 20:52  angband

	* src/wizard1.c: More cosmetic coding style changes.

2000-08-24 20:46  angband

	* src/: defines.h, main-sla.c: Changed some wrong filenames in
	comments.  Fixed some cosmetic coding style problems.

2000-08-22 21:07  angband

	* src/main-xxx.c: Fixed another wrong comment.

2000-08-22 21:04  angband

	* src/: main-emx.c, main-gcu.c, main-ibm.c, main-sla.c, main-xxx.c,
	melee2.c, spells1.c, wizard1.c: Fixed various comments that pointed
	to files that no longer exist.

2000-08-22 20:35  angband

	* src/: init2.c, util.c: Added some comments.  All inscriptions are
	now de-allocated correctly.

2000-08-20 16:44  angband

	* src/: defines.h, externs.h, init.h, init1.c, init2.c, main-win.c,
	main.c, types.h, z-form.c, z-form.h: Moved header information for
	Angband initialization into a seperate header file.  Added cleanup
	code to Angband to prevent memory leaks.

2000-08-20 12:57  angband

	* src/init2.c: Fixed a bug in the new init code.

2000-08-19 19:00  angband

	* src/: maid-x11.c, main-ami.c, main-lsl.c, main-mac.c: The
	system-dependent files are now protected by #ifdef USE_FOO checks.

2000-08-19 18:58  angband

	* src/cmd6.c: The "word of recall" artifact activation didn't check
	the ironman option.

2000-08-17 22:20  angband

	* src/: init2.c, externs.h, init1.c, variable.c: Moved the
	info-file headers from the global namespace into the init code.

2000-08-17 21:16  angband

	* src/init2.c: Fixed a typo in a comment.

2000-08-17 19:56  angband

	* src/init2.c: Unified the error messages.

2000-08-17 19:37  angband

	* src/init2.c: Unified the creation and initialization of the
	headers.

2000-08-16 22:53  angband

	* src/init2.c: Unified the init_*_info_raw() functions.

2000-08-16 21:11  angband

	* src/z-term.c: Fixed a typo in a comment.

2000-08-16 21:03  angband

	* src/files.c: Cleaned up the string_lower() function.

2000-08-16 18:46  angband

	* src/files.c: Minor code cleanup.

2000-08-15 22:38  angband

	* src/birth.c: The random character generation restricts the class
	to the "legal" choices for the players race.

2000-08-15 22:36  angband

	* src/dungeon.c: Removed some unused code.

2000-08-09 19:14  angband

	* src/main-win.c: Fixed a bug in the savefile loading of the
	screensaver.

2000-08-08 19:22  angband

	* src/main-win.c: The screensaver menu options restores the
	titlebar of the subwindows now.  All windows can be bigger than
	80x24 now.

2000-08-06 16:01  angband

	* src/xtra2.c: Targetting shows the dungeon coordinates when in
	wizard mode.

2000-08-06 14:04  angband

	* src/: config.h, externs.h, files.c, h-config.h, h-system.h,
	h-type.h, util.c, z-util.c, z-util.h: Removed some old cruft.

2000-08-06 14:01  angband

	* src/xtra1.c: Fixed a wrong comment.

2000-08-05 21:42  angband

	* src/files.c: Immunity flags in p_info.txt are now displayed in
	the grid (John I'anson-Holton).

2000-08-05 21:28  angband

	* src/main-mac.c: Restored the MAX_TERM_DATA definition in the mac
	code.

2000-08-05 21:27  angband

	* src/: monster1.c, wizard1.c: Removed the "(by 10d6+)" part of the
	description for experience drain attacks since this is epsilon most
	of the time compared to the 2% drain of the players experience.

2000-08-05 21:15  angband

	* src/: Makefile.ami, main-ami.c: Updated the Amiga files (Bablos).

2000-08-05 17:17  angband

	* src/load1.c: Fixed a minor bug when parsing ancient savefiles.

2000-08-05 17:13  angband

	* src/: externs.h, init1.c, util.c: Moved the color_char_to_attr()
	function out of init1.c so that this segment can be unloaded if no
	longer needed.

2000-08-05 17:05  angband

	* src/init1.c: Removed some dead code.

2000-08-05 17:02  angband

	* lib/edit/: v_info.txt, vault.txt: The Bubbles vault no longer has
	inaccessible areas.

2000-08-05 16:59  angband

	* src/: angband.rc, main-win.c: Added support to use Angband as a
	screensaver with the APWBorg running in continuous mode.  Added a
	menu entry to run Angband with lowered priority.

2000-08-05 16:57  angband

	* lib/edit/: a_info.txt, artifact.txt: The activation of Avavir
	works correct now.

2000-08-05 16:56  angband

	* build_win.bat: The Windows build-script compresses the
	angband.exe.

2000-07-26 18:11  angband

	* src/cmd6.c: Fixed a bug that messed up the description of the
	"genocide" artifact activation.

2000-07-25 21:29  angband

	* src/: main-x11.c, main-xaw.c: Fixed a compile problem when
	USE_GRAPHICS was turned off.

2000-07-25 20:44  angband

	* lib/help/version.txt: Updated the list of contributors.

2000-07-25 20:39  angband

	* changes.txt: Updated the changelog.

2000-07-25 20:37  angband

	* src/variable.c: Made "light red" brighter again.

2000-07-25 20:27  angband

	* src/object1.c: Fixed a bug that allowed the player to find out
	the cursed status of unidentified items.

2000-07-25 15:54  angband

	* src/main-win.c: Fixed a bug that prevented gamma correction from
	working in the Windows version.

2000-07-25 15:51  angband

	* src/variable.c: Changed the color definition of "light red" since
	it was too similiar to "red".

2000-07-25 15:50  angband

	* src/object1.c: Fixed a stupid bug that allowed the player to find
	out if an unidentified item is an artifact or an ego-item with
	random powers.

2000-07-24 17:36  angband

	* src/Makefile.dos: Removed the useless USE_AB_TILES #define.

2000-07-24 17:19  angband

	* build_linux: Updated the Linux binary build script.

2000-07-24 17:09  angband

	* lib/xtra/graf/readme.txt: Updated the links to the graphics
	archive.

2000-07-24 16:59  angband

	* compile.txt: Updated the compile docs.

2000-07-24 16:51  angband

	* src/: Angband.dsp, Angband.dsw: Updated the VC++ project files.

2000-07-24 16:29  angband

	* changes.txt: Updated the changelog.

2000-07-24 16:20  angband

	* src/files.c: Cleaned up the char-dump so that empty slots in the
	home and the inventory are no longer dumped.  Only the settings of
	Adult and Score options are now dumped.

2000-07-24 16:18  angband

	* src/util.c: The game no longer records messages after the player
	is dead.

2000-07-24 14:55  angband

	* src/Makefile.std: Removed some processor specific optimization
	flags.

2000-07-24 14:52  angband

	* src/object1.c: Removed a compiler warning.

2000-07-23 20:13  angband

	* src/main-acn.c: Adjusted the function definition of the Acorn
	version of fd_seek().

2000-07-23 20:12  angband

	* src/z-term.c: Adjusted some code to the proper Angband coding
	style.

2000-07-23 20:11  angband

	* src/: externs.h, files.c, monster1.c, util.c: Removed a compiler
	warning caused by mixing signed and unsigned types when using the
	lseek() function.

2000-07-23 19:47  angband

	* src/Makefile.cyg: Cleaned up the makefile for Cygwin.

2000-07-23 12:06  angband

	* src/object1.c: The translation table that allows the Borg to work
	with graphics is now reinitialized when switching tilesets.

2000-07-23 12:05  angband

	* src/: externs.h, init2.c, util.c: The check_modification_date()
	function is no longer used when compiling on Acorn machines since
	main-acn.c brings it's own version.

2000-07-22 21:50  angband

	* src/melee2.c: Removed some magic numbers.

2000-07-22 21:28  angband

	* lib/edit/: limits.txt, v_info.txt, vault.txt, z_info.txt: Changed
	the selection of vaults.

2000-07-22 21:05  angband

	* src/: defines.h, externs.h, files.c, init1.c, object1.c,
	randart.c: The examine item command always displays the known infos
	about an item now.  The stores no longer *ID* items.  Unified some
	duplicated code.

2000-07-22 11:59  angband

	* src/init1.c: Removed a compiler warning.

2000-07-22 11:57  angband

	* src/: cmd3.c, files.c, object1.c, store.c: The stores no longer
	*ID* items.  The examine command now gives info about all known
	properties of an item.

2000-07-20 22:52  angband

	* src/: Angband.dsp, main.c: Fixed the "show scores" command line
	option.

2000-07-20 22:47  angband

	* src/cave.c: Fixed a nasty bug in yesterdays optimizations.

2000-07-19 23:00  angband

	* compile.txt, src/cave.c, src/maid-x11.c, src/main-win.c,
	src/main-x11.c, src/main-xaw.c, src/util.c, src/wizard2.c,
	src/z-term.c: Removed various compiler warnings and cleaned up the
	source a bit.

2000-07-19 22:27  angband

	* src/main-win.c: Fixed some compiler warnings.

2000-07-19 22:16  angband

	* src/readdib.h: Fixed some compiler warnings.

2000-07-19 21:37  angband

	* src/: load1.c, load2.c: Cleaned up the order of coordinates in
	some error messages.

2000-07-19 21:33  angband

	* src/: dungeon.c, externs.h, melee2.c, variable.c: Added Frank
	Muzzulini's acting order patch.

2000-07-16 17:12  angband

	* src/: Angband.dsp, main-win.c, z-term.c, z-term.h: Improved the
	window refreshing of the Win32 version.  Unified the Angband and
	ZAngband Win32 specific code.

2000-07-16 14:38  angband

	* src/init2.c: Added a workaround for a Mac problem and removed
	some unused code.

2000-07-16 14:37  angband

	* src/: defines.h, init1.c: Fixed a spelling error in a #define.

2000-07-16 14:36  angband

	* changes.txt: Updated the changelog.

2000-07-15 14:53  angband

	* src/cmd6.c: Enchanting bolts will now fail for magical (ego,
	broken, or cursed) bolts.

2000-07-15 14:52  angband

	* lib/: pref/message.prf, user/message.prf: Set the default message
	colors to white.

2000-07-15 13:58  angband

	* src/store.c: The "examine item" command in stores does now work
	with roguelike and original keyset.

2000-07-15 13:53  angband

	* src/main-win.c: Removed a compiler warning.

2000-07-12 23:07  angband

	* lib/: pref/pref.prf, user/pref.prf: Changed the roguelike key for
	"repeat last command"  to '.

2000-07-12 22:51  angband

	* lib/edit/: a_info.txt, artifact.txt: Added a comment about
	changing a_info.txt.

2000-07-12 22:45  angband

	* src/: Makefile.cyg, Makefile.lcc: Added a makefile for LCC and
	changed the path for the Cygwin makefile.

2000-07-12 22:43  angband

	* build_dos.bat, build_linux, build_src, build_win.bat: Updated the
	build scripts.

2000-07-11 22:53  angband

	* changes.txt: Updated the changelog.

2000-07-11 22:51  angband

	* lib/help/version.txt: Added a list of contributors.

2000-07-11 21:37  angband

	* src/main-win.c: Fixed a problem with refreshing the new graphical
	overhead map.

2000-07-11 21:21  angband

	* lib/edit/: limits.txt, v_info.txt, vault.txt, z_info.txt: Added
	40 new vaults (Chris Weisinger).

2000-07-11 21:07  angband

	* src/files.c: Added an extra check before leaving the tombstone
	screen.

2000-07-10 22:42  angband

	* build_src: Updated the build scripts.

2000-07-09 21:10  angband

	* changes.txt: Updated the changelog.

2000-07-09 18:28  angband

	* src/cmd6.c: The "brand bolts" activation of "Cubragol" now allows
	the user to select which bolts to brand.

2000-07-09 18:23  angband

	* src/object2.c: Fixed the armor pricing bugfix, so that crappy
	armor no longer is valueable.

2000-07-09 18:21  angband

	* lib/: pref/user.prf, user/user.prf: The game now tries to load
	"H-Troll.prf" as well as "Half-Troll.prf" to work around the 8.3
	filenames of some systems.

2000-07-07 08:55  angband

	* compile.txt, readme.txt: Changed some version numbers in the docs
	to 2.9.1.

2000-07-02 16:59  angband

	* src/: makefile.acn, makefile.ami, makefile.bcc, makefile.cyg,
	makefile.dos, makefile.emx, makefile.ibm, makefile.lsl,
	makefile.std, makefile.wat, makefile.win: Renamed the makefiles.

2000-07-02 16:54  angband

	* src/: Angband.dsp, Makefile.acn, Makefile.ami, config.h,
	externs.h, makefile.acn, makefile.ami, Makefile.bcc, Makefile.cyg,
	Makefile.dos, Makefile.emx, Makefile.ibm, Makefile.lsl,
	Makefile.std, Makefile.wat, Makefile.win, makefile.bcc,
	makefile.cyg, makefile.dos, makefile.emx, makefile.ibm,
	makefile.lsl, makefile.std, makefile.wat, makefile.win, randart.c:
	Renamed init3.c to randart.c .

2000-07-02 16:39  angband

	* src/init3.c: Renamed init3.c to randart.c.

2000-07-02 16:17  angband

	* src/cmd5.c: The temporary resistances gained by the "Resistance"
	spell will now stop at the same time.

2000-07-02 16:15  angband

	* src/cmd4.c: Added ToDo comments to the screen-dump routines.

2000-06-30 22:16  angband

	* build_linux: Added the build-script for the Linux binary.

2000-06-30 22:08  angband

	* changes.txt: Updated the change-log again.

2000-06-30 21:46  angband

	* src/main-win.c: Added gamma correction to the Windows version.

2000-06-30 21:17  angband

	* changes.txt: Updated the change list.

2000-06-30 09:01  angband

	* src/: cmd4.c, config.h, externs.h, maid-x11.c, main-acn.c,
	main-mac.c, main-win.c, main-x11.c, util.c: Cleaned up the code a
	bit.  Fixed a bug in the screen-dump loading.  Added gamma
	correction.

2000-06-28 21:31  angband

	* src/cmd4.c: Dumping the options appends to the file now instead
	of overwriting it.

2000-06-27 22:23  angband

	* lib/: pref/message.prf, user/message.prf: Added pref-entries for
	the other color-coded messages.

2000-06-27 22:18  angband

	* src/cave.c: More bugfixes to the lighting code for 16x16 tiles.

2000-06-27 21:40  angband

	* src/cave.c: Fixed some bugs in the lighting code for 16x16 tiles.

2000-06-26 21:24  angband

	* src/util.c: Removed a compiler warning.

2000-06-26 21:23  angband

	* src/config.h: Fixed some problems with missing #defines.

2000-06-26 21:13  angband

	* cvs2cl.py: Added a script that converts the output of "cvs log"
	into a more readable format.

2000-06-25 17:49  angband

	* src/files.c: Fixed an ugly bug in the new score-code.

2000-06-25 14:29  angband

	* src/: maid-x11.c, main-x11.c, main-xaw.c: Added the newest X11
	modules by Ben Harrison and Steven Fuerst.

2000-06-25 14:27  angband

	* src/: cave.c, config.h, externs.h, xtra1.c, xtra2.c: Added Ben's
	code-cleanups and his rewrite of the "panel" and "overhead map"
	code.

2000-06-25 13:52  angband

	* lib/: pref/user.prf, user/user.prf: Class and race specific *.prf
	files are now loaded automatically.

2000-06-25 13:35  angband

	* src/store.c: Added an "examine item" command to the stores.  All
	store-bought items are now *identified*.

2000-06-25 13:30  angband

	* src/defines.h: Removed 'search' from the list of auto-repeated
	commands.

2000-06-24 19:03  angband

	* src/main-dos.c: Removed even more compiler warnings.

2000-06-24 18:48  angband

	* src/: Makefile.ibm, main-ibm.c, makefile.ibm, xtra1.c: Removed
	some more compiler warnings.

2000-06-24 18:32  angband

	* lib/edit/: a_info.txt, artifact.txt, e_info.txt, ego_item.txt,
	f_info.txt, k_info.txt, monster.txt, object.txt, r_info.txt,
	terrain.txt, v_info.txt, vault.txt: Added documentation for the
	*_info.txt file format.

2000-06-24 16:21  angband

	* src/main-win.c: Some small reformattings.

2000-06-24 16:08  angband

	* src/: angband.rc, main-win.c: Added a map command to the Windows
	version.

2000-06-24 14:27  angband

	* src/: init3.c, randart.c: Cleaned up the randart code a little
	bit.

2000-06-24 13:47  angband

	* lib/edit/a_info.txt, lib/edit/artifact.txt, src/cmd6.c,
	src/defines.h, src/init1.c: Cleaned up the artifact activation code
	a bit.

2000-06-24 13:06  angband

	* lib/edit/a_info.txt, lib/edit/artifact.txt, src/Makefile.cyg,
	src/cmd6.c, src/defines.h, src/init1.c, src/init3.c,
	src/makefile.cyg, src/object1.c, src/randart.c, src/types.h: Made
	artifact activations configurable in a_info.txt.

2000-06-24 12:49  angband

	* src/util.c: Black messages are coverted to white to prevent
	problems.

2000-06-24 12:48  angband

	* src/store.c: The temple no longer buys unidentified blessed
	blades.

2000-06-22 21:41  angband

	* lib/help/general.txt: Small modification to the docs.

2000-06-22 21:20  angband

	* lib/help/general.txt: Updated the help-entry for the online help.

2000-06-22 21:12  angband

	* src/files.c: Added optional, case-insensitive searches (can be
	toggled with the '!' key).

2000-06-22 19:53  angband

	* src/cmd3.c: Trying to destroy an already identified artifact no
	longer adds the {special} inscription.

2000-06-22 19:38  angband

	* src/readdib.c: Removed more compiler warnings.

2000-06-22 16:56  angband

	* lib/xtra/sound/sound.cfg: Some small changes to the sound.cfg
	comments.

2000-06-22 16:42  angband

	* build_ext_win, build_win.bat: Adjusted the build-scripts.

2000-06-22 16:41  angband

	* lib/xtra/sound/sound.cfg, src/main-win.c: The Windows version now
	supports multiple samples per sound event.

2000-06-22 16:08  angband

	* lib/pref/message.prf, lib/user/message.prf, src/cmd1.c,
	src/cmd2.c, src/cmd6.c, src/defines.h, src/dungeon.c,
	src/externs.h, src/object2.c, src/spells1.c, src/store.c,
	src/variable.c: More color-coded messages and sound effects.

2000-06-22 12:28  angband

	* src/: Makefile.cyg, makefile.cyg: Added a makefile for cygwin.

2000-06-22 12:26  angband

	* src/: main-win.c, object1.c, readdib.c: Fixed several compiler
	warnings.

2000-06-22 11:29  angband

	* src/main-win.c: Closing the main-window of the Win32 version
	while it's minimized now works correctly.

2000-06-22 10:43  angband

	* src/wizard2.c: Added a "create artifact" wizard command.

2000-06-15 22:52  angband

	* src/spells2.c: Identify and *identify* spells only affect
	unidentified items now.

2000-06-15 22:07  angband

	* src/defines.h: Added a comment.

2000-06-15 22:04  angband

	* src/: externs.h, files.c, object1.c: Random item abilities of
	*identified* items are now displayed in character dumps.

2000-06-15 22:02  angband

	* src/: defines.h, util.c: Moved the auto-repeated commands to
	defines.h and added search to the list.

2000-06-12 14:25  angband

	* src/dungeon.c: Small reformatting.

2000-06-12 14:22  angband

	* src/cmd4.c: Saving a character dump prints now a success (or
	failure) message.

2000-06-12 14:13  angband

	* src/init2.c: Removed the unnecessary code for reparsing the
	*_info.txt files when z_info.txt changes.

2000-06-12 14:08  angband

	* lib/edit/limits.txt, lib/edit/z_info.txt, lib/file/limits.txt,
	src/birth.c, src/cmd3.c, src/cmd4.c, src/dungeon.c, src/externs.h,
	src/files.c, src/generate.c, src/init1.c, src/init2.c, src/init3.c,
	src/load1.c, src/load2.c, src/monster1.c, src/monster2.c,
	src/object1.c, src/object2.c, src/randart.c, src/save.c,
	src/store.c, src/types.h, src/util.c, src/variable.c,
	src/wizard1.c, src/wizard2.c: Replaced the limits.txt method with
	Prfnoff's z_info.txt parsing.  All other *_info.txt files are now
	rebuild when z_info.txt changes.

2000-06-12 12:48  angband

	* src/: defines.h, init1.c, init2.c: Added constants for the
	possible parsing errors.

2000-06-12 12:20  angband

	* lib/file/limits.txt, src/init1.c, src/init2.c: Some small
	modifications and bugfixes to the new *_info.txt parts.

2000-06-12 11:49  angband

	* src/maid-x11.c: Added a missing file.

2000-06-12 11:48  angband

	* lib/edit/b_info.txt, lib/edit/cost_adj.txt, lib/edit/e_info.txt,
	lib/edit/ego_item.txt, lib/edit/g_info.txt, lib/edit/h_info.txt,
	lib/edit/p_hist.txt, lib/edit/p_info.txt, lib/edit/p_race.txt,
	lib/edit/shop_own.txt, lib/file/limits.txt, src/birth.c,
	src/cmd2.c, src/defines.h, src/externs.h, src/files.c, src/init1.c,
	src/init2.c, src/load1.c, src/load2.c, src/main-xaw.c,
	src/main-xxx.c, src/object2.c, src/store.c, src/tables.c,
	src/types.h, src/variable.c, src/xtra1.c: Added the changes from
	Prfnoff's Angband a2.9.0b.

2000-06-11 21:51  angband

	* src/: main-acn.c, main-ami.c, main-mac.c, Makefile.acn,
	makefile.acn: Updated the Amiga, Acorn, and Mac files.

2000-06-11 21:45  angband

	* src/main-xxx.c: Fixed a broken comment.

2000-06-11 21:38  angband

	* src/: load2.c, save.c: Updated some comments.

2000-06-11 21:30  angband

	* src/wizard1.c: Fixed a minor grammar bug.

2000-06-11 20:43  angband

	* lib/: pref/graf-mac.prf, pref/pref-acn.prf, user/graf-mac.prf,
	user/pref-acn.prf: Updated the pref files for Acorn and Mac.

2000-06-11 19:07  angband

	* src/config.h: Switched on ALLOW_PREF_IN_HOME by default.

2000-06-11 17:04  angband

	* src/init2.c: Made the reading of the fake_xxx_size array sizes
	16-bit compatible.

2000-06-11 17:02  angband

	* src/: birth.c, cmd1.c, cmd3.c, cmd4.c, defines.h, dungeon.c,
	externs.h, init2.c, load1.c, load2.c, melee1.c, melee2.c,
	monster1.c, monster2.c, save.c, spells1.c, spells2.c, types.h,
	variable.c, xtra2.c: Moved the monster recall information out of
	the monster race array.

2000-06-11 15:29  angband

	* src/: cmd3.c, cmd4.c, externs.h, wizard1.c: The monster spoilers
	and the list of known uniques sort the monsters now.

2000-06-11 15:17  angband

	* lib/: pref/graf-new.prf, user/graf-new.prf: The 16x16 tile for
	the Monadic Deva is now correctly displayed.

2000-06-08 22:03  angband

	* src/files.c: One highscore entry was sometimes not displayed when
	the current character was part of the highscore list.

2000-06-08 21:36  angband

	* src/: externs.h, files.c, main-win.c: The Windows version now
	lists the current character in the score display.

2000-06-08 21:09  angband

	* src/: config.h, object1.c: Fixed a bug that could cause crashes
	with very long object descriptions.

2000-06-08 21:05  angband

	* src/: Makefile.emx, makefile.emx: Replaced the makefile.emx with
	the correct version.

2000-06-08 20:17  angband

	* src/melee2.c: Modified the monster AI for fleeing monsters a bit.

2000-06-08 20:15  angband

	* src/cmd1.c: Opening doors is now properly repeated when the
	easy_alter option is on.

2000-06-08 20:13  angband

	* src/object1.c: Fixed a comment that was not properly enclosed in
	/* */.

2000-06-06 23:22  angband

	* lib/: pref/xtra-xxx.prf, user/xtra-xxx.prf: The 8x8 tiles for
	hobbit players are no longer displayed as human warriors.

2000-06-06 22:47  angband

	* changes.txt, lib/pref/message.prf, lib/user/message.prf,
	src/cave.c, src/cmd1.c, src/cmd2.c, src/cmd5.c, src/cmd6.c,
	src/defines.h, src/Makefile.bcc, src/dungeon.c, src/externs.h,
	src/files.c, src/init1.c, src/init2.c, src/main-win.c,
	src/makefile.bcc, src/melee2.c, src/monster1.c, src/monster2.c,
	src/object1.c, src/object2.c, src/save.c, src/spells1.c,
	src/store.c, src/util.c, src/xtra2.c, src/z-form.c: Added more
	color-coded messages.  Moved some sound-events so that they are
	played before the associated message is printed.  Removed some
	unused variables and initializations.  Reformatted some parts of
	the source.

2000-06-06 22:18  angband

	* src/z-term.c: Adjusted the indentation of some lines.

2000-06-06 22:13  angband

	* src/: init3.c, randart.c: Corrected a minor bug in the allocation
	of the rand-art memory.

2000-05-28 18:51  angband

	* src/: init2.c, melee2.c: Fixed some problems when compiling
	Angband without the MONSTER_FLOW and/or MONSTER_AI options.

2000-05-28 18:49  angband

	* src/cave.c: Fixed a formatting problem.

2000-05-28 18:48  angband

	* src/birth.c: The score-penalities are now correctly reset when
	starting a new character.

2000-05-27 17:39  angband

	* src/config.h: Documented the SAFE_OBJECT_DESC define in config.h.

2000-05-27 16:18  angband

	* src/melee2.c: Fixed the misspelling of David Reeve Sward's name.

2000-05-27 16:01  angband

	* src/wizard2.c: Fixed a bug that messed up objects on the floor
	when modifying them in debug mode.

2000-05-27 14:52  angband

	* src/files.c: The date in the high-scores is now saved with four
	digit years.

2000-05-22 23:33  angband

	* src/: init2.c, readdib.c: Reformatted the code a bit.

2000-05-22 23:25  angband

	* src/: files.c, init2.c, util.c: Removed some compiler warnings.

2000-05-22 23:20  angband

	* lib/xtra/angband.fnt: Added the IBM pseudo-graphics font.

2000-05-22 22:27  angband

	* src/util.c: The message colors are initialized to white by
	default.

2000-05-22 22:27  angband

	* src/: config.h, init2.c: The lib/data/*_info.raw files will be
	automatically rebuild when the lib/edit/*_info.txt files are
	changed.

2000-05-22 21:57  angband

	* lib/file/limits.txt, src/init2.c: Moved limits.txt from lib/edit
	to lib/file.

2000-05-19 21:52  angband

	* lib/pref/message.prf, lib/pref/pref.prf, lib/user/message.prf,
	lib/user/pref.prf, src/birth.c, src/cmd1.c, src/cmd2.c,
	src/defines.h, src/externs.h, src/files.c, src/load1.c,
	src/load2.c, src/save.c, src/util.c, src/variable.c, src/wizard1.c:
	Rewrote the color-coded messages with support for better sound
	events.  Random artifact diggers are now in the spoilers.

2000-05-19 21:48  angband

	* src/cmd6.c: Fixed a wrong message when the player gets killed by
	poisonous food.

2000-05-17 20:30  angband

	* src/: birth.c, files.c, main-emx.c, main-gcu.c, main-lsl.c,
	main-x11.c, object2.c: Reformatted some source parts.

2000-05-07 13:25  angband

	* src/main-win.c: Removed a bug that caused a wrong error message
	to be displayed when the mask.bmp file in the Windows version was
	missing.

2000-05-07 12:14  angband

	* readme.txt, lib/edit/a_info.txt, lib/edit/artifact.txt,
	lib/edit/e_info.txt, lib/edit/ego_item.txt, lib/edit/f_info.txt,
	lib/edit/k_info.txt, lib/edit/object.txt, lib/edit/terrain.txt,
	lib/edit/monster.txt, lib/edit/r_info.txt, lib/edit/v_info.txt,
	lib/edit/vault.txt, lib/file/news.txt, lib/pref/graf-xxx.prf,
	lib/user/graf-xxx.prf, src/birth.c, src/cmd2.c, src/cmd4.c,
	src/defines.h, src/externs.h, src/load1.c, src/load2.c, src/save.c,
	src/util.c, src/variable.c, src/xtra1.c: Added color coded
	messages.  Modified the spell-tiles assignments for the 8x8
	graphics.

2000-05-03 22:26  angband

	* src/store.c: Fixed a bug that erased pseudo-id in shops even if
	the item was not sold.

2000-05-03 21:53  angband

	* src/load2.c: Fixed a bug in the random artifact generation that
	sometimes caused random artifacts to change.

2000-05-03 21:23  angband

	* src/: Angband.dsp, birth.c, cmd3.c, cmd4.c, defines.h, dungeon.c,
	externs.h, files.c, generate.c, init1.c, init2.c, init3.c, load1.c,
	load2.c, monster2.c, object1.c, object2.c, randart.c, save.c,
	types.h, variable.c, wizard1.c, wizard2.c: Allowed the modification
	of the various *_info.txt limits without recompiling.

2000-05-03 21:20  angband

	* lib/: pref/pref.prf, user/pref.prf: Added the mappings for the
	"repeat command" command.

2000-05-03 21:20  angband

	* build_dos.bat, build_src: Updated the build scripts (better
	compression, only required files).

2000-04-29 19:56  angband

	* src/: Makefile.dos, Makefile.ibm, Makefile.lsl, Makefile.std,
	makefile.dos, makefile.ibm, makefile.lsl, makefile.std: Added a
	workaround for a bug in the optimizer of the GCC compiler.

2000-04-29 16:08  angband

	* src/cmd4.c: Screen-dumps are now correctly loaded.

2000-04-29 15:07  angband

	* src/generate.c: Fixed a bug that allowed the player to recall
	into rubble.

2000-04-29 15:06  angband

	* src/object2.c: Prices for identified armor with hit, damage, or
	armor penalities were wrong.

2000-04-29 14:21  angband

	* src/object1.c: Fixed a bug in the easy-floor option that
	sometimes displayed wrong labels.

2000-04-29 13:38  angband

	* src/cmd6.c: Fixed a bug that caused the effect of aggravate
	monsters scrolls to skip one monster.

2000-04-29 13:34  angband

	* src/wizard2.c: Some code clean-up.

2000-04-27 22:36  angband

	* src/cmd2.c: The alter command ('+' and easy_open option) no
	longer tries to bash down doors.

2000-04-27 22:31  angband

	* src/wizard2.c: Fixed the wizard mode flag display.

2000-04-27 22:16  angband

	* src/store.c: The temple will now buy blessed blades.

2000-04-27 22:06  angband

	* src/: cmd5.c, dungeon.c, xtra1.c: Object and message recall are
	now correctly refreshed.

2000-04-27 21:39  angband

	* src/files.c: Fixed a bug that generated wrong item indices for
	the home in char-dumps.

2000-04-27 21:34  angband

	* src/: main-win.c, readdib.c: The Windows version no longer
	requires the 8x8.bmp file.

2000-04-27 20:52  angband

	* src/Angband.dsw: Fixed the problem with the VC project.

2000-04-10 07:40  angband

	* changes.txt, src/load2.c, src/tables.c: Old savefiles with random
	artifacts can't be imported.  Changed the default options.

2000-04-09 23:35  angband

	* changes.txt, src/files.c: The fear resistance of level 30+
	warriors is now correctly displayed.

2000-04-05 22:21  angband

	* changes.txt: Added the X11 graphics changes to the log.

2000-04-05 21:57  angband

	* build_ext_dos, build_ext_win, compile.txt: Updated the compile
	guide for X11 graphics.  Updated the build scripts to exclude the
	graphics files.

2000-04-05 21:38  angband

	* build_src, lib/pref/graf-x11.prf, lib/user/graf-x11.prf,
	src/config.h, src/init2.c, src/main-x11.c: Added support for 8x8
	and 16x16 tiles to the X11 version.

2000-04-05 21:38  angband

	* compile.txt: Updated the compile instructions.

2000-04-05 20:50  angband

	* lib/xtra/graf/readme.txt: Changed the URL of the graphics
	archive.

2000-04-04 00:25  angband

	* src/Angband.dsp: Removed the borg files.

2000-04-03 23:50  angband

	* src/: Angband.dsp, Angband.dsw, config.h, z-util.c: Various
	changes.

2000-04-02 22:47  angband

	* build_dos.bat, build_win.bat, compile.txt: Updated the
	build-scripts.	Updated the compile guide.

2000-04-02 21:45  angband

	* src/Angband.dsp: Corrected the output-folder for the angband.exe.

2000-04-02 21:41  angband

	* build_dos.bat, build_win.bat: Minor updates.

2000-04-02 20:27  angband

	* lib/xtra/sound/: breath.wav, clunk.wav, death.wav, destroy.wav,
	drop.wav, eat.wav, flee.wav, hallu.wav, hit.wav, hit1.wav,
	kill.wav, kill1.wav, level.wav, miss.wav, miss1.wav, money.wav,
	opendoor.wav, shutdoor.wav, thump.wav, vomit.wav: Added the *.wav
	files.

2000-04-02 20:26  angband

	* lib/xtra/graf/: 16x16.bmp, 8x13.bmp, 8x8.bmp, backgrnd.bmp,
	mask.bmp: Added the bitmaps.

2000-04-02 20:25  angband

	* lib/xtra/font/: 10x20.fon, 12x24.fon, 5x8.fon, 6x10.fon,
	6x12.fon, 6x13.fon, 6x13b.fon, 6x9.fon, 7x13.fon, 7x13b.fon,
	8x13.fon, 8x13b.fon, 9x15.fon, 9x15b.fon, xm10x17.fnt,
	xm10x17b.fnt, xm12x20.fnt, xm12x20b.fnt, xm16x25.fnt, xm16x25b.fnt,
	xm4x6.fnt, xm5x8.fnt, xm6x12.fnt, xm6x12b.fnt, xm8x13.fnt,
	xm8x13b.fnt, xm8x16.fnt, xm8x16b.fnt: Added the fonts.

2000-04-02 20:19  angband

	* angdos.cfg, build_dos.bat, build_win.bat, changes.txt,
	compile.txt, readme.txt, lib/edit/a_info.txt,
	lib/edit/artifact.txt, lib/edit/e_info.txt, lib/edit/ego_item.txt,
	lib/edit/f_info.txt, lib/edit/k_info.txt, lib/edit/monster.txt,
	lib/edit/object.txt, lib/edit/r_info.txt, lib/edit/terrain.txt,
	lib/edit/v_info.txt, lib/edit/vault.txt, lib/file/dead.txt,
	lib/file/news.txt, lib/help/attack.txt, lib/help/birth.txt,
	lib/help/command.txt, lib/help/dungeon.txt, lib/help/general.txt,
	lib/help/help.hlp, lib/help/option.txt, lib/help/playing.txt,
	lib/help/version.txt, lib/pref/font-ami.prf, lib/pref/font-dos.prf,
	lib/pref/font-ibm.prf, lib/pref/font-mac.prf,
	lib/pref/font-win.prf, lib/pref/font-x11.prf,
	lib/pref/font-xxx.prf, lib/pref/font.prf, lib/pref/graf-ami.prf,
	lib/pref/graf-gcu.prf, lib/pref/graf-ibm.prf,
	lib/pref/graf-lsl.prf, lib/pref/graf-mac.prf,
	lib/pref/graf-new.prf, lib/pref/graf-x11.prf,
	lib/pref/graf-xxx.prf, lib/pref/graf.prf, lib/pref/pref-acn.prf,
	lib/pref/pref-ami.prf, lib/pref/pref-emx.prf,
	lib/pref/pref-gcu.prf, lib/pref/pref-mac.prf,
	lib/pref/pref-win.prf, lib/pref/pref-x11.prf, lib/pref/pref.prf,
	lib/pref/user-mac.prf, lib/pref/user.prf, lib/pref/xtra-new.prf,
	lib/pref/xtra-xxx.prf, lib/user/font-ami.prf,
	lib/user/font-dos.prf, lib/user/font-ibm.prf,
	lib/user/font-mac.prf, lib/user/font-win.prf,
	lib/user/font-x11.prf, lib/user/font-xxx.prf, lib/user/font.prf,
	lib/user/graf-ami.prf, lib/user/graf-gcu.prf,
	lib/user/graf-ibm.prf, lib/user/graf-lsl.prf,
	lib/user/graf-mac.prf, lib/user/graf-new.prf,
	lib/user/graf-x11.prf, lib/user/graf-xxx.prf, lib/user/graf.prf,
	lib/user/pref-acn.prf, lib/user/pref-ami.prf,
	lib/user/pref-emx.prf, lib/user/pref-gcu.prf,
	lib/user/pref-mac.prf, lib/user/pref-win.prf,
	lib/user/pref-x11.prf, lib/user/pref.prf, lib/user/user-mac.prf,
	lib/user/user.prf, lib/user/xtra-new.prf, lib/user/xtra-xxx.prf,
	lib/xtra/graf/readme.txt, lib/xtra/sound/sound.cfg,
	src/Makefile.lsl, src/angband.rc, src/makefile.lsl: Removed
	"double-linefeeds".

2000-04-02 19:50  angband

	* src/angband.ico: Added the icon as binary.

2000-04-02 19:44  angband

	* src/angband.ico: [no log message]

2000-04-02 18:11  angband

	* src/: angband.ico, angband.rc, readdib.c, readdib.h: [no log
	message]

2000-04-02 18:08  angband

	* cwsdpmi.exe: [no log message]

2000-04-02 18:01  angband

	* angdos.cfg, build_dos.bat, build_ext_dos, build_ext_win,
	build_src, build_win.bat: Added the build-scripts and the DOS
	config file.

2000-04-02 16:18  angband

	* changes.txt, compile.txt, readme.txt, src/Angband.dsp,
	src/Angband.dsw, src/angband.h, src/birth.c, src/cave.c,
	src/cmd1.c, src/cmd2.c, src/cmd3.c, src/cmd4.c, src/cmd5.c,
	src/cmd6.c, src/config.h, src/defines.h, src/dungeon.c,
	src/externs.h, src/files.c, src/generate.c, src/h-basic.h,
	src/h-config.h, src/h-define.h, src/h-system.h, src/h-type.h,
	src/init1.c, src/init2.c, src/init3.c, src/load1.c, src/load2.c,
	src/randart.c, src/Makefile.acn, src/Makefile.ami,
	src/Makefile.bcc, src/Makefile.dos, src/Makefile.emx,
	src/Makefile.ibm, src/Makefile.lsl, src/Makefile.std,
	src/Makefile.wat, src/Makefile.win, src/main-acn.c, src/main-ami.c,
	src/main-cap.c, src/main-dos.c, src/main-emx.c, src/main-gcu.c,
	src/main-ibm.c, src/main-lsl.c, src/main-mac.c, src/main-sla.c,
	src/main-vme.c, src/main-win.c, src/main-x11.c, src/main-xaw.c,
	src/main-xxx.c, src/main.c, src/makefile.acn, src/makefile.ami,
	src/makefile.bcc, src/makefile.dos, src/makefile.emx,
	src/makefile.ibm, src/makefile.lsl, src/makefile.std,
	src/makefile.wat, src/makefile.win, src/melee1.c, src/melee2.c,
	src/monster1.c, src/monster2.c, src/object1.c, src/object2.c,
	src/save.c, src/spells1.c, src/spells2.c, src/store.c,
	src/tables.c, src/types.h, src/util.c, src/variable.c,
	src/wizard1.c, src/wizard2.c, src/xtra1.c, src/xtra2.c,
	src/z-form.c, src/z-form.h, src/z-rand.c, src/z-rand.h,
	src/z-term.c, src/z-term.h, src/z-util.c, src/z-util.h,
	src/z-virt.c, src/z-virt.h, lib/apex/delete.me, lib/bone/delete.me,
	lib/data/delete.me, lib/edit/a_info.txt, lib/edit/artifact.txt,
	lib/edit/e_info.txt, lib/edit/ego_item.txt, lib/edit/f_info.txt,
	lib/edit/k_info.txt, lib/edit/monster.txt, lib/edit/object.txt,
	lib/edit/r_info.txt, lib/edit/terrain.txt, lib/edit/v_info.txt,
	lib/edit/vault.txt, lib/file/dead.txt, lib/file/news.txt,
	lib/help/attack.txt, lib/help/birth.txt, lib/help/command.txt,
	lib/help/dungeon.txt, lib/help/general.txt, lib/help/help.hlp,
	lib/help/option.txt, lib/help/playing.txt, lib/help/version.txt,
	lib/info/delete.me, lib/pref/delete.me, lib/pref/font-ami.prf,
	lib/pref/font-dos.prf, lib/pref/font-ibm.prf,
	lib/pref/font-mac.prf, lib/save/delete.me, lib/user/font-ami.prf,
	lib/user/font-dos.prf, lib/user/font-ibm.prf,
	lib/user/font-mac.prf, lib/pref/font-win.prf,
	lib/pref/font-x11.prf, lib/pref/font-xxx.prf, lib/pref/font.prf,
	lib/pref/graf-ami.prf, lib/pref/graf-gcu.prf,
	lib/pref/graf-ibm.prf, lib/pref/graf-lsl.prf,
	lib/pref/graf-mac.prf, lib/pref/graf-new.prf,
	lib/pref/graf-win.prf, lib/pref/graf-x11.prf,
	lib/pref/graf-xxx.prf, lib/pref/graf.prf, lib/pref/pref-acn.prf,
	lib/pref/pref-ami.prf, lib/pref/pref-emx.prf,
	lib/pref/pref-gcu.prf, lib/pref/pref-mac.prf,
	lib/pref/pref-win.prf, lib/pref/pref-x11.prf, lib/pref/pref.prf,
	lib/pref/user-mac.prf, lib/pref/user.prf, lib/pref/xtra-new.prf,
	lib/pref/xtra-xxx.prf, lib/user/font-win.prf,
	lib/user/font-x11.prf, lib/user/font-xxx.prf, lib/user/font.prf,
	lib/user/graf-ami.prf, lib/user/graf-gcu.prf,
	lib/user/graf-ibm.prf, lib/user/graf-lsl.prf,
	lib/user/graf-mac.prf, lib/user/graf-new.prf,
	lib/user/graf-win.prf, lib/user/graf-x11.prf,
	lib/user/graf-xxx.prf, lib/user/graf.prf, lib/user/pref-acn.prf,
	lib/user/pref-ami.prf, lib/user/pref-emx.prf,
	lib/user/pref-gcu.prf, lib/user/pref-mac.prf,
	lib/user/pref-win.prf, lib/user/pref-x11.prf, lib/user/pref.prf,
	lib/user/user-mac.prf, lib/user/user.prf, lib/user/xtra-new.prf,
	lib/user/xtra-xxx.prf, lib/xtra/font/delete.me,
	lib/xtra/graf/readme.txt, lib/xtra/music/delete.me,
	lib/xtra/sound/sound.cfg: Initial revision

2000-04-02 16:18  angband

	* changes.txt, compile.txt, readme.txt, src/Angband.dsp,
	src/Angband.dsw, src/angband.h, src/birth.c, src/cave.c,
	src/cmd1.c, src/cmd2.c, src/cmd3.c, src/cmd4.c, src/cmd5.c,
	src/cmd6.c, src/config.h, src/defines.h, src/dungeon.c,
	src/externs.h, src/files.c, src/generate.c, src/h-basic.h,
	src/h-config.h, src/h-define.h, src/h-system.h, src/h-type.h,
	src/init1.c, src/init2.c, src/init3.c, src/load1.c, src/load2.c,
	src/randart.c, src/Makefile.acn, src/Makefile.ami,
	src/Makefile.bcc, src/Makefile.dos, src/Makefile.emx,
	src/Makefile.ibm, src/Makefile.lsl, src/Makefile.std,
	src/Makefile.wat, src/Makefile.win, src/main-acn.c, src/main-ami.c,
	src/main-cap.c, src/main-dos.c, src/main-emx.c, src/main-gcu.c,
	src/main-ibm.c, src/main-lsl.c, src/main-mac.c, src/main-sla.c,
	src/main-vme.c, src/main-win.c, src/main-x11.c, src/main-xaw.c,
	src/main-xxx.c, src/main.c, src/makefile.acn, src/makefile.ami,
	src/makefile.bcc, src/makefile.dos, src/makefile.emx,
	src/makefile.ibm, src/makefile.lsl, src/makefile.std,
	src/makefile.wat, src/makefile.win, src/melee1.c, src/melee2.c,
	src/monster1.c, src/monster2.c, src/object1.c, src/object2.c,
	src/save.c, src/spells1.c, src/spells2.c, src/store.c,
	src/tables.c, src/types.h, src/util.c, src/variable.c,
	src/wizard1.c, src/wizard2.c, src/xtra1.c, src/xtra2.c,
	src/z-form.c, src/z-form.h, src/z-rand.c, src/z-rand.h,
	src/z-term.c, src/z-term.h, src/z-util.c, src/z-util.h,
	src/z-virt.c, src/z-virt.h, lib/apex/delete.me, lib/bone/delete.me,
	lib/data/delete.me, lib/edit/a_info.txt, lib/edit/artifact.txt,
	lib/edit/e_info.txt, lib/edit/ego_item.txt, lib/edit/f_info.txt,
	lib/edit/k_info.txt, lib/edit/monster.txt, lib/edit/object.txt,
	lib/edit/r_info.txt, lib/edit/terrain.txt, lib/edit/v_info.txt,
	lib/edit/vault.txt, lib/file/dead.txt, lib/file/news.txt,
	lib/help/attack.txt, lib/help/birth.txt, lib/help/command.txt,
	lib/help/dungeon.txt, lib/help/general.txt, lib/help/help.hlp,
	lib/help/option.txt, lib/help/playing.txt, lib/help/version.txt,
	lib/info/delete.me, lib/pref/delete.me, lib/pref/font-ami.prf,
	lib/pref/font-dos.prf, lib/pref/font-ibm.prf,
	lib/pref/font-mac.prf, lib/save/delete.me, lib/user/font-ami.prf,
	lib/user/font-dos.prf, lib/user/font-ibm.prf,
	lib/user/font-mac.prf, lib/pref/font-win.prf,
	lib/pref/font-x11.prf, lib/pref/font-xxx.prf, lib/pref/font.prf,
	lib/pref/graf-ami.prf, lib/pref/graf-gcu.prf,
	lib/pref/graf-ibm.prf, lib/pref/graf-lsl.prf,
	lib/pref/graf-mac.prf, lib/pref/graf-new.prf,
	lib/pref/graf-win.prf, lib/pref/graf-x11.prf,
	lib/pref/graf-xxx.prf, lib/pref/graf.prf, lib/pref/pref-acn.prf,
	lib/pref/pref-ami.prf, lib/pref/pref-emx.prf,
	lib/pref/pref-gcu.prf, lib/pref/pref-mac.prf,
	lib/pref/pref-win.prf, lib/pref/pref-x11.prf, lib/pref/pref.prf,
	lib/pref/user-mac.prf, lib/pref/user.prf, lib/pref/xtra-new.prf,
	lib/pref/xtra-xxx.prf, lib/user/font-win.prf,
	lib/user/font-x11.prf, lib/user/font-xxx.prf, lib/user/font.prf,
	lib/user/graf-ami.prf, lib/user/graf-gcu.prf,
	lib/user/graf-ibm.prf, lib/user/graf-lsl.prf,
	lib/user/graf-mac.prf, lib/user/graf-new.prf,
	lib/user/graf-win.prf, lib/user/graf-x11.prf,
	lib/user/graf-xxx.prf, lib/user/graf.prf, lib/user/pref-acn.prf,
	lib/user/pref-ami.prf, lib/user/pref-emx.prf,
	lib/user/pref-gcu.prf, lib/user/pref-mac.prf,
	lib/user/pref-win.prf, lib/user/pref-x11.prf, lib/user/pref.prf,
	lib/user/user-mac.prf, lib/user/user.prf, lib/user/xtra-new.prf,
	lib/user/xtra-xxx.prf, lib/xtra/font/delete.me,
	lib/xtra/graf/readme.txt, lib/xtra/music/delete.me,
	lib/xtra/sound/sound.cfg: initial import into CVS

